XCB Glx API

Glx XCB Protocol Implementation. More...

## Data Structures

struct | xcb_glx_pixmap_iterator_t
| xcb_glx_pixmap_iterator_t More...
struct | xcb_glx_context_iterator_t
| xcb_glx_context_iterator_t More...
struct | xcb_glx_pbuffer_iterator_t
| xcb_glx_pbuffer_iterator_t More...
struct | xcb_glx_window_iterator_t
| xcb_glx_window_iterator_t More...
struct | xcb_glx_fbconfig_iterator_t
| xcb_glx_fbconfig_iterator_t More...
struct | xcb_glx_drawable_iterator_t
| xcb_glx_drawable_iterator_t More...
struct | xcb_glx_float32_iterator_t
| xcb_glx_float32_iterator_t More...
struct | xcb_glx_float64_iterator_t
| xcb_glx_float64_iterator_t More...
struct | xcb_glx_bool32_iterator_t
| xcb_glx_bool32_iterator_t More...
struct | xcb_glx_context_tag_iterator_t
| xcb_glx_context_tag_iterator_t More...
struct | xcb_glx_generic_error_t
| xcb_glx_generic_error_t More...
struct | xcb_glx_pbuffer_clobber_event_t
| xcb_glx_pbuffer_clobber_event_t More...
struct | xcb_glx_buffer_swap_complete_event_t
| xcb_glx_buffer_swap_complete_event_t More...
struct | xcb_glx_render_request_t
| xcb_glx_render_request_t More...
struct | xcb_glx_render_large_request_t
| xcb_glx_render_large_request_t More...
struct | xcb_glx_create_context_request_t
| xcb_glx_create_context_request_t More...
struct | xcb_glx_destroy_context_request_t
| xcb_glx_destroy_context_request_t More...
struct | xcb_glx_make_current_cookie_t
| xcb_glx_make_current_cookie_t More...
struct | xcb_glx_make_current_request_t
| xcb_glx_make_current_request_t More...
struct | xcb_glx_make_current_reply_t
| xcb_glx_make_current_reply_t More...
struct | xcb_glx_is_direct_cookie_t
| xcb_glx_is_direct_cookie_t More...
struct | xcb_glx_is_direct_request_t
| xcb_glx_is_direct_request_t More...
struct | xcb_glx_is_direct_reply_t
| xcb_glx_is_direct_reply_t More...
struct | xcb_glx_query_version_cookie_t
| xcb_glx_query_version_cookie_t More...
struct | xcb_glx_query_version_request_t
| xcb_glx_query_version_request_t More...
struct | xcb_glx_query_version_reply_t
| xcb_glx_query_version_reply_t More...
struct | xcb_glx_wait_gl_request_t
| xcb_glx_wait_gl_request_t More...
struct | xcb_glx_wait_x_request_t
| xcb_glx_wait_x_request_t More...
struct | xcb_glx_copy_context_request_t
| xcb_glx_copy_context_request_t More...
struct | xcb_glx_swap_buffers_request_t
| xcb_glx_swap_buffers_request_t More...
struct | xcb_glx_use_x_font_request_t
| xcb_glx_use_x_font_request_t More...
struct | xcb_glx_create_glx_pixmap_request_t
| xcb_glx_create_glx_pixmap_request_t More...
struct | xcb_glx_get_visual_configs_cookie_t
| xcb_glx_get_visual_configs_cookie_t More...
struct | xcb_glx_get_visual_configs_request_t
| xcb_glx_get_visual_configs_request_t More...
struct | xcb_glx_get_visual_configs_reply_t
| xcb_glx_get_visual_configs_reply_t More...
struct | xcb_glx_destroy_glx_pixmap_request_t
| xcb_glx_destroy_glx_pixmap_request_t More...
struct | xcb_glx_vendor_private_request_t
| xcb_glx_vendor_private_request_t More...
struct | xcb_glx_vendor_private_with_reply_cookie_t
| xcb_glx_vendor_private_with_reply_cookie_t More...
struct | xcb_glx_vendor_private_with_reply_request_t
| xcb_glx_vendor_private_with_reply_request_t More...
struct | xcb_glx_vendor_private_with_reply_reply_t
| xcb_glx_vendor_private_with_reply_reply_t More...
struct | xcb_glx_query_extensions_string_cookie_t
| xcb_glx_query_extensions_string_cookie_t More...
struct | xcb_glx_query_extensions_string_request_t
| xcb_glx_query_extensions_string_request_t More...
struct | xcb_glx_query_extensions_string_reply_t
| xcb_glx_query_extensions_string_reply_t More...
struct | xcb_glx_query_server_string_cookie_t
| xcb_glx_query_server_string_cookie_t More...
struct | xcb_glx_query_server_string_request_t
| xcb_glx_query_server_string_request_t More...
struct | xcb_glx_query_server_string_reply_t
| xcb_glx_query_server_string_reply_t More...
struct | xcb_glx_client_info_request_t
| xcb_glx_client_info_request_t More...
struct | xcb_glx_get_fb_configs_cookie_t
| xcb_glx_get_fb_configs_cookie_t More...
struct | xcb_glx_get_fb_configs_request_t
| xcb_glx_get_fb_configs_request_t More...
struct | xcb_glx_get_fb_configs_reply_t
| xcb_glx_get_fb_configs_reply_t More...
struct | xcb_glx_create_pixmap_request_t
| xcb_glx_create_pixmap_request_t More...
struct | xcb_glx_destroy_pixmap_request_t
| xcb_glx_destroy_pixmap_request_t More...
struct | xcb_glx_create_new_context_request_t
| xcb_glx_create_new_context_request_t More...
struct | xcb_glx_query_context_cookie_t
| xcb_glx_query_context_cookie_t More...
struct | xcb_glx_query_context_request_t
| xcb_glx_query_context_request_t More...
struct | xcb_glx_query_context_reply_t
| xcb_glx_query_context_reply_t More...
struct | xcb_glx_make_context_current_cookie_t
| xcb_glx_make_context_current_cookie_t More...
struct | xcb_glx_make_context_current_request_t
| xcb_glx_make_context_current_request_t More...
struct | xcb_glx_make_context_current_reply_t
| xcb_glx_make_context_current_reply_t More...
struct | xcb_glx_create_pbuffer_request_t
| xcb_glx_create_pbuffer_request_t More...
struct | xcb_glx_destroy_pbuffer_request_t
| xcb_glx_destroy_pbuffer_request_t More...
struct | xcb_glx_get_drawable_attributes_cookie_t
| xcb_glx_get_drawable_attributes_cookie_t More...
struct | xcb_glx_get_drawable_attributes_request_t
| xcb_glx_get_drawable_attributes_request_t More...
struct | xcb_glx_get_drawable_attributes_reply_t
| xcb_glx_get_drawable_attributes_reply_t More...
struct | xcb_glx_change_drawable_attributes_request_t
| xcb_glx_change_drawable_attributes_request_t More...
struct | xcb_glx_create_window_request_t
| xcb_glx_create_window_request_t More...
struct | xcb_glx_delete_window_request_t
| xcb_glx_delete_window_request_t More...
struct | xcb_glx_set_client_info_arb_request_t
| xcb_glx_set_client_info_arb_request_t More...
struct | xcb_glx_create_context_attribs_arb_request_t
| xcb_glx_create_context_attribs_arb_request_t More...
struct | xcb_glx_set_client_info_2arb_request_t
| xcb_glx_set_client_info_2arb_request_t More...
struct | xcb_glx_new_list_request_t
| xcb_glx_new_list_request_t More...
struct | xcb_glx_end_list_request_t
| xcb_glx_end_list_request_t More...
struct | xcb_glx_delete_lists_request_t
| xcb_glx_delete_lists_request_t More...
struct | xcb_glx_gen_lists_cookie_t
| xcb_glx_gen_lists_cookie_t More...
struct | xcb_glx_gen_lists_request_t
| xcb_glx_gen_lists_request_t More...
struct | xcb_glx_gen_lists_reply_t
| xcb_glx_gen_lists_reply_t More...
struct | xcb_glx_feedback_buffer_request_t
| xcb_glx_feedback_buffer_request_t More...
struct | xcb_glx_select_buffer_request_t
| xcb_glx_select_buffer_request_t More...
struct | xcb_glx_render_mode_cookie_t
| xcb_glx_render_mode_cookie_t More...
struct | xcb_glx_render_mode_request_t
| xcb_glx_render_mode_request_t More...
struct | xcb_glx_render_mode_reply_t
| xcb_glx_render_mode_reply_t More...
struct | xcb_glx_finish_cookie_t
| xcb_glx_finish_cookie_t More...
struct | xcb_glx_finish_request_t
| xcb_glx_finish_request_t More...
struct | xcb_glx_finish_reply_t
| xcb_glx_finish_reply_t More...
struct | xcb_glx_pixel_storef_request_t
| xcb_glx_pixel_storef_request_t More...
struct | xcb_glx_pixel_storei_request_t
| xcb_glx_pixel_storei_request_t More...
struct | xcb_glx_read_pixels_cookie_t
| xcb_glx_read_pixels_cookie_t More...
struct | xcb_glx_read_pixels_request_t
| xcb_glx_read_pixels_request_t More...
struct | xcb_glx_read_pixels_reply_t
| xcb_glx_read_pixels_reply_t More...
struct | xcb_glx_get_booleanv_cookie_t
| xcb_glx_get_booleanv_cookie_t More...
struct | xcb_glx_get_booleanv_request_t
| xcb_glx_get_booleanv_request_t More...
struct | xcb_glx_get_booleanv_reply_t
| xcb_glx_get_booleanv_reply_t More...
struct | xcb_glx_get_clip_plane_cookie_t
| xcb_glx_get_clip_plane_cookie_t More...
struct | xcb_glx_get_clip_plane_request_t
| xcb_glx_get_clip_plane_request_t More...
struct | xcb_glx_get_clip_plane_reply_t
| xcb_glx_get_clip_plane_reply_t More...
struct | xcb_glx_get_doublev_cookie_t
| xcb_glx_get_doublev_cookie_t More...
struct | xcb_glx_get_doublev_request_t
| xcb_glx_get_doublev_request_t More...
struct | xcb_glx_get_doublev_reply_t
| xcb_glx_get_doublev_reply_t More...
struct | xcb_glx_get_error_cookie_t
| xcb_glx_get_error_cookie_t More...
struct | xcb_glx_get_error_request_t
| xcb_glx_get_error_request_t More...
struct | xcb_glx_get_error_reply_t
| xcb_glx_get_error_reply_t More...
struct | xcb_glx_get_floatv_cookie_t
| xcb_glx_get_floatv_cookie_t More...
struct | xcb_glx_get_floatv_request_t
| xcb_glx_get_floatv_request_t More...
struct | xcb_glx_get_floatv_reply_t
| xcb_glx_get_floatv_reply_t More...
struct | xcb_glx_get_integerv_cookie_t
| xcb_glx_get_integerv_cookie_t More...
struct | xcb_glx_get_integerv_request_t
| xcb_glx_get_integerv_request_t More...
struct | xcb_glx_get_integerv_reply_t
| xcb_glx_get_integerv_reply_t More...
struct | xcb_glx_get_lightfv_cookie_t
| xcb_glx_get_lightfv_cookie_t More...
struct | xcb_glx_get_lightfv_request_t
| xcb_glx_get_lightfv_request_t More...
struct | xcb_glx_get_lightfv_reply_t
| xcb_glx_get_lightfv_reply_t More...
struct | xcb_glx_get_lightiv_cookie_t
| xcb_glx_get_lightiv_cookie_t More...
struct | xcb_glx_get_lightiv_request_t
| xcb_glx_get_lightiv_request_t More...
struct | xcb_glx_get_lightiv_reply_t
| xcb_glx_get_lightiv_reply_t More...
struct | xcb_glx_get_mapdv_cookie_t
| xcb_glx_get_mapdv_cookie_t More...
struct | xcb_glx_get_mapdv_request_t
| xcb_glx_get_mapdv_request_t More...
struct | xcb_glx_get_mapdv_reply_t
| xcb_glx_get_mapdv_reply_t More...
struct | xcb_glx_get_mapfv_cookie_t
| xcb_glx_get_mapfv_cookie_t More...
struct | xcb_glx_get_mapfv_request_t
| xcb_glx_get_mapfv_request_t More...
struct | xcb_glx_get_mapfv_reply_t
| xcb_glx_get_mapfv_reply_t More...
struct | xcb_glx_get_mapiv_cookie_t
| xcb_glx_get_mapiv_cookie_t More...
struct | xcb_glx_get_mapiv_request_t
| xcb_glx_get_mapiv_request_t More...
struct | xcb_glx_get_mapiv_reply_t
| xcb_glx_get_mapiv_reply_t More...
struct | xcb_glx_get_materialfv_cookie_t
| xcb_glx_get_materialfv_cookie_t More...
struct | xcb_glx_get_materialfv_request_t
| xcb_glx_get_materialfv_request_t More...
struct | xcb_glx_get_materialfv_reply_t
| xcb_glx_get_materialfv_reply_t More...
struct | xcb_glx_get_materialiv_cookie_t
| xcb_glx_get_materialiv_cookie_t More...
struct | xcb_glx_get_materialiv_request_t
| xcb_glx_get_materialiv_request_t More...
struct | xcb_glx_get_materialiv_reply_t
| xcb_glx_get_materialiv_reply_t More...
struct | xcb_glx_get_pixel_mapfv_cookie_t
| xcb_glx_get_pixel_mapfv_cookie_t More...
struct | xcb_glx_get_pixel_mapfv_request_t
| xcb_glx_get_pixel_mapfv_request_t More...
struct | xcb_glx_get_pixel_mapfv_reply_t
| xcb_glx_get_pixel_mapfv_reply_t More...
struct | xcb_glx_get_pixel_mapuiv_cookie_t
| xcb_glx_get_pixel_mapuiv_cookie_t More...
struct | xcb_glx_get_pixel_mapuiv_request_t
| xcb_glx_get_pixel_mapuiv_request_t More...
struct | xcb_glx_get_pixel_mapuiv_reply_t
| xcb_glx_get_pixel_mapuiv_reply_t More...
struct | xcb_glx_get_pixel_mapusv_cookie_t
| xcb_glx_get_pixel_mapusv_cookie_t More...
struct | xcb_glx_get_pixel_mapusv_request_t
| xcb_glx_get_pixel_mapusv_request_t More...
struct | xcb_glx_get_pixel_mapusv_reply_t
| xcb_glx_get_pixel_mapusv_reply_t More...
struct | xcb_glx_get_polygon_stipple_cookie_t
| xcb_glx_get_polygon_stipple_cookie_t More...
struct | xcb_glx_get_polygon_stipple_request_t
| xcb_glx_get_polygon_stipple_request_t More...
struct | xcb_glx_get_polygon_stipple_reply_t
| xcb_glx_get_polygon_stipple_reply_t More...
struct | xcb_glx_get_string_cookie_t
| xcb_glx_get_string_cookie_t More...
struct | xcb_glx_get_string_request_t
| xcb_glx_get_string_request_t More...
struct | xcb_glx_get_string_reply_t
| xcb_glx_get_string_reply_t More...
struct | xcb_glx_get_tex_envfv_cookie_t
| xcb_glx_get_tex_envfv_cookie_t More...
struct | xcb_glx_get_tex_envfv_request_t
| xcb_glx_get_tex_envfv_request_t More...
struct | xcb_glx_get_tex_envfv_reply_t
| xcb_glx_get_tex_envfv_reply_t More...
struct | xcb_glx_get_tex_enviv_cookie_t
| xcb_glx_get_tex_enviv_cookie_t More...
struct | xcb_glx_get_tex_enviv_request_t
| xcb_glx_get_tex_enviv_request_t More...
struct | xcb_glx_get_tex_enviv_reply_t
| xcb_glx_get_tex_enviv_reply_t More...
struct | xcb_glx_get_tex_gendv_cookie_t
| xcb_glx_get_tex_gendv_cookie_t More...
struct | xcb_glx_get_tex_gendv_request_t
| xcb_glx_get_tex_gendv_request_t More...
struct | xcb_glx_get_tex_gendv_reply_t
| xcb_glx_get_tex_gendv_reply_t More...
struct | xcb_glx_get_tex_genfv_cookie_t
| xcb_glx_get_tex_genfv_cookie_t More...
struct | xcb_glx_get_tex_genfv_request_t
| xcb_glx_get_tex_genfv_request_t More...
struct | xcb_glx_get_tex_genfv_reply_t
| xcb_glx_get_tex_genfv_reply_t More...
struct | xcb_glx_get_tex_geniv_cookie_t
| xcb_glx_get_tex_geniv_cookie_t More...
struct | xcb_glx_get_tex_geniv_request_t
| xcb_glx_get_tex_geniv_request_t More...
struct | xcb_glx_get_tex_geniv_reply_t
| xcb_glx_get_tex_geniv_reply_t More...
struct | xcb_glx_get_tex_image_cookie_t
| xcb_glx_get_tex_image_cookie_t More...
struct | xcb_glx_get_tex_image_request_t
| xcb_glx_get_tex_image_request_t More...
struct | xcb_glx_get_tex_image_reply_t
| xcb_glx_get_tex_image_reply_t More...
struct | xcb_glx_get_tex_parameterfv_cookie_t
| xcb_glx_get_tex_parameterfv_cookie_t More...
struct | xcb_glx_get_tex_parameterfv_request_t
| xcb_glx_get_tex_parameterfv_request_t More...
struct | xcb_glx_get_tex_parameterfv_reply_t
| xcb_glx_get_tex_parameterfv_reply_t More...
struct | xcb_glx_get_tex_parameteriv_cookie_t
| xcb_glx_get_tex_parameteriv_cookie_t More...
struct | xcb_glx_get_tex_parameteriv_request_t
| xcb_glx_get_tex_parameteriv_request_t More...
struct | xcb_glx_get_tex_parameteriv_reply_t
| xcb_glx_get_tex_parameteriv_reply_t More...
struct | xcb_glx_get_tex_level_parameterfv_cookie_t
| xcb_glx_get_tex_level_parameterfv_cookie_t More...
struct | xcb_glx_get_tex_level_parameterfv_request_t
| xcb_glx_get_tex_level_parameterfv_request_t More...
struct | xcb_glx_get_tex_level_parameterfv_reply_t
| xcb_glx_get_tex_level_parameterfv_reply_t More...
struct | xcb_glx_get_tex_level_parameteriv_cookie_t
| xcb_glx_get_tex_level_parameteriv_cookie_t More...
struct | xcb_glx_get_tex_level_parameteriv_request_t
| xcb_glx_get_tex_level_parameteriv_request_t More...
struct | xcb_glx_get_tex_level_parameteriv_reply_t
| xcb_glx_get_tex_level_parameteriv_reply_t More...
struct | xcb_glx_is_enabled_cookie_t
| xcb_glx_is_enabled_cookie_t More...
struct | xcb_glx_is_enabled_request_t
| xcb_glx_is_enabled_request_t More...
struct | xcb_glx_is_enabled_reply_t
| xcb_glx_is_enabled_reply_t More...
struct | xcb_glx_is_list_cookie_t
| xcb_glx_is_list_cookie_t More...
struct | xcb_glx_is_list_request_t
| xcb_glx_is_list_request_t More...
struct | xcb_glx_is_list_reply_t
| xcb_glx_is_list_reply_t More...
struct | xcb_glx_flush_request_t
| xcb_glx_flush_request_t More...
struct | xcb_glx_are_textures_resident_cookie_t
| xcb_glx_are_textures_resident_cookie_t More...
struct | xcb_glx_are_textures_resident_request_t
| xcb_glx_are_textures_resident_request_t More...
struct | xcb_glx_are_textures_resident_reply_t
| xcb_glx_are_textures_resident_reply_t More...
struct | xcb_glx_delete_textures_request_t
| xcb_glx_delete_textures_request_t More...
struct | xcb_glx_gen_textures_cookie_t
| xcb_glx_gen_textures_cookie_t More...
struct | xcb_glx_gen_textures_request_t
| xcb_glx_gen_textures_request_t More...
struct | xcb_glx_gen_textures_reply_t
| xcb_glx_gen_textures_reply_t More...
struct | xcb_glx_is_texture_cookie_t
| xcb_glx_is_texture_cookie_t More...
struct | xcb_glx_is_texture_request_t
| xcb_glx_is_texture_request_t More...
struct | xcb_glx_is_texture_reply_t
| xcb_glx_is_texture_reply_t More...
struct | xcb_glx_get_color_table_cookie_t
| xcb_glx_get_color_table_cookie_t More...
struct | xcb_glx_get_color_table_request_t
| xcb_glx_get_color_table_request_t More...
struct | xcb_glx_get_color_table_reply_t
| xcb_glx_get_color_table_reply_t More...
struct | xcb_glx_get_color_table_parameterfv_cookie_t
| xcb_glx_get_color_table_parameterfv_cookie_t More...
struct | xcb_glx_get_color_table_parameterfv_request_t
| xcb_glx_get_color_table_parameterfv_request_t More...
struct | xcb_glx_get_color_table_parameterfv_reply_t
| xcb_glx_get_color_table_parameterfv_reply_t More...
struct | xcb_glx_get_color_table_parameteriv_cookie_t
| xcb_glx_get_color_table_parameteriv_cookie_t More...
struct | xcb_glx_get_color_table_parameteriv_request_t
| xcb_glx_get_color_table_parameteriv_request_t More...
struct | xcb_glx_get_color_table_parameteriv_reply_t
| xcb_glx_get_color_table_parameteriv_reply_t More...
struct | xcb_glx_get_convolution_filter_cookie_t
| xcb_glx_get_convolution_filter_cookie_t More...
struct | xcb_glx_get_convolution_filter_request_t
| xcb_glx_get_convolution_filter_request_t More...
struct | xcb_glx_get_convolution_filter_reply_t
| xcb_glx_get_convolution_filter_reply_t More...
struct | xcb_glx_get_convolution_parameterfv_cookie_t
| xcb_glx_get_convolution_parameterfv_cookie_t More...
struct | xcb_glx_get_convolution_parameterfv_request_t
| xcb_glx_get_convolution_parameterfv_request_t More...
struct | xcb_glx_get_convolution_parameterfv_reply_t
| xcb_glx_get_convolution_parameterfv_reply_t More...
struct | xcb_glx_get_convolution_parameteriv_cookie_t
| xcb_glx_get_convolution_parameteriv_cookie_t More...
struct | xcb_glx_get_convolution_parameteriv_request_t
| xcb_glx_get_convolution_parameteriv_request_t More...
struct | xcb_glx_get_convolution_parameteriv_reply_t
| xcb_glx_get_convolution_parameteriv_reply_t More...
struct | xcb_glx_get_separable_filter_cookie_t
| xcb_glx_get_separable_filter_cookie_t More...
struct | xcb_glx_get_separable_filter_request_t
| xcb_glx_get_separable_filter_request_t More...
struct | xcb_glx_get_separable_filter_reply_t
| xcb_glx_get_separable_filter_reply_t More...
struct | xcb_glx_get_histogram_cookie_t
| xcb_glx_get_histogram_cookie_t More...
struct | xcb_glx_get_histogram_request_t
| xcb_glx_get_histogram_request_t More...
struct | xcb_glx_get_histogram_reply_t
| xcb_glx_get_histogram_reply_t More...
struct | xcb_glx_get_histogram_parameterfv_cookie_t
| xcb_glx_get_histogram_parameterfv_cookie_t More...
struct | xcb_glx_get_histogram_parameterfv_request_t
| xcb_glx_get_histogram_parameterfv_request_t More...
struct | xcb_glx_get_histogram_parameterfv_reply_t
| xcb_glx_get_histogram_parameterfv_reply_t More...
struct | xcb_glx_get_histogram_parameteriv_cookie_t
| xcb_glx_get_histogram_parameteriv_cookie_t More...
struct | xcb_glx_get_histogram_parameteriv_request_t
| xcb_glx_get_histogram_parameteriv_request_t More...
struct | xcb_glx_get_histogram_parameteriv_reply_t
| xcb_glx_get_histogram_parameteriv_reply_t More...
struct | xcb_glx_get_minmax_cookie_t
| xcb_glx_get_minmax_cookie_t More...
struct | xcb_glx_get_minmax_request_t
| xcb_glx_get_minmax_request_t More...
struct | xcb_glx_get_minmax_reply_t
| xcb_glx_get_minmax_reply_t More...
struct | xcb_glx_get_minmax_parameterfv_cookie_t
| xcb_glx_get_minmax_parameterfv_cookie_t More...
struct | xcb_glx_get_minmax_parameterfv_request_t
| xcb_glx_get_minmax_parameterfv_request_t More...
struct | xcb_glx_get_minmax_parameterfv_reply_t
| xcb_glx_get_minmax_parameterfv_reply_t More...
struct | xcb_glx_get_minmax_parameteriv_cookie_t
| xcb_glx_get_minmax_parameteriv_cookie_t More...
struct | xcb_glx_get_minmax_parameteriv_request_t
| xcb_glx_get_minmax_parameteriv_request_t More...
struct | xcb_glx_get_minmax_parameteriv_reply_t
| xcb_glx_get_minmax_parameteriv_reply_t More...
struct | xcb_glx_get_compressed_tex_image_arb_cookie_t
| xcb_glx_get_compressed_tex_image_arb_cookie_t More...
struct | xcb_glx_get_compressed_tex_image_arb_request_t
| xcb_glx_get_compressed_tex_image_arb_request_t More...
struct | xcb_glx_get_compressed_tex_image_arb_reply_t
| xcb_glx_get_compressed_tex_image_arb_reply_t More...
struct | xcb_glx_delete_queries_arb_request_t
| xcb_glx_delete_queries_arb_request_t More...
struct | xcb_glx_gen_queries_arb_cookie_t
| xcb_glx_gen_queries_arb_cookie_t More...
struct | xcb_glx_gen_queries_arb_request_t
| xcb_glx_gen_queries_arb_request_t More...
struct | xcb_glx_gen_queries_arb_reply_t
| xcb_glx_gen_queries_arb_reply_t More...
struct | xcb_glx_is_query_arb_cookie_t
| xcb_glx_is_query_arb_cookie_t More...
struct | xcb_glx_is_query_arb_request_t
| xcb_glx_is_query_arb_request_t More...
struct | xcb_glx_is_query_arb_reply_t
| xcb_glx_is_query_arb_reply_t More...
struct | xcb_glx_get_queryiv_arb_cookie_t
| xcb_glx_get_queryiv_arb_cookie_t More...
struct | xcb_glx_get_queryiv_arb_request_t
| xcb_glx_get_queryiv_arb_request_t More...
struct | xcb_glx_get_queryiv_arb_reply_t
| xcb_glx_get_queryiv_arb_reply_t More...
struct | xcb_glx_get_query_objectiv_arb_cookie_t
| xcb_glx_get_query_objectiv_arb_cookie_t More...
struct | xcb_glx_get_query_objectiv_arb_request_t
| xcb_glx_get_query_objectiv_arb_request_t More...
struct | xcb_glx_get_query_objectiv_arb_reply_t
| xcb_glx_get_query_objectiv_arb_reply_t More...
struct | xcb_glx_get_query_objectuiv_arb_cookie_t
| xcb_glx_get_query_objectuiv_arb_cookie_t More...
struct | xcb_glx_get_query_objectuiv_arb_request_t
| xcb_glx_get_query_objectuiv_arb_request_t More...
struct | xcb_glx_get_query_objectuiv_arb_reply_t
| xcb_glx_get_query_objectuiv_arb_reply_t More...

## Macros

#define | XCB_GLX_MAJOR_VERSION 1
#define | XCB_GLX_MINOR_VERSION 4
#define | XCB_GLX_GENERIC -1
#define | XCB_GLX_BAD_CONTEXT 0
#define | XCB_GLX_BAD_CONTEXT_STATE 1
#define | XCB_GLX_BAD_DRAWABLE 2
#define | XCB_GLX_BAD_PIXMAP 3
#define | XCB_GLX_BAD_CONTEXT_TAG 4
#define | XCB_GLX_BAD_CURRENT_WINDOW 5
#define | XCB_GLX_BAD_RENDER_REQUEST 6
#define | XCB_GLX_BAD_LARGE_REQUEST 7
#define | XCB_GLX_UNSUPPORTED_PRIVATE_REQUEST 8
#define | XCB_GLX_BAD_FB_CONFIG 9
#define | XCB_GLX_BAD_PBUFFER 10
#define | XCB_GLX_BAD_CURRENT_DRAWABLE 11
#define | XCB_GLX_BAD_WINDOW 12
#define | XCB_GLX_GLX_BAD_PROFILE_ARB 13
#define | XCB_GLX_PBUFFER_CLOBBER 0
#define | XCB_GLX_BUFFER_SWAP_COMPLETE 1
#define | XCB_GLX_RENDER 1
#define | XCB_GLX_RENDER_LARGE 2
#define | XCB_GLX_CREATE_CONTEXT 3
#define | XCB_GLX_DESTROY_CONTEXT 4
#define | XCB_GLX_MAKE_CURRENT 5
#define | XCB_GLX_IS_DIRECT 6
#define | XCB_GLX_QUERY_VERSION 7
#define | XCB_GLX_WAIT_GL 8
#define | XCB_GLX_WAIT_X 9
#define | XCB_GLX_COPY_CONTEXT 10
#define | XCB_GLX_SWAP_BUFFERS 11
#define | XCB_GLX_USE_X_FONT 12
#define | XCB_GLX_CREATE_GLX_PIXMAP 13
#define | XCB_GLX_GET_VISUAL_CONFIGS 14
#define | XCB_GLX_DESTROY_GLX_PIXMAP 15
#define | XCB_GLX_VENDOR_PRIVATE 16
#define | XCB_GLX_VENDOR_PRIVATE_WITH_REPLY 17
#define | XCB_GLX_QUERY_EXTENSIONS_STRING 18
#define | XCB_GLX_QUERY_SERVER_STRING 19
#define | XCB_GLX_CLIENT_INFO 20
#define | XCB_GLX_GET_FB_CONFIGS 21
#define | XCB_GLX_CREATE_PIXMAP 22
#define | XCB_GLX_DESTROY_PIXMAP 23
#define | XCB_GLX_CREATE_NEW_CONTEXT 24
#define | XCB_GLX_QUERY_CONTEXT 25
#define | XCB_GLX_MAKE_CONTEXT_CURRENT 26
#define | XCB_GLX_CREATE_PBUFFER 27
#define | XCB_GLX_DESTROY_PBUFFER 28
#define | XCB_GLX_GET_DRAWABLE_ATTRIBUTES 29
#define | XCB_GLX_CHANGE_DRAWABLE_ATTRIBUTES 30
#define | XCB_GLX_CREATE_WINDOW 31
#define | XCB_GLX_DELETE_WINDOW 32
#define | XCB_GLX_SET_CLIENT_INFO_ARB 33
#define | XCB_GLX_CREATE_CONTEXT_ATTRIBS_ARB 34
#define | XCB_GLX_SET_CLIENT_INFO_2ARB 35
#define | XCB_GLX_NEW_LIST 101
#define | XCB_GLX_END_LIST 102
#define | XCB_GLX_DELETE_LISTS 103
#define | XCB_GLX_GEN_LISTS 104
#define | XCB_GLX_FEEDBACK_BUFFER 105
#define | XCB_GLX_SELECT_BUFFER 106
#define | XCB_GLX_RENDER_MODE 107
#define | XCB_GLX_FINISH 108
#define | XCB_GLX_PIXEL_STOREF 109
#define | XCB_GLX_PIXEL_STOREI 110
#define | XCB_GLX_READ_PIXELS 111
#define | XCB_GLX_GET_BOOLEANV 112
#define | XCB_GLX_GET_CLIP_PLANE 113
#define | XCB_GLX_GET_DOUBLEV 114
#define | XCB_GLX_GET_ERROR 115
#define | XCB_GLX_GET_FLOATV 116
#define | XCB_GLX_GET_INTEGERV 117
#define | XCB_GLX_GET_LIGHTFV 118
#define | XCB_GLX_GET_LIGHTIV 119
#define | XCB_GLX_GET_MAPDV 120
#define | XCB_GLX_GET_MAPFV 121
#define | XCB_GLX_GET_MAPIV 122
#define | XCB_GLX_GET_MATERIALFV 123
#define | XCB_GLX_GET_MATERIALIV 124
#define | XCB_GLX_GET_PIXEL_MAPFV 125
#define | XCB_GLX_GET_PIXEL_MAPUIV 126
#define | XCB_GLX_GET_PIXEL_MAPUSV 127
#define | XCB_GLX_GET_POLYGON_STIPPLE 128
#define | XCB_GLX_GET_STRING 129
#define | XCB_GLX_GET_TEX_ENVFV 130
#define | XCB_GLX_GET_TEX_ENVIV 131
#define | XCB_GLX_GET_TEX_GENDV 132
#define | XCB_GLX_GET_TEX_GENFV 133
#define | XCB_GLX_GET_TEX_GENIV 134
#define | XCB_GLX_GET_TEX_IMAGE 135
#define | XCB_GLX_GET_TEX_PARAMETERFV 136
#define | XCB_GLX_GET_TEX_PARAMETERIV 137
#define | XCB_GLX_GET_TEX_LEVEL_PARAMETERFV 138
#define | XCB_GLX_GET_TEX_LEVEL_PARAMETERIV 139
#define | XCB_GLX_IS_ENABLED 140
#define | XCB_GLX_IS_LIST 141
#define | XCB_GLX_FLUSH 142
#define | XCB_GLX_ARE_TEXTURES_RESIDENT 143
#define | XCB_GLX_DELETE_TEXTURES 144
#define | XCB_GLX_GEN_TEXTURES 145
#define | XCB_GLX_IS_TEXTURE 146
#define | XCB_GLX_GET_COLOR_TABLE 147
#define | XCB_GLX_GET_COLOR_TABLE_PARAMETERFV 148
#define | XCB_GLX_GET_COLOR_TABLE_PARAMETERIV 149
#define | XCB_GLX_GET_CONVOLUTION_FILTER 150
#define | XCB_GLX_GET_CONVOLUTION_PARAMETERFV 151
#define | XCB_GLX_GET_CONVOLUTION_PARAMETERIV 152
#define | XCB_GLX_GET_SEPARABLE_FILTER 153
#define | XCB_GLX_GET_HISTOGRAM 154
#define | XCB_GLX_GET_HISTOGRAM_PARAMETERFV 155
#define | XCB_GLX_GET_HISTOGRAM_PARAMETERIV 156
#define | XCB_GLX_GET_MINMAX 157
#define | XCB_GLX_GET_MINMAX_PARAMETERFV 158
#define | XCB_GLX_GET_MINMAX_PARAMETERIV 159
#define | XCB_GLX_GET_COMPRESSED_TEX_IMAGE_ARB 160
#define | XCB_GLX_DELETE_QUERIES_ARB 161
#define | XCB_GLX_GEN_QUERIES_ARB 162
#define | XCB_GLX_IS_QUERY_ARB 163
#define | XCB_GLX_GET_QUERYIV_ARB 164
#define | XCB_GLX_GET_QUERY_OBJECTIV_ARB 165
#define | XCB_GLX_GET_QUERY_OBJECTUIV_ARB 166

## Typedefs

typedef uint32_t | xcb_glx_pixmap_t
typedef struct xcb_glx_pixmap_iterator_t | xcb_glx_pixmap_iterator_t
| xcb_glx_pixmap_iterator_t
typedef uint32_t | xcb_glx_context_t
typedef struct xcb_glx_context_iterator_t | xcb_glx_context_iterator_t
| xcb_glx_context_iterator_t
typedef uint32_t | xcb_glx_pbuffer_t
typedef struct xcb_glx_pbuffer_iterator_t | xcb_glx_pbuffer_iterator_t
| xcb_glx_pbuffer_iterator_t
typedef uint32_t | xcb_glx_window_t
typedef struct xcb_glx_window_iterator_t | xcb_glx_window_iterator_t
| xcb_glx_window_iterator_t
typedef uint32_t | xcb_glx_fbconfig_t
typedef struct xcb_glx_fbconfig_iterator_t | xcb_glx_fbconfig_iterator_t
| xcb_glx_fbconfig_iterator_t
typedef uint32_t | xcb_glx_drawable_t
typedef struct xcb_glx_drawable_iterator_t | xcb_glx_drawable_iterator_t
| xcb_glx_drawable_iterator_t
typedef float | xcb_glx_float32_t
typedef struct xcb_glx_float32_iterator_t | xcb_glx_float32_iterator_t
| xcb_glx_float32_iterator_t
typedef double | xcb_glx_float64_t
typedef struct xcb_glx_float64_iterator_t | xcb_glx_float64_iterator_t
| xcb_glx_float64_iterator_t
typedef uint32_t | xcb_glx_bool32_t
typedef struct xcb_glx_bool32_iterator_t | xcb_glx_bool32_iterator_t
| xcb_glx_bool32_iterator_t
typedef uint32_t | xcb_glx_context_tag_t
typedef struct xcb_glx_context_tag_iterator_t | xcb_glx_context_tag_iterator_t
| xcb_glx_context_tag_iterator_t
typedef struct xcb_glx_generic_error_t | xcb_glx_generic_error_t
| xcb_glx_generic_error_t
typedef xcb_glx_generic_error_t | xcb_glx_bad_context_error_t
typedef xcb_glx_generic_error_t | xcb_glx_bad_context_state_error_t
typedef xcb_glx_generic_error_t | xcb_glx_bad_drawable_error_t
typedef xcb_glx_generic_error_t | xcb_glx_bad_pixmap_error_t
typedef xcb_glx_generic_error_t | xcb_glx_bad_context_tag_error_t
typedef xcb_glx_generic_error_t | xcb_glx_bad_current_window_error_t
typedef xcb_glx_generic_error_t | xcb_glx_bad_render_request_error_t
typedef xcb_glx_generic_error_t | xcb_glx_bad_large_request_error_t
typedef xcb_glx_generic_error_t | xcb_glx_unsupported_private_request_error_t
typedef xcb_glx_generic_error_t | xcb_glx_bad_fb_config_error_t
typedef xcb_glx_generic_error_t | xcb_glx_bad_pbuffer_error_t
typedef xcb_glx_generic_error_t | xcb_glx_bad_current_drawable_error_t
typedef xcb_glx_generic_error_t | xcb_glx_bad_window_error_t
typedef xcb_glx_generic_error_t | xcb_glx_glx_bad_profile_arb_error_t
typedef struct xcb_glx_pbuffer_clobber_event_t | xcb_glx_pbuffer_clobber_event_t
| xcb_glx_pbuffer_clobber_event_t
typedef struct xcb_glx_buffer_swap_complete_event_t | xcb_glx_buffer_swap_complete_event_t
| xcb_glx_buffer_swap_complete_event_t
typedef enum xcb_glx_pbcet_t | xcb_glx_pbcet_t
typedef enum xcb_glx_pbcdt_t | xcb_glx_pbcdt_t
typedef struct xcb_glx_render_request_t | xcb_glx_render_request_t
| xcb_glx_render_request_t
typedef struct xcb_glx_render_large_request_t | xcb_glx_render_large_request_t
| xcb_glx_render_large_request_t
typedef struct xcb_glx_create_context_request_t | xcb_glx_create_context_request_t
| xcb_glx_create_context_request_t
typedef struct xcb_glx_destroy_context_request_t | xcb_glx_destroy_context_request_t
| xcb_glx_destroy_context_request_t
typedef struct xcb_glx_make_current_cookie_t | xcb_glx_make_current_cookie_t
| xcb_glx_make_current_cookie_t
typedef struct xcb_glx_make_current_request_t | xcb_glx_make_current_request_t
| xcb_glx_make_current_request_t
typedef struct xcb_glx_make_current_reply_t | xcb_glx_make_current_reply_t
| xcb_glx_make_current_reply_t
typedef struct xcb_glx_is_direct_cookie_t | xcb_glx_is_direct_cookie_t
| xcb_glx_is_direct_cookie_t
typedef struct xcb_glx_is_direct_request_t | xcb_glx_is_direct_request_t
| xcb_glx_is_direct_request_t
typedef struct xcb_glx_is_direct_reply_t | xcb_glx_is_direct_reply_t
| xcb_glx_is_direct_reply_t
typedef struct xcb_glx_query_version_cookie_t | xcb_glx_query_version_cookie_t
| xcb_glx_query_version_cookie_t
typedef struct xcb_glx_query_version_request_t | xcb_glx_query_version_request_t
| xcb_glx_query_version_request_t
typedef struct xcb_glx_query_version_reply_t | xcb_glx_query_version_reply_t
| xcb_glx_query_version_reply_t
typedef struct xcb_glx_wait_gl_request_t | xcb_glx_wait_gl_request_t
| xcb_glx_wait_gl_request_t
typedef struct xcb_glx_wait_x_request_t | xcb_glx_wait_x_request_t
| xcb_glx_wait_x_request_t
typedef struct xcb_glx_copy_context_request_t | xcb_glx_copy_context_request_t
| xcb_glx_copy_context_request_t
typedef enum xcb_glx_gc_t | xcb_glx_gc_t
typedef struct xcb_glx_swap_buffers_request_t | xcb_glx_swap_buffers_request_t
| xcb_glx_swap_buffers_request_t
typedef struct xcb_glx_use_x_font_request_t | xcb_glx_use_x_font_request_t
| xcb_glx_use_x_font_request_t
typedef struct xcb_glx_create_glx_pixmap_request_t | xcb_glx_create_glx_pixmap_request_t
| xcb_glx_create_glx_pixmap_request_t
typedef struct xcb_glx_get_visual_configs_cookie_t | xcb_glx_get_visual_configs_cookie_t
| xcb_glx_get_visual_configs_cookie_t
typedef struct xcb_glx_get_visual_configs_request_t | xcb_glx_get_visual_configs_request_t
| xcb_glx_get_visual_configs_request_t
typedef struct xcb_glx_get_visual_configs_reply_t | xcb_glx_get_visual_configs_reply_t
| xcb_glx_get_visual_configs_reply_t
typedef struct xcb_glx_destroy_glx_pixmap_request_t | xcb_glx_destroy_glx_pixmap_request_t
| xcb_glx_destroy_glx_pixmap_request_t
typedef struct xcb_glx_vendor_private_request_t | xcb_glx_vendor_private_request_t
| xcb_glx_vendor_private_request_t
typedef struct xcb_glx_vendor_private_with_reply_cookie_t | xcb_glx_vendor_private_with_reply_cookie_t
| xcb_glx_vendor_private_with_reply_cookie_t
typedef struct xcb_glx_vendor_private_with_reply_request_t | xcb_glx_vendor_private_with_reply_request_t
| xcb_glx_vendor_private_with_reply_request_t
typedef struct xcb_glx_vendor_private_with_reply_reply_t | xcb_glx_vendor_private_with_reply_reply_t
| xcb_glx_vendor_private_with_reply_reply_t
typedef struct xcb_glx_query_extensions_string_cookie_t | xcb_glx_query_extensions_string_cookie_t
| xcb_glx_query_extensions_string_cookie_t
typedef struct xcb_glx_query_extensions_string_request_t | xcb_glx_query_extensions_string_request_t
| xcb_glx_query_extensions_string_request_t
typedef struct xcb_glx_query_extensions_string_reply_t | xcb_glx_query_extensions_string_reply_t
| xcb_glx_query_extensions_string_reply_t
typedef struct xcb_glx_query_server_string_cookie_t | xcb_glx_query_server_string_cookie_t
| xcb_glx_query_server_string_cookie_t
typedef struct xcb_glx_query_server_string_request_t | xcb_glx_query_server_string_request_t
| xcb_glx_query_server_string_request_t
typedef struct xcb_glx_query_server_string_reply_t | xcb_glx_query_server_string_reply_t
| xcb_glx_query_server_string_reply_t
typedef struct xcb_glx_client_info_request_t | xcb_glx_client_info_request_t
| xcb_glx_client_info_request_t
typedef struct xcb_glx_get_fb_configs_cookie_t | xcb_glx_get_fb_configs_cookie_t
| xcb_glx_get_fb_configs_cookie_t
typedef struct xcb_glx_get_fb_configs_request_t | xcb_glx_get_fb_configs_request_t
| xcb_glx_get_fb_configs_request_t
typedef struct xcb_glx_get_fb_configs_reply_t | xcb_glx_get_fb_configs_reply_t
| xcb_glx_get_fb_configs_reply_t
typedef struct xcb_glx_create_pixmap_request_t | xcb_glx_create_pixmap_request_t
| xcb_glx_create_pixmap_request_t
typedef struct xcb_glx_destroy_pixmap_request_t | xcb_glx_destroy_pixmap_request_t
| xcb_glx_destroy_pixmap_request_t
typedef struct xcb_glx_create_new_context_request_t | xcb_glx_create_new_context_request_t
| xcb_glx_create_new_context_request_t
typedef struct xcb_glx_query_context_cookie_t | xcb_glx_query_context_cookie_t
| xcb_glx_query_context_cookie_t
typedef struct xcb_glx_query_context_request_t | xcb_glx_query_context_request_t
| xcb_glx_query_context_request_t
typedef struct xcb_glx_query_context_reply_t | xcb_glx_query_context_reply_t
| xcb_glx_query_context_reply_t
typedef struct xcb_glx_make_context_current_cookie_t | xcb_glx_make_context_current_cookie_t
| xcb_glx_make_context_current_cookie_t
typedef struct xcb_glx_make_context_current_request_t | xcb_glx_make_context_current_request_t
| xcb_glx_make_context_current_request_t
typedef struct xcb_glx_make_context_current_reply_t | xcb_glx_make_context_current_reply_t
| xcb_glx_make_context_current_reply_t
typedef struct xcb_glx_create_pbuffer_request_t | xcb_glx_create_pbuffer_request_t
| xcb_glx_create_pbuffer_request_t
typedef struct xcb_glx_destroy_pbuffer_request_t | xcb_glx_destroy_pbuffer_request_t
| xcb_glx_destroy_pbuffer_request_t
typedef struct xcb_glx_get_drawable_attributes_cookie_t | xcb_glx_get_drawable_attributes_cookie_t
| xcb_glx_get_drawable_attributes_cookie_t
typedef struct xcb_glx_get_drawable_attributes_request_t | xcb_glx_get_drawable_attributes_request_t
| xcb_glx_get_drawable_attributes_request_t
typedef struct xcb_glx_get_drawable_attributes_reply_t | xcb_glx_get_drawable_attributes_reply_t
| xcb_glx_get_drawable_attributes_reply_t
typedef struct xcb_glx_change_drawable_attributes_request_t | xcb_glx_change_drawable_attributes_request_t
| xcb_glx_change_drawable_attributes_request_t
typedef struct xcb_glx_create_window_request_t | xcb_glx_create_window_request_t
| xcb_glx_create_window_request_t
typedef struct xcb_glx_delete_window_request_t | xcb_glx_delete_window_request_t
| xcb_glx_delete_window_request_t
typedef struct xcb_glx_set_client_info_arb_request_t | xcb_glx_set_client_info_arb_request_t
| xcb_glx_set_client_info_arb_request_t
typedef struct xcb_glx_create_context_attribs_arb_request_t | xcb_glx_create_context_attribs_arb_request_t
| xcb_glx_create_context_attribs_arb_request_t
typedef struct xcb_glx_set_client_info_2arb_request_t | xcb_glx_set_client_info_2arb_request_t
| xcb_glx_set_client_info_2arb_request_t
typedef struct xcb_glx_new_list_request_t | xcb_glx_new_list_request_t
| xcb_glx_new_list_request_t
typedef struct xcb_glx_end_list_request_t | xcb_glx_end_list_request_t
| xcb_glx_end_list_request_t
typedef struct xcb_glx_delete_lists_request_t | xcb_glx_delete_lists_request_t
| xcb_glx_delete_lists_request_t
typedef struct xcb_glx_gen_lists_cookie_t | xcb_glx_gen_lists_cookie_t
| xcb_glx_gen_lists_cookie_t
typedef struct xcb_glx_gen_lists_request_t | xcb_glx_gen_lists_request_t
| xcb_glx_gen_lists_request_t
typedef struct xcb_glx_gen_lists_reply_t | xcb_glx_gen_lists_reply_t
| xcb_glx_gen_lists_reply_t
typedef struct xcb_glx_feedback_buffer_request_t | xcb_glx_feedback_buffer_request_t
| xcb_glx_feedback_buffer_request_t
typedef struct xcb_glx_select_buffer_request_t | xcb_glx_select_buffer_request_t
| xcb_glx_select_buffer_request_t
typedef struct xcb_glx_render_mode_cookie_t | xcb_glx_render_mode_cookie_t
| xcb_glx_render_mode_cookie_t
typedef struct xcb_glx_render_mode_request_t | xcb_glx_render_mode_request_t
| xcb_glx_render_mode_request_t
typedef struct xcb_glx_render_mode_reply_t | xcb_glx_render_mode_reply_t
| xcb_glx_render_mode_reply_t
typedef enum xcb_glx_rm_t | xcb_glx_rm_t
typedef struct xcb_glx_finish_cookie_t | xcb_glx_finish_cookie_t
| xcb_glx_finish_cookie_t
typedef struct xcb_glx_finish_request_t | xcb_glx_finish_request_t
| xcb_glx_finish_request_t
typedef struct xcb_glx_finish_reply_t | xcb_glx_finish_reply_t
| xcb_glx_finish_reply_t
typedef struct xcb_glx_pixel_storef_request_t | xcb_glx_pixel_storef_request_t
| xcb_glx_pixel_storef_request_t
typedef struct xcb_glx_pixel_storei_request_t | xcb_glx_pixel_storei_request_t
| xcb_glx_pixel_storei_request_t
typedef struct xcb_glx_read_pixels_cookie_t | xcb_glx_read_pixels_cookie_t
| xcb_glx_read_pixels_cookie_t
typedef struct xcb_glx_read_pixels_request_t | xcb_glx_read_pixels_request_t
| xcb_glx_read_pixels_request_t
typedef struct xcb_glx_read_pixels_reply_t | xcb_glx_read_pixels_reply_t
| xcb_glx_read_pixels_reply_t
typedef struct xcb_glx_get_booleanv_cookie_t | xcb_glx_get_booleanv_cookie_t
| xcb_glx_get_booleanv_cookie_t
typedef struct xcb_glx_get_booleanv_request_t | xcb_glx_get_booleanv_request_t
| xcb_glx_get_booleanv_request_t
typedef struct xcb_glx_get_booleanv_reply_t | xcb_glx_get_booleanv_reply_t
| xcb_glx_get_booleanv_reply_t
typedef struct xcb_glx_get_clip_plane_cookie_t | xcb_glx_get_clip_plane_cookie_t
| xcb_glx_get_clip_plane_cookie_t
typedef struct xcb_glx_get_clip_plane_request_t | xcb_glx_get_clip_plane_request_t
| xcb_glx_get_clip_plane_request_t
typedef struct xcb_glx_get_clip_plane_reply_t | xcb_glx_get_clip_plane_reply_t
| xcb_glx_get_clip_plane_reply_t
typedef struct xcb_glx_get_doublev_cookie_t | xcb_glx_get_doublev_cookie_t
| xcb_glx_get_doublev_cookie_t
typedef struct xcb_glx_get_doublev_request_t | xcb_glx_get_doublev_request_t
| xcb_glx_get_doublev_request_t
typedef struct xcb_glx_get_doublev_reply_t | xcb_glx_get_doublev_reply_t
| xcb_glx_get_doublev_reply_t
typedef struct xcb_glx_get_error_cookie_t | xcb_glx_get_error_cookie_t
| xcb_glx_get_error_cookie_t
typedef struct xcb_glx_get_error_request_t | xcb_glx_get_error_request_t
| xcb_glx_get_error_request_t
typedef struct xcb_glx_get_error_reply_t | xcb_glx_get_error_reply_t
| xcb_glx_get_error_reply_t
typedef struct xcb_glx_get_floatv_cookie_t | xcb_glx_get_floatv_cookie_t
| xcb_glx_get_floatv_cookie_t
typedef struct xcb_glx_get_floatv_request_t | xcb_glx_get_floatv_request_t
| xcb_glx_get_floatv_request_t
typedef struct xcb_glx_get_floatv_reply_t | xcb_glx_get_floatv_reply_t
| xcb_glx_get_floatv_reply_t
typedef struct xcb_glx_get_integerv_cookie_t | xcb_glx_get_integerv_cookie_t
| xcb_glx_get_integerv_cookie_t
typedef struct xcb_glx_get_integerv_request_t | xcb_glx_get_integerv_request_t
| xcb_glx_get_integerv_request_t
typedef struct xcb_glx_get_integerv_reply_t | xcb_glx_get_integerv_reply_t
| xcb_glx_get_integerv_reply_t
typedef struct xcb_glx_get_lightfv_cookie_t | xcb_glx_get_lightfv_cookie_t
| xcb_glx_get_lightfv_cookie_t
typedef struct xcb_glx_get_lightfv_request_t | xcb_glx_get_lightfv_request_t
| xcb_glx_get_lightfv_request_t
typedef struct xcb_glx_get_lightfv_reply_t | xcb_glx_get_lightfv_reply_t
| xcb_glx_get_lightfv_reply_t
typedef struct xcb_glx_get_lightiv_cookie_t | xcb_glx_get_lightiv_cookie_t
| xcb_glx_get_lightiv_cookie_t
typedef struct xcb_glx_get_lightiv_request_t | xcb_glx_get_lightiv_request_t
| xcb_glx_get_lightiv_request_t
typedef struct xcb_glx_get_lightiv_reply_t | xcb_glx_get_lightiv_reply_t
| xcb_glx_get_lightiv_reply_t
typedef struct xcb_glx_get_mapdv_cookie_t | xcb_glx_get_mapdv_cookie_t
| xcb_glx_get_mapdv_cookie_t
typedef struct xcb_glx_get_mapdv_request_t | xcb_glx_get_mapdv_request_t
| xcb_glx_get_mapdv_request_t
typedef struct xcb_glx_get_mapdv_reply_t | xcb_glx_get_mapdv_reply_t
| xcb_glx_get_mapdv_reply_t
typedef struct xcb_glx_get_mapfv_cookie_t | xcb_glx_get_mapfv_cookie_t
| xcb_glx_get_mapfv_cookie_t
typedef struct xcb_glx_get_mapfv_request_t | xcb_glx_get_mapfv_request_t
| xcb_glx_get_mapfv_request_t
typedef struct xcb_glx_get_mapfv_reply_t | xcb_glx_get_mapfv_reply_t
| xcb_glx_get_mapfv_reply_t
typedef struct xcb_glx_get_mapiv_cookie_t | xcb_glx_get_mapiv_cookie_t
| xcb_glx_get_mapiv_cookie_t
typedef struct xcb_glx_get_mapiv_request_t | xcb_glx_get_mapiv_request_t
| xcb_glx_get_mapiv_request_t
typedef struct xcb_glx_get_mapiv_reply_t | xcb_glx_get_mapiv_reply_t
| xcb_glx_get_mapiv_reply_t
typedef struct xcb_glx_get_materialfv_cookie_t | xcb_glx_get_materialfv_cookie_t
| xcb_glx_get_materialfv_cookie_t
typedef struct xcb_glx_get_materialfv_request_t | xcb_glx_get_materialfv_request_t
| xcb_glx_get_materialfv_request_t
typedef struct xcb_glx_get_materialfv_reply_t | xcb_glx_get_materialfv_reply_t
| xcb_glx_get_materialfv_reply_t
typedef struct xcb_glx_get_materialiv_cookie_t | xcb_glx_get_materialiv_cookie_t
| xcb_glx_get_materialiv_cookie_t
typedef struct xcb_glx_get_materialiv_request_t | xcb_glx_get_materialiv_request_t
| xcb_glx_get_materialiv_request_t
typedef struct xcb_glx_get_materialiv_reply_t | xcb_glx_get_materialiv_reply_t
| xcb_glx_get_materialiv_reply_t
typedef struct xcb_glx_get_pixel_mapfv_cookie_t | xcb_glx_get_pixel_mapfv_cookie_t
| xcb_glx_get_pixel_mapfv_cookie_t
typedef struct xcb_glx_get_pixel_mapfv_request_t | xcb_glx_get_pixel_mapfv_request_t
| xcb_glx_get_pixel_mapfv_request_t
typedef struct xcb_glx_get_pixel_mapfv_reply_t | xcb_glx_get_pixel_mapfv_reply_t
| xcb_glx_get_pixel_mapfv_reply_t
typedef struct xcb_glx_get_pixel_mapuiv_cookie_t | xcb_glx_get_pixel_mapuiv_cookie_t
| xcb_glx_get_pixel_mapuiv_cookie_t
typedef struct xcb_glx_get_pixel_mapuiv_request_t | xcb_glx_get_pixel_mapuiv_request_t
| xcb_glx_get_pixel_mapuiv_request_t
typedef struct xcb_glx_get_pixel_mapuiv_reply_t | xcb_glx_get_pixel_mapuiv_reply_t
| xcb_glx_get_pixel_mapuiv_reply_t
typedef struct xcb_glx_get_pixel_mapusv_cookie_t | xcb_glx_get_pixel_mapusv_cookie_t
| xcb_glx_get_pixel_mapusv_cookie_t
typedef struct xcb_glx_get_pixel_mapusv_request_t | xcb_glx_get_pixel_mapusv_request_t
| xcb_glx_get_pixel_mapusv_request_t
typedef struct xcb_glx_get_pixel_mapusv_reply_t | xcb_glx_get_pixel_mapusv_reply_t
| xcb_glx_get_pixel_mapusv_reply_t
typedef struct xcb_glx_get_polygon_stipple_cookie_t | xcb_glx_get_polygon_stipple_cookie_t
| xcb_glx_get_polygon_stipple_cookie_t
typedef struct xcb_glx_get_polygon_stipple_request_t | xcb_glx_get_polygon_stipple_request_t
| xcb_glx_get_polygon_stipple_request_t
typedef struct xcb_glx_get_polygon_stipple_reply_t | xcb_glx_get_polygon_stipple_reply_t
| xcb_glx_get_polygon_stipple_reply_t
typedef struct xcb_glx_get_string_cookie_t | xcb_glx_get_string_cookie_t
| xcb_glx_get_string_cookie_t
typedef struct xcb_glx_get_string_request_t | xcb_glx_get_string_request_t
| xcb_glx_get_string_request_t
typedef struct xcb_glx_get_string_reply_t | xcb_glx_get_string_reply_t
| xcb_glx_get_string_reply_t
typedef struct xcb_glx_get_tex_envfv_cookie_t | xcb_glx_get_tex_envfv_cookie_t
| xcb_glx_get_tex_envfv_cookie_t
typedef struct xcb_glx_get_tex_envfv_request_t | xcb_glx_get_tex_envfv_request_t
| xcb_glx_get_tex_envfv_request_t
typedef struct xcb_glx_get_tex_envfv_reply_t | xcb_glx_get_tex_envfv_reply_t
| xcb_glx_get_tex_envfv_reply_t
typedef struct xcb_glx_get_tex_enviv_cookie_t | xcb_glx_get_tex_enviv_cookie_t
| xcb_glx_get_tex_enviv_cookie_t
typedef struct xcb_glx_get_tex_enviv_request_t | xcb_glx_get_tex_enviv_request_t
| xcb_glx_get_tex_enviv_request_t
typedef struct xcb_glx_get_tex_enviv_reply_t | xcb_glx_get_tex_enviv_reply_t
| xcb_glx_get_tex_enviv_reply_t
typedef struct xcb_glx_get_tex_gendv_cookie_t | xcb_glx_get_tex_gendv_cookie_t
| xcb_glx_get_tex_gendv_cookie_t
typedef struct xcb_glx_get_tex_gendv_request_t | xcb_glx_get_tex_gendv_request_t
| xcb_glx_get_tex_gendv_request_t
typedef struct xcb_glx_get_tex_gendv_reply_t | xcb_glx_get_tex_gendv_reply_t
| xcb_glx_get_tex_gendv_reply_t
typedef struct xcb_glx_get_tex_genfv_cookie_t | xcb_glx_get_tex_genfv_cookie_t
| xcb_glx_get_tex_genfv_cookie_t
typedef struct xcb_glx_get_tex_genfv_request_t | xcb_glx_get_tex_genfv_request_t
| xcb_glx_get_tex_genfv_request_t
typedef struct xcb_glx_get_tex_genfv_reply_t | xcb_glx_get_tex_genfv_reply_t
| xcb_glx_get_tex_genfv_reply_t
typedef struct xcb_glx_get_tex_geniv_cookie_t | xcb_glx_get_tex_geniv_cookie_t
| xcb_glx_get_tex_geniv_cookie_t
typedef struct xcb_glx_get_tex_geniv_request_t | xcb_glx_get_tex_geniv_request_t
| xcb_glx_get_tex_geniv_request_t
typedef struct xcb_glx_get_tex_geniv_reply_t | xcb_glx_get_tex_geniv_reply_t
| xcb_glx_get_tex_geniv_reply_t
typedef struct xcb_glx_get_tex_image_cookie_t | xcb_glx_get_tex_image_cookie_t
| xcb_glx_get_tex_image_cookie_t
typedef struct xcb_glx_get_tex_image_request_t | xcb_glx_get_tex_image_request_t
| xcb_glx_get_tex_image_request_t
typedef struct xcb_glx_get_tex_image_reply_t | xcb_glx_get_tex_image_reply_t
| xcb_glx_get_tex_image_reply_t
typedef struct xcb_glx_get_tex_parameterfv_cookie_t | xcb_glx_get_tex_parameterfv_cookie_t
| xcb_glx_get_tex_parameterfv_cookie_t
typedef struct xcb_glx_get_tex_parameterfv_request_t | xcb_glx_get_tex_parameterfv_request_t
| xcb_glx_get_tex_parameterfv_request_t
typedef struct xcb_glx_get_tex_parameterfv_reply_t | xcb_glx_get_tex_parameterfv_reply_t
| xcb_glx_get_tex_parameterfv_reply_t
typedef struct xcb_glx_get_tex_parameteriv_cookie_t | xcb_glx_get_tex_parameteriv_cookie_t
| xcb_glx_get_tex_parameteriv_cookie_t
typedef struct xcb_glx_get_tex_parameteriv_request_t | xcb_glx_get_tex_parameteriv_request_t
| xcb_glx_get_tex_parameteriv_request_t
typedef struct xcb_glx_get_tex_parameteriv_reply_t | xcb_glx_get_tex_parameteriv_reply_t
| xcb_glx_get_tex_parameteriv_reply_t
typedef struct xcb_glx_get_tex_level_parameterfv_cookie_t | xcb_glx_get_tex_level_parameterfv_cookie_t
| xcb_glx_get_tex_level_parameterfv_cookie_t
typedef struct xcb_glx_get_tex_level_parameterfv_request_t | xcb_glx_get_tex_level_parameterfv_request_t
| xcb_glx_get_tex_level_parameterfv_request_t
typedef struct xcb_glx_get_tex_level_parameterfv_reply_t | xcb_glx_get_tex_level_parameterfv_reply_t
| xcb_glx_get_tex_level_parameterfv_reply_t
typedef struct xcb_glx_get_tex_level_parameteriv_cookie_t | xcb_glx_get_tex_level_parameteriv_cookie_t
| xcb_glx_get_tex_level_parameteriv_cookie_t
typedef struct xcb_glx_get_tex_level_parameteriv_request_t | xcb_glx_get_tex_level_parameteriv_request_t
| xcb_glx_get_tex_level_parameteriv_request_t
typedef struct xcb_glx_get_tex_level_parameteriv_reply_t | xcb_glx_get_tex_level_parameteriv_reply_t
| xcb_glx_get_tex_level_parameteriv_reply_t
typedef struct xcb_glx_is_enabled_cookie_t | xcb_glx_is_enabled_cookie_t
| xcb_glx_is_enabled_cookie_t
typedef struct xcb_glx_is_enabled_request_t | xcb_glx_is_enabled_request_t
| xcb_glx_is_enabled_request_t
typedef struct xcb_glx_is_enabled_reply_t | xcb_glx_is_enabled_reply_t
| xcb_glx_is_enabled_reply_t
typedef struct xcb_glx_is_list_cookie_t | xcb_glx_is_list_cookie_t
| xcb_glx_is_list_cookie_t
typedef struct xcb_glx_is_list_request_t | xcb_glx_is_list_request_t
| xcb_glx_is_list_request_t
typedef struct xcb_glx_is_list_reply_t | xcb_glx_is_list_reply_t
| xcb_glx_is_list_reply_t
typedef struct xcb_glx_flush_request_t | xcb_glx_flush_request_t
| xcb_glx_flush_request_t
typedef struct xcb_glx_are_textures_resident_cookie_t | xcb_glx_are_textures_resident_cookie_t
| xcb_glx_are_textures_resident_cookie_t
typedef struct xcb_glx_are_textures_resident_request_t | xcb_glx_are_textures_resident_request_t
| xcb_glx_are_textures_resident_request_t
typedef struct xcb_glx_are_textures_resident_reply_t | xcb_glx_are_textures_resident_reply_t
| xcb_glx_are_textures_resident_reply_t
typedef struct xcb_glx_delete_textures_request_t | xcb_glx_delete_textures_request_t
| xcb_glx_delete_textures_request_t
typedef struct xcb_glx_gen_textures_cookie_t | xcb_glx_gen_textures_cookie_t
| xcb_glx_gen_textures_cookie_t
typedef struct xcb_glx_gen_textures_request_t | xcb_glx_gen_textures_request_t
| xcb_glx_gen_textures_request_t
typedef struct xcb_glx_gen_textures_reply_t | xcb_glx_gen_textures_reply_t
| xcb_glx_gen_textures_reply_t
typedef struct xcb_glx_is_texture_cookie_t | xcb_glx_is_texture_cookie_t
| xcb_glx_is_texture_cookie_t
typedef struct xcb_glx_is_texture_request_t | xcb_glx_is_texture_request_t
| xcb_glx_is_texture_request_t
typedef struct xcb_glx_is_texture_reply_t | xcb_glx_is_texture_reply_t
| xcb_glx_is_texture_reply_t
typedef struct xcb_glx_get_color_table_cookie_t | xcb_glx_get_color_table_cookie_t
| xcb_glx_get_color_table_cookie_t
typedef struct xcb_glx_get_color_table_request_t | xcb_glx_get_color_table_request_t
| xcb_glx_get_color_table_request_t
typedef struct xcb_glx_get_color_table_reply_t | xcb_glx_get_color_table_reply_t
| xcb_glx_get_color_table_reply_t
typedef struct xcb_glx_get_color_table_parameterfv_cookie_t | xcb_glx_get_color_table_parameterfv_cookie_t
| xcb_glx_get_color_table_parameterfv_cookie_t
typedef struct xcb_glx_get_color_table_parameterfv_request_t | xcb_glx_get_color_table_parameterfv_request_t
| xcb_glx_get_color_table_parameterfv_request_t
typedef struct xcb_glx_get_color_table_parameterfv_reply_t | xcb_glx_get_color_table_parameterfv_reply_t
| xcb_glx_get_color_table_parameterfv_reply_t
typedef struct xcb_glx_get_color_table_parameteriv_cookie_t | xcb_glx_get_color_table_parameteriv_cookie_t
| xcb_glx_get_color_table_parameteriv_cookie_t
typedef struct xcb_glx_get_color_table_parameteriv_request_t | xcb_glx_get_color_table_parameteriv_request_t
| xcb_glx_get_color_table_parameteriv_request_t
typedef struct xcb_glx_get_color_table_parameteriv_reply_t | xcb_glx_get_color_table_parameteriv_reply_t
| xcb_glx_get_color_table_parameteriv_reply_t
typedef struct xcb_glx_get_convolution_filter_cookie_t | xcb_glx_get_convolution_filter_cookie_t
| xcb_glx_get_convolution_filter_cookie_t
typedef struct xcb_glx_get_convolution_filter_request_t | xcb_glx_get_convolution_filter_request_t
| xcb_glx_get_convolution_filter_request_t
typedef struct xcb_glx_get_convolution_filter_reply_t | xcb_glx_get_convolution_filter_reply_t
| xcb_glx_get_convolution_filter_reply_t
typedef struct xcb_glx_get_convolution_parameterfv_cookie_t | xcb_glx_get_convolution_parameterfv_cookie_t
| xcb_glx_get_convolution_parameterfv_cookie_t
typedef struct xcb_glx_get_convolution_parameterfv_request_t | xcb_glx_get_convolution_parameterfv_request_t
| xcb_glx_get_convolution_parameterfv_request_t
typedef struct xcb_glx_get_convolution_parameterfv_reply_t | xcb_glx_get_convolution_parameterfv_reply_t
| xcb_glx_get_convolution_parameterfv_reply_t
typedef struct xcb_glx_get_convolution_parameteriv_cookie_t | xcb_glx_get_convolution_parameteriv_cookie_t
| xcb_glx_get_convolution_parameteriv_cookie_t
typedef struct xcb_glx_get_convolution_parameteriv_request_t | xcb_glx_get_convolution_parameteriv_request_t
| xcb_glx_get_convolution_parameteriv_request_t
typedef struct xcb_glx_get_convolution_parameteriv_reply_t | xcb_glx_get_convolution_parameteriv_reply_t
| xcb_glx_get_convolution_parameteriv_reply_t
typedef struct xcb_glx_get_separable_filter_cookie_t | xcb_glx_get_separable_filter_cookie_t
| xcb_glx_get_separable_filter_cookie_t
typedef struct xcb_glx_get_separable_filter_request_t | xcb_glx_get_separable_filter_request_t
| xcb_glx_get_separable_filter_request_t
typedef struct xcb_glx_get_separable_filter_reply_t | xcb_glx_get_separable_filter_reply_t
| xcb_glx_get_separable_filter_reply_t
typedef struct xcb_glx_get_histogram_cookie_t | xcb_glx_get_histogram_cookie_t
| xcb_glx_get_histogram_cookie_t
typedef struct xcb_glx_get_histogram_request_t | xcb_glx_get_histogram_request_t
| xcb_glx_get_histogram_request_t
typedef struct xcb_glx_get_histogram_reply_t | xcb_glx_get_histogram_reply_t
| xcb_glx_get_histogram_reply_t
typedef struct xcb_glx_get_histogram_parameterfv_cookie_t | xcb_glx_get_histogram_parameterfv_cookie_t
| xcb_glx_get_histogram_parameterfv_cookie_t
typedef struct xcb_glx_get_histogram_parameterfv_request_t | xcb_glx_get_histogram_parameterfv_request_t
| xcb_glx_get_histogram_parameterfv_request_t
typedef struct xcb_glx_get_histogram_parameterfv_reply_t | xcb_glx_get_histogram_parameterfv_reply_t
| xcb_glx_get_histogram_parameterfv_reply_t
typedef struct xcb_glx_get_histogram_parameteriv_cookie_t | xcb_glx_get_histogram_parameteriv_cookie_t
| xcb_glx_get_histogram_parameteriv_cookie_t
typedef struct xcb_glx_get_histogram_parameteriv_request_t | xcb_glx_get_histogram_parameteriv_request_t
| xcb_glx_get_histogram_parameteriv_request_t
typedef struct xcb_glx_get_histogram_parameteriv_reply_t | xcb_glx_get_histogram_parameteriv_reply_t
| xcb_glx_get_histogram_parameteriv_reply_t
typedef struct xcb_glx_get_minmax_cookie_t | xcb_glx_get_minmax_cookie_t
| xcb_glx_get_minmax_cookie_t
typedef struct xcb_glx_get_minmax_request_t | xcb_glx_get_minmax_request_t
| xcb_glx_get_minmax_request_t
typedef struct xcb_glx_get_minmax_reply_t | xcb_glx_get_minmax_reply_t
| xcb_glx_get_minmax_reply_t
typedef struct xcb_glx_get_minmax_parameterfv_cookie_t | xcb_glx_get_minmax_parameterfv_cookie_t
| xcb_glx_get_minmax_parameterfv_cookie_t
typedef struct xcb_glx_get_minmax_parameterfv_request_t | xcb_glx_get_minmax_parameterfv_request_t
| xcb_glx_get_minmax_parameterfv_request_t
typedef struct xcb_glx_get_minmax_parameterfv_reply_t | xcb_glx_get_minmax_parameterfv_reply_t
| xcb_glx_get_minmax_parameterfv_reply_t
typedef struct xcb_glx_get_minmax_parameteriv_cookie_t | xcb_glx_get_minmax_parameteriv_cookie_t
| xcb_glx_get_minmax_parameteriv_cookie_t
typedef struct xcb_glx_get_minmax_parameteriv_request_t | xcb_glx_get_minmax_parameteriv_request_t
| xcb_glx_get_minmax_parameteriv_request_t
typedef struct xcb_glx_get_minmax_parameteriv_reply_t | xcb_glx_get_minmax_parameteriv_reply_t
| xcb_glx_get_minmax_parameteriv_reply_t
typedef struct xcb_glx_get_compressed_tex_image_arb_cookie_t | xcb_glx_get_compressed_tex_image_arb_cookie_t
| xcb_glx_get_compressed_tex_image_arb_cookie_t
typedef struct xcb_glx_get_compressed_tex_image_arb_request_t | xcb_glx_get_compressed_tex_image_arb_request_t
| xcb_glx_get_compressed_tex_image_arb_request_t
typedef struct xcb_glx_get_compressed_tex_image_arb_reply_t | xcb_glx_get_compressed_tex_image_arb_reply_t
| xcb_glx_get_compressed_tex_image_arb_reply_t
typedef struct xcb_glx_delete_queries_arb_request_t | xcb_glx_delete_queries_arb_request_t
| xcb_glx_delete_queries_arb_request_t
typedef struct xcb_glx_gen_queries_arb_cookie_t | xcb_glx_gen_queries_arb_cookie_t
| xcb_glx_gen_queries_arb_cookie_t
typedef struct xcb_glx_gen_queries_arb_request_t | xcb_glx_gen_queries_arb_request_t
| xcb_glx_gen_queries_arb_request_t
typedef struct xcb_glx_gen_queries_arb_reply_t | xcb_glx_gen_queries_arb_reply_t
| xcb_glx_gen_queries_arb_reply_t
typedef struct xcb_glx_is_query_arb_cookie_t | xcb_glx_is_query_arb_cookie_t
| xcb_glx_is_query_arb_cookie_t
typedef struct xcb_glx_is_query_arb_request_t | xcb_glx_is_query_arb_request_t
| xcb_glx_is_query_arb_request_t
typedef struct xcb_glx_is_query_arb_reply_t | xcb_glx_is_query_arb_reply_t
| xcb_glx_is_query_arb_reply_t
typedef struct xcb_glx_get_queryiv_arb_cookie_t | xcb_glx_get_queryiv_arb_cookie_t
| xcb_glx_get_queryiv_arb_cookie_t
typedef struct xcb_glx_get_queryiv_arb_request_t | xcb_glx_get_queryiv_arb_request_t
| xcb_glx_get_queryiv_arb_request_t
typedef struct xcb_glx_get_queryiv_arb_reply_t | xcb_glx_get_queryiv_arb_reply_t
| xcb_glx_get_queryiv_arb_reply_t
typedef struct xcb_glx_get_query_objectiv_arb_cookie_t | xcb_glx_get_query_objectiv_arb_cookie_t
| xcb_glx_get_query_objectiv_arb_cookie_t
typedef struct xcb_glx_get_query_objectiv_arb_request_t | xcb_glx_get_query_objectiv_arb_request_t
| xcb_glx_get_query_objectiv_arb_request_t
typedef struct xcb_glx_get_query_objectiv_arb_reply_t | xcb_glx_get_query_objectiv_arb_reply_t
| xcb_glx_get_query_objectiv_arb_reply_t
typedef struct xcb_glx_get_query_objectuiv_arb_cookie_t | xcb_glx_get_query_objectuiv_arb_cookie_t
| xcb_glx_get_query_objectuiv_arb_cookie_t
typedef struct xcb_glx_get_query_objectuiv_arb_request_t | xcb_glx_get_query_objectuiv_arb_request_t
| xcb_glx_get_query_objectuiv_arb_request_t
typedef struct xcb_glx_get_query_objectuiv_arb_reply_t | xcb_glx_get_query_objectuiv_arb_reply_t
| xcb_glx_get_query_objectuiv_arb_reply_t

## Enumerations

enum | xcb_glx_pbcet_t { XCB_GLX_PBCET_DAMAGED = 32791 , XCB_GLX_PBCET_SAVED = 32792 }
enum | xcb_glx_pbcdt_t { XCB_GLX_PBCDT_WINDOW = 32793 , XCB_GLX_PBCDT_PBUFFER = 32794 }

enum

xcb_glx_gc_t {
XCB_GLX_GC_GL_CURRENT_BIT = 1 , XCB_GLX_GC_GL_POINT_BIT = 2 , XCB_GLX_GC_GL_LINE_BIT = 4 , XCB_GLX_GC_GL_POLYGON_BIT = 8 ,
XCB_GLX_GC_GL_POLYGON_STIPPLE_BIT = 16 , XCB_GLX_GC_GL_PIXEL_MODE_BIT = 32 , XCB_GLX_GC_GL_LIGHTING_BIT = 64 , XCB_GLX_GC_GL_FOG_BIT = 128 ,
XCB_GLX_GC_GL_DEPTH_BUFFER_BIT = 256 , XCB_GLX_GC_GL_ACCUM_BUFFER_BIT = 512 , XCB_GLX_GC_GL_STENCIL_BUFFER_BIT = 1024 , XCB_GLX_GC_GL_VIEWPORT_BIT = 2048 ,
XCB_GLX_GC_GL_TRANSFORM_BIT = 4096 , XCB_GLX_GC_GL_ENABLE_BIT = 8192 , XCB_GLX_GC_GL_COLOR_BUFFER_BIT = 16384 , XCB_GLX_GC_GL_HINT_BIT = 32768 ,
XCB_GLX_GC_GL_EVAL_BIT = 65536 , XCB_GLX_GC_GL_LIST_BIT = 131072 , XCB_GLX_GC_GL_TEXTURE_BIT = 262144 , XCB_GLX_GC_GL_SCISSOR_BIT = 524288 ,
XCB_GLX_GC_GL_ALL_ATTRIB_BITS = 16777215
}

enum | xcb_glx_rm_t { XCB_GLX_RM_GL_RENDER = 7168 , XCB_GLX_RM_GL_FEEDBACK = 7169 , XCB_GLX_RM_GL_SELECT = 7170 }

## Functions

void | xcb_glx_pixmap_next (xcb_glx_pixmap_iterator_t *i)
xcb_generic_iterator_t | xcb_glx_pixmap_end (xcb_glx_pixmap_iterator_t i)
void | xcb_glx_context_next (xcb_glx_context_iterator_t *i)
xcb_generic_iterator_t | xcb_glx_context_end (xcb_glx_context_iterator_t i)
void | xcb_glx_pbuffer_next (xcb_glx_pbuffer_iterator_t *i)
xcb_generic_iterator_t | xcb_glx_pbuffer_end (xcb_glx_pbuffer_iterator_t i)
void | xcb_glx_window_next (xcb_glx_window_iterator_t *i)
xcb_generic_iterator_t | xcb_glx_window_end (xcb_glx_window_iterator_t i)
void | xcb_glx_fbconfig_next (xcb_glx_fbconfig_iterator_t *i)
xcb_generic_iterator_t | xcb_glx_fbconfig_end (xcb_glx_fbconfig_iterator_t i)
void | xcb_glx_drawable_next (xcb_glx_drawable_iterator_t *i)
xcb_generic_iterator_t | xcb_glx_drawable_end (xcb_glx_drawable_iterator_t i)
void | xcb_glx_float32_next (xcb_glx_float32_iterator_t *i)
xcb_generic_iterator_t | xcb_glx_float32_end (xcb_glx_float32_iterator_t i)
void | xcb_glx_float64_next (xcb_glx_float64_iterator_t *i)
xcb_generic_iterator_t | xcb_glx_float64_end (xcb_glx_float64_iterator_t i)
void | xcb_glx_bool32_next (xcb_glx_bool32_iterator_t *i)
xcb_generic_iterator_t | xcb_glx_bool32_end (xcb_glx_bool32_iterator_t i)
void | xcb_glx_context_tag_next (xcb_glx_context_tag_iterator_t *i)
xcb_generic_iterator_t | xcb_glx_context_tag_end (xcb_glx_context_tag_iterator_t i)
int | xcb_glx_render_sizeof (const void *_buffer, uint32_t data_len)
xcb_void_cookie_t | xcb_glx_render_checked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t data_len, const uint8_t *data)
xcb_void_cookie_t | xcb_glx_render (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t data_len, const uint8_t *data)
uint8_t * | xcb_glx_render_data (const xcb_glx_render_request_t *R)
int | xcb_glx_render_data_length (const xcb_glx_render_request_t *R)
xcb_generic_iterator_t | xcb_glx_render_data_end (const xcb_glx_render_request_t *R)
int | xcb_glx_render_large_sizeof (const void *_buffer)
xcb_void_cookie_t | xcb_glx_render_large_checked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint16_t request_num, uint16_t request_total, uint32_t data_len, const uint8_t *data)
xcb_void_cookie_t | xcb_glx_render_large (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint16_t request_num, uint16_t request_total, uint32_t data_len, const uint8_t *data)
uint8_t * | xcb_glx_render_large_data (const xcb_glx_render_large_request_t *R)
int | xcb_glx_render_large_data_length (const xcb_glx_render_large_request_t *R)
xcb_generic_iterator_t | xcb_glx_render_large_data_end (const xcb_glx_render_large_request_t *R)
xcb_void_cookie_t | xcb_glx_create_context_checked (xcb_connection_t *c, xcb_glx_context_t context, xcb_visualid_t visual, uint32_t screen, xcb_glx_context_t share_list, uint8_t is_direct)
xcb_void_cookie_t | xcb_glx_create_context (xcb_connection_t *c, xcb_glx_context_t context, xcb_visualid_t visual, uint32_t screen, xcb_glx_context_t share_list, uint8_t is_direct)
xcb_void_cookie_t | xcb_glx_destroy_context_checked (xcb_connection_t *c, xcb_glx_context_t context)
xcb_void_cookie_t | xcb_glx_destroy_context (xcb_connection_t *c, xcb_glx_context_t context)
xcb_glx_make_current_cookie_t | xcb_glx_make_current (xcb_connection_t *c, xcb_glx_drawable_t drawable, xcb_glx_context_t context, xcb_glx_context_tag_t old_context_tag)
xcb_glx_make_current_cookie_t | xcb_glx_make_current_unchecked (xcb_connection_t *c, xcb_glx_drawable_t drawable, xcb_glx_context_t context, xcb_glx_context_tag_t old_context_tag)
xcb_glx_make_current_reply_t * | xcb_glx_make_current_reply (xcb_connection_t *c, xcb_glx_make_current_cookie_t cookie, xcb_generic_error_t **e)
xcb_glx_is_direct_cookie_t | xcb_glx_is_direct (xcb_connection_t *c, xcb_glx_context_t context)
xcb_glx_is_direct_cookie_t | xcb_glx_is_direct_unchecked (xcb_connection_t *c, xcb_glx_context_t context)
xcb_glx_is_direct_reply_t * | xcb_glx_is_direct_reply (xcb_connection_t *c, xcb_glx_is_direct_cookie_t cookie, xcb_generic_error_t **e)
xcb_glx_query_version_cookie_t | xcb_glx_query_version (xcb_connection_t *c, uint32_t major_version, uint32_t minor_version)
xcb_glx_query_version_cookie_t | xcb_glx_query_version_unchecked (xcb_connection_t *c, uint32_t major_version, uint32_t minor_version)
xcb_glx_query_version_reply_t * | xcb_glx_query_version_reply (xcb_connection_t *c, xcb_glx_query_version_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_glx_wait_gl_checked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag)
xcb_void_cookie_t | xcb_glx_wait_gl (xcb_connection_t *c, xcb_glx_context_tag_t context_tag)
xcb_void_cookie_t | xcb_glx_wait_x_checked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag)
xcb_void_cookie_t | xcb_glx_wait_x (xcb_connection_t *c, xcb_glx_context_tag_t context_tag)
xcb_void_cookie_t | xcb_glx_copy_context_checked (xcb_connection_t *c, xcb_glx_context_t src, xcb_glx_context_t dest, uint32_t mask, xcb_glx_context_tag_t src_context_tag)
xcb_void_cookie_t | xcb_glx_copy_context (xcb_connection_t *c, xcb_glx_context_t src, xcb_glx_context_t dest, uint32_t mask, xcb_glx_context_tag_t src_context_tag)
xcb_void_cookie_t | xcb_glx_swap_buffers_checked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, xcb_glx_drawable_t drawable)
xcb_void_cookie_t | xcb_glx_swap_buffers (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, xcb_glx_drawable_t drawable)
xcb_void_cookie_t | xcb_glx_use_x_font_checked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, xcb_font_t font, uint32_t first, uint32_t count, uint32_t list_base)
xcb_void_cookie_t | xcb_glx_use_x_font (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, xcb_font_t font, uint32_t first, uint32_t count, uint32_t list_base)
xcb_void_cookie_t | xcb_glx_create_glx_pixmap_checked (xcb_connection_t *c, uint32_t screen, xcb_visualid_t visual, xcb_pixmap_t pixmap, xcb_glx_pixmap_t glx_pixmap)
xcb_void_cookie_t | xcb_glx_create_glx_pixmap (xcb_connection_t *c, uint32_t screen, xcb_visualid_t visual, xcb_pixmap_t pixmap, xcb_glx_pixmap_t glx_pixmap)
int | xcb_glx_get_visual_configs_sizeof (const void *_buffer)
xcb_glx_get_visual_configs_cookie_t | xcb_glx_get_visual_configs (xcb_connection_t *c, uint32_t screen)
xcb_glx_get_visual_configs_cookie_t | xcb_glx_get_visual_configs_unchecked (xcb_connection_t *c, uint32_t screen)
uint32_t * | xcb_glx_get_visual_configs_property_list (const xcb_glx_get_visual_configs_reply_t *R)
int | xcb_glx_get_visual_configs_property_list_length (const xcb_glx_get_visual_configs_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_visual_configs_property_list_end (const xcb_glx_get_visual_configs_reply_t *R)
xcb_glx_get_visual_configs_reply_t * | xcb_glx_get_visual_configs_reply (xcb_connection_t *c, xcb_glx_get_visual_configs_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_glx_destroy_glx_pixmap_checked (xcb_connection_t *c, xcb_glx_pixmap_t glx_pixmap)
xcb_void_cookie_t | xcb_glx_destroy_glx_pixmap (xcb_connection_t *c, xcb_glx_pixmap_t glx_pixmap)
int | xcb_glx_vendor_private_sizeof (const void *_buffer, uint32_t data_len)
xcb_void_cookie_t | xcb_glx_vendor_private_checked (xcb_connection_t *c, uint32_t vendor_code, xcb_glx_context_tag_t context_tag, uint32_t data_len, const uint8_t *data)
xcb_void_cookie_t | xcb_glx_vendor_private (xcb_connection_t *c, uint32_t vendor_code, xcb_glx_context_tag_t context_tag, uint32_t data_len, const uint8_t *data)
uint8_t * | xcb_glx_vendor_private_data (const xcb_glx_vendor_private_request_t *R)
int | xcb_glx_vendor_private_data_length (const xcb_glx_vendor_private_request_t *R)
xcb_generic_iterator_t | xcb_glx_vendor_private_data_end (const xcb_glx_vendor_private_request_t *R)
int | xcb_glx_vendor_private_with_reply_sizeof (const void *_buffer, uint32_t data_len)
xcb_glx_vendor_private_with_reply_cookie_t | xcb_glx_vendor_private_with_reply (xcb_connection_t *c, uint32_t vendor_code, xcb_glx_context_tag_t context_tag, uint32_t data_len, const uint8_t *data)
xcb_glx_vendor_private_with_reply_cookie_t | xcb_glx_vendor_private_with_reply_unchecked (xcb_connection_t *c, uint32_t vendor_code, xcb_glx_context_tag_t context_tag, uint32_t data_len, const uint8_t *data)
uint8_t * | xcb_glx_vendor_private_with_reply_data_2 (const xcb_glx_vendor_private_with_reply_reply_t *R)
int | xcb_glx_vendor_private_with_reply_data_2_length (const xcb_glx_vendor_private_with_reply_reply_t *R)
xcb_generic_iterator_t | xcb_glx_vendor_private_with_reply_data_2_end (const xcb_glx_vendor_private_with_reply_reply_t *R)
xcb_glx_vendor_private_with_reply_reply_t * | xcb_glx_vendor_private_with_reply_reply (xcb_connection_t *c, xcb_glx_vendor_private_with_reply_cookie_t cookie, xcb_generic_error_t **e)
xcb_glx_query_extensions_string_cookie_t | xcb_glx_query_extensions_string (xcb_connection_t *c, uint32_t screen)
xcb_glx_query_extensions_string_cookie_t | xcb_glx_query_extensions_string_unchecked (xcb_connection_t *c, uint32_t screen)
xcb_glx_query_extensions_string_reply_t * | xcb_glx_query_extensions_string_reply (xcb_connection_t *c, xcb_glx_query_extensions_string_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_query_server_string_sizeof (const void *_buffer)
xcb_glx_query_server_string_cookie_t | xcb_glx_query_server_string (xcb_connection_t *c, uint32_t screen, uint32_t name)
xcb_glx_query_server_string_cookie_t | xcb_glx_query_server_string_unchecked (xcb_connection_t *c, uint32_t screen, uint32_t name)
char * | xcb_glx_query_server_string_string (const xcb_glx_query_server_string_reply_t *R)
int | xcb_glx_query_server_string_string_length (const xcb_glx_query_server_string_reply_t *R)
xcb_generic_iterator_t | xcb_glx_query_server_string_string_end (const xcb_glx_query_server_string_reply_t *R)
xcb_glx_query_server_string_reply_t * | xcb_glx_query_server_string_reply (xcb_connection_t *c, xcb_glx_query_server_string_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_client_info_sizeof (const void *_buffer)
xcb_void_cookie_t | xcb_glx_client_info_checked (xcb_connection_t *c, uint32_t major_version, uint32_t minor_version, uint32_t str_len, const char *string)
xcb_void_cookie_t | xcb_glx_client_info (xcb_connection_t *c, uint32_t major_version, uint32_t minor_version, uint32_t str_len, const char *string)
char * | xcb_glx_client_info_string (const xcb_glx_client_info_request_t *R)
int | xcb_glx_client_info_string_length (const xcb_glx_client_info_request_t *R)
xcb_generic_iterator_t | xcb_glx_client_info_string_end (const xcb_glx_client_info_request_t *R)
int | xcb_glx_get_fb_configs_sizeof (const void *_buffer)
xcb_glx_get_fb_configs_cookie_t | xcb_glx_get_fb_configs (xcb_connection_t *c, uint32_t screen)
xcb_glx_get_fb_configs_cookie_t | xcb_glx_get_fb_configs_unchecked (xcb_connection_t *c, uint32_t screen)
uint32_t * | xcb_glx_get_fb_configs_property_list (const xcb_glx_get_fb_configs_reply_t *R)
int | xcb_glx_get_fb_configs_property_list_length (const xcb_glx_get_fb_configs_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_fb_configs_property_list_end (const xcb_glx_get_fb_configs_reply_t *R)
xcb_glx_get_fb_configs_reply_t * | xcb_glx_get_fb_configs_reply (xcb_connection_t *c, xcb_glx_get_fb_configs_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_create_pixmap_sizeof (const void *_buffer)
xcb_void_cookie_t | xcb_glx_create_pixmap_checked (xcb_connection_t *c, uint32_t screen, xcb_glx_fbconfig_t fbconfig, xcb_pixmap_t pixmap, xcb_glx_pixmap_t glx_pixmap, uint32_t num_attribs, const uint32_t *attribs)
xcb_void_cookie_t | xcb_glx_create_pixmap (xcb_connection_t *c, uint32_t screen, xcb_glx_fbconfig_t fbconfig, xcb_pixmap_t pixmap, xcb_glx_pixmap_t glx_pixmap, uint32_t num_attribs, const uint32_t *attribs)
uint32_t * | xcb_glx_create_pixmap_attribs (const xcb_glx_create_pixmap_request_t *R)
int | xcb_glx_create_pixmap_attribs_length (const xcb_glx_create_pixmap_request_t *R)
xcb_generic_iterator_t | xcb_glx_create_pixmap_attribs_end (const xcb_glx_create_pixmap_request_t *R)
xcb_void_cookie_t | xcb_glx_destroy_pixmap_checked (xcb_connection_t *c, xcb_glx_pixmap_t glx_pixmap)
xcb_void_cookie_t | xcb_glx_destroy_pixmap (xcb_connection_t *c, xcb_glx_pixmap_t glx_pixmap)
xcb_void_cookie_t | xcb_glx_create_new_context_checked (xcb_connection_t *c, xcb_glx_context_t context, xcb_glx_fbconfig_t fbconfig, uint32_t screen, uint32_t render_type, xcb_glx_context_t share_list, uint8_t is_direct)
xcb_void_cookie_t | xcb_glx_create_new_context (xcb_connection_t *c, xcb_glx_context_t context, xcb_glx_fbconfig_t fbconfig, uint32_t screen, uint32_t render_type, xcb_glx_context_t share_list, uint8_t is_direct)
int | xcb_glx_query_context_sizeof (const void *_buffer)
xcb_glx_query_context_cookie_t | xcb_glx_query_context (xcb_connection_t *c, xcb_glx_context_t context)
xcb_glx_query_context_cookie_t | xcb_glx_query_context_unchecked (xcb_connection_t *c, xcb_glx_context_t context)
uint32_t * | xcb_glx_query_context_attribs (const xcb_glx_query_context_reply_t *R)
int | xcb_glx_query_context_attribs_length (const xcb_glx_query_context_reply_t *R)
xcb_generic_iterator_t | xcb_glx_query_context_attribs_end (const xcb_glx_query_context_reply_t *R)
xcb_glx_query_context_reply_t * | xcb_glx_query_context_reply (xcb_connection_t *c, xcb_glx_query_context_cookie_t cookie, xcb_generic_error_t **e)
xcb_glx_make_context_current_cookie_t | xcb_glx_make_context_current (xcb_connection_t *c, xcb_glx_context_tag_t old_context_tag, xcb_glx_drawable_t drawable, xcb_glx_drawable_t read_drawable, xcb_glx_context_t context)
xcb_glx_make_context_current_cookie_t | xcb_glx_make_context_current_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t old_context_tag, xcb_glx_drawable_t drawable, xcb_glx_drawable_t read_drawable, xcb_glx_context_t context)
xcb_glx_make_context_current_reply_t * | xcb_glx_make_context_current_reply (xcb_connection_t *c, xcb_glx_make_context_current_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_create_pbuffer_sizeof (const void *_buffer)
xcb_void_cookie_t | xcb_glx_create_pbuffer_checked (xcb_connection_t *c, uint32_t screen, xcb_glx_fbconfig_t fbconfig, xcb_glx_pbuffer_t pbuffer, uint32_t num_attribs, const uint32_t *attribs)
xcb_void_cookie_t | xcb_glx_create_pbuffer (xcb_connection_t *c, uint32_t screen, xcb_glx_fbconfig_t fbconfig, xcb_glx_pbuffer_t pbuffer, uint32_t num_attribs, const uint32_t *attribs)
uint32_t * | xcb_glx_create_pbuffer_attribs (const xcb_glx_create_pbuffer_request_t *R)
int | xcb_glx_create_pbuffer_attribs_length (const xcb_glx_create_pbuffer_request_t *R)
xcb_generic_iterator_t | xcb_glx_create_pbuffer_attribs_end (const xcb_glx_create_pbuffer_request_t *R)
xcb_void_cookie_t | xcb_glx_destroy_pbuffer_checked (xcb_connection_t *c, xcb_glx_pbuffer_t pbuffer)
xcb_void_cookie_t | xcb_glx_destroy_pbuffer (xcb_connection_t *c, xcb_glx_pbuffer_t pbuffer)
int | xcb_glx_get_drawable_attributes_sizeof (const void *_buffer)
xcb_glx_get_drawable_attributes_cookie_t | xcb_glx_get_drawable_attributes (xcb_connection_t *c, xcb_glx_drawable_t drawable)
xcb_glx_get_drawable_attributes_cookie_t | xcb_glx_get_drawable_attributes_unchecked (xcb_connection_t *c, xcb_glx_drawable_t drawable)
uint32_t * | xcb_glx_get_drawable_attributes_attribs (const xcb_glx_get_drawable_attributes_reply_t *R)
int | xcb_glx_get_drawable_attributes_attribs_length (const xcb_glx_get_drawable_attributes_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_drawable_attributes_attribs_end (const xcb_glx_get_drawable_attributes_reply_t *R)
xcb_glx_get_drawable_attributes_reply_t * | xcb_glx_get_drawable_attributes_reply (xcb_connection_t *c, xcb_glx_get_drawable_attributes_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_change_drawable_attributes_sizeof (const void *_buffer)
xcb_void_cookie_t | xcb_glx_change_drawable_attributes_checked (xcb_connection_t *c, xcb_glx_drawable_t drawable, uint32_t num_attribs, const uint32_t *attribs)
xcb_void_cookie_t | xcb_glx_change_drawable_attributes (xcb_connection_t *c, xcb_glx_drawable_t drawable, uint32_t num_attribs, const uint32_t *attribs)
uint32_t * | xcb_glx_change_drawable_attributes_attribs (const xcb_glx_change_drawable_attributes_request_t *R)
int | xcb_glx_change_drawable_attributes_attribs_length (const xcb_glx_change_drawable_attributes_request_t *R)
xcb_generic_iterator_t | xcb_glx_change_drawable_attributes_attribs_end (const xcb_glx_change_drawable_attributes_request_t *R)
int | xcb_glx_create_window_sizeof (const void *_buffer)
xcb_void_cookie_t | xcb_glx_create_window_checked (xcb_connection_t *c, uint32_t screen, xcb_glx_fbconfig_t fbconfig, xcb_window_t window, xcb_glx_window_t glx_window, uint32_t num_attribs, const uint32_t *attribs)
xcb_void_cookie_t | xcb_glx_create_window (xcb_connection_t *c, uint32_t screen, xcb_glx_fbconfig_t fbconfig, xcb_window_t window, xcb_glx_window_t glx_window, uint32_t num_attribs, const uint32_t *attribs)
uint32_t * | xcb_glx_create_window_attribs (const xcb_glx_create_window_request_t *R)
int | xcb_glx_create_window_attribs_length (const xcb_glx_create_window_request_t *R)
xcb_generic_iterator_t | xcb_glx_create_window_attribs_end (const xcb_glx_create_window_request_t *R)
xcb_void_cookie_t | xcb_glx_delete_window_checked (xcb_connection_t *c, xcb_glx_window_t glxwindow)
xcb_void_cookie_t | xcb_glx_delete_window (xcb_connection_t *c, xcb_glx_window_t glxwindow)
int | xcb_glx_set_client_info_arb_sizeof (const void *_buffer)
xcb_void_cookie_t | xcb_glx_set_client_info_arb_checked (xcb_connection_t *c, uint32_t major_version, uint32_t minor_version, uint32_t num_versions, uint32_t gl_str_len, uint32_t glx_str_len, const uint32_t *gl_versions, const char *gl_extension_string, const char *glx_extension_string)
xcb_void_cookie_t | xcb_glx_set_client_info_arb (xcb_connection_t *c, uint32_t major_version, uint32_t minor_version, uint32_t num_versions, uint32_t gl_str_len, uint32_t glx_str_len, const uint32_t *gl_versions, const char *gl_extension_string, const char *glx_extension_string)
uint32_t * | xcb_glx_set_client_info_arb_gl_versions (const xcb_glx_set_client_info_arb_request_t *R)
int | xcb_glx_set_client_info_arb_gl_versions_length (const xcb_glx_set_client_info_arb_request_t *R)
xcb_generic_iterator_t | xcb_glx_set_client_info_arb_gl_versions_end (const xcb_glx_set_client_info_arb_request_t *R)
char * | xcb_glx_set_client_info_arb_gl_extension_string (const xcb_glx_set_client_info_arb_request_t *R)
int | xcb_glx_set_client_info_arb_gl_extension_string_length (const xcb_glx_set_client_info_arb_request_t *R)
xcb_generic_iterator_t | xcb_glx_set_client_info_arb_gl_extension_string_end (const xcb_glx_set_client_info_arb_request_t *R)
char * | xcb_glx_set_client_info_arb_glx_extension_string (const xcb_glx_set_client_info_arb_request_t *R)
int | xcb_glx_set_client_info_arb_glx_extension_string_length (const xcb_glx_set_client_info_arb_request_t *R)
xcb_generic_iterator_t | xcb_glx_set_client_info_arb_glx_extension_string_end (const xcb_glx_set_client_info_arb_request_t *R)
int | xcb_glx_create_context_attribs_arb_sizeof (const void *_buffer)
xcb_void_cookie_t | xcb_glx_create_context_attribs_arb_checked (xcb_connection_t *c, xcb_glx_context_t context, xcb_glx_fbconfig_t fbconfig, uint32_t screen, xcb_glx_context_t share_list, uint8_t is_direct, uint32_t num_attribs, const uint32_t *attribs)
xcb_void_cookie_t | xcb_glx_create_context_attribs_arb (xcb_connection_t *c, xcb_glx_context_t context, xcb_glx_fbconfig_t fbconfig, uint32_t screen, xcb_glx_context_t share_list, uint8_t is_direct, uint32_t num_attribs, const uint32_t *attribs)
uint32_t * | xcb_glx_create_context_attribs_arb_attribs (const xcb_glx_create_context_attribs_arb_request_t *R)
int | xcb_glx_create_context_attribs_arb_attribs_length (const xcb_glx_create_context_attribs_arb_request_t *R)
xcb_generic_iterator_t | xcb_glx_create_context_attribs_arb_attribs_end (const xcb_glx_create_context_attribs_arb_request_t *R)
int | xcb_glx_set_client_info_2arb_sizeof (const void *_buffer)
xcb_void_cookie_t | xcb_glx_set_client_info_2arb_checked (xcb_connection_t *c, uint32_t major_version, uint32_t minor_version, uint32_t num_versions, uint32_t gl_str_len, uint32_t glx_str_len, const uint32_t *gl_versions, const char *gl_extension_string, const char *glx_extension_string)
xcb_void_cookie_t | xcb_glx_set_client_info_2arb (xcb_connection_t *c, uint32_t major_version, uint32_t minor_version, uint32_t num_versions, uint32_t gl_str_len, uint32_t glx_str_len, const uint32_t *gl_versions, const char *gl_extension_string, const char *glx_extension_string)
uint32_t * | xcb_glx_set_client_info_2arb_gl_versions (const xcb_glx_set_client_info_2arb_request_t *R)
int | xcb_glx_set_client_info_2arb_gl_versions_length (const xcb_glx_set_client_info_2arb_request_t *R)
xcb_generic_iterator_t | xcb_glx_set_client_info_2arb_gl_versions_end (const xcb_glx_set_client_info_2arb_request_t *R)
char * | xcb_glx_set_client_info_2arb_gl_extension_string (const xcb_glx_set_client_info_2arb_request_t *R)
int | xcb_glx_set_client_info_2arb_gl_extension_string_length (const xcb_glx_set_client_info_2arb_request_t *R)
xcb_generic_iterator_t | xcb_glx_set_client_info_2arb_gl_extension_string_end (const xcb_glx_set_client_info_2arb_request_t *R)
char * | xcb_glx_set_client_info_2arb_glx_extension_string (const xcb_glx_set_client_info_2arb_request_t *R)
int | xcb_glx_set_client_info_2arb_glx_extension_string_length (const xcb_glx_set_client_info_2arb_request_t *R)
xcb_generic_iterator_t | xcb_glx_set_client_info_2arb_glx_extension_string_end (const xcb_glx_set_client_info_2arb_request_t *R)
xcb_void_cookie_t | xcb_glx_new_list_checked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t list, uint32_t mode)
xcb_void_cookie_t | xcb_glx_new_list (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t list, uint32_t mode)
xcb_void_cookie_t | xcb_glx_end_list_checked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag)
xcb_void_cookie_t | xcb_glx_end_list (xcb_connection_t *c, xcb_glx_context_tag_t context_tag)
xcb_void_cookie_t | xcb_glx_delete_lists_checked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t list, int32_t range)
xcb_void_cookie_t | xcb_glx_delete_lists (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t list, int32_t range)
xcb_glx_gen_lists_cookie_t | xcb_glx_gen_lists (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, int32_t range)
xcb_glx_gen_lists_cookie_t | xcb_glx_gen_lists_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, int32_t range)
xcb_glx_gen_lists_reply_t * | xcb_glx_gen_lists_reply (xcb_connection_t *c, xcb_glx_gen_lists_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_glx_feedback_buffer_checked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, int32_t size, int32_t type)
xcb_void_cookie_t | xcb_glx_feedback_buffer (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, int32_t size, int32_t type)
xcb_void_cookie_t | xcb_glx_select_buffer_checked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, int32_t size)
xcb_void_cookie_t | xcb_glx_select_buffer (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, int32_t size)
int | xcb_glx_render_mode_sizeof (const void *_buffer)
xcb_glx_render_mode_cookie_t | xcb_glx_render_mode (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t mode)
xcb_glx_render_mode_cookie_t | xcb_glx_render_mode_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t mode)
uint32_t * | xcb_glx_render_mode_data (const xcb_glx_render_mode_reply_t *R)
int | xcb_glx_render_mode_data_length (const xcb_glx_render_mode_reply_t *R)
xcb_generic_iterator_t | xcb_glx_render_mode_data_end (const xcb_glx_render_mode_reply_t *R)
xcb_glx_render_mode_reply_t * | xcb_glx_render_mode_reply (xcb_connection_t *c, xcb_glx_render_mode_cookie_t cookie, xcb_generic_error_t **e)
xcb_glx_finish_cookie_t | xcb_glx_finish (xcb_connection_t *c, xcb_glx_context_tag_t context_tag)
xcb_glx_finish_cookie_t | xcb_glx_finish_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag)
xcb_glx_finish_reply_t * | xcb_glx_finish_reply (xcb_connection_t *c, xcb_glx_finish_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_glx_pixel_storef_checked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t pname, xcb_glx_float32_t datum)
xcb_void_cookie_t | xcb_glx_pixel_storef (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t pname, xcb_glx_float32_t datum)
xcb_void_cookie_t | xcb_glx_pixel_storei_checked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t pname, int32_t datum)
xcb_void_cookie_t | xcb_glx_pixel_storei (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t pname, int32_t datum)
int | xcb_glx_read_pixels_sizeof (const void *_buffer)
xcb_glx_read_pixels_cookie_t | xcb_glx_read_pixels (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, int32_t x, int32_t y, int32_t width, int32_t height, uint32_t format, uint32_t type, uint8_t swap_bytes, uint8_t lsb_first)
xcb_glx_read_pixels_cookie_t | xcb_glx_read_pixels_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, int32_t x, int32_t y, int32_t width, int32_t height, uint32_t format, uint32_t type, uint8_t swap_bytes, uint8_t lsb_first)
uint8_t * | xcb_glx_read_pixels_data (const xcb_glx_read_pixels_reply_t *R)
int | xcb_glx_read_pixels_data_length (const xcb_glx_read_pixels_reply_t *R)
xcb_generic_iterator_t | xcb_glx_read_pixels_data_end (const xcb_glx_read_pixels_reply_t *R)
xcb_glx_read_pixels_reply_t * | xcb_glx_read_pixels_reply (xcb_connection_t *c, xcb_glx_read_pixels_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_booleanv_sizeof (const void *_buffer)
xcb_glx_get_booleanv_cookie_t | xcb_glx_get_booleanv (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, int32_t pname)
xcb_glx_get_booleanv_cookie_t | xcb_glx_get_booleanv_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, int32_t pname)
uint8_t * | xcb_glx_get_booleanv_data (const xcb_glx_get_booleanv_reply_t *R)
int | xcb_glx_get_booleanv_data_length (const xcb_glx_get_booleanv_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_booleanv_data_end (const xcb_glx_get_booleanv_reply_t *R)
xcb_glx_get_booleanv_reply_t * | xcb_glx_get_booleanv_reply (xcb_connection_t *c, xcb_glx_get_booleanv_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_clip_plane_sizeof (const void *_buffer)
xcb_glx_get_clip_plane_cookie_t | xcb_glx_get_clip_plane (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, int32_t plane)
xcb_glx_get_clip_plane_cookie_t | xcb_glx_get_clip_plane_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, int32_t plane)
xcb_glx_float64_t * | xcb_glx_get_clip_plane_data (const xcb_glx_get_clip_plane_reply_t *R)
int | xcb_glx_get_clip_plane_data_length (const xcb_glx_get_clip_plane_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_clip_plane_data_end (const xcb_glx_get_clip_plane_reply_t *R)
xcb_glx_get_clip_plane_reply_t * | xcb_glx_get_clip_plane_reply (xcb_connection_t *c, xcb_glx_get_clip_plane_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_doublev_sizeof (const void *_buffer)
xcb_glx_get_doublev_cookie_t | xcb_glx_get_doublev (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t pname)
xcb_glx_get_doublev_cookie_t | xcb_glx_get_doublev_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t pname)
xcb_glx_float64_t * | xcb_glx_get_doublev_data (const xcb_glx_get_doublev_reply_t *R)
int | xcb_glx_get_doublev_data_length (const xcb_glx_get_doublev_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_doublev_data_end (const xcb_glx_get_doublev_reply_t *R)
xcb_glx_get_doublev_reply_t * | xcb_glx_get_doublev_reply (xcb_connection_t *c, xcb_glx_get_doublev_cookie_t cookie, xcb_generic_error_t **e)
xcb_glx_get_error_cookie_t | xcb_glx_get_error (xcb_connection_t *c, xcb_glx_context_tag_t context_tag)
xcb_glx_get_error_cookie_t | xcb_glx_get_error_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag)
xcb_glx_get_error_reply_t * | xcb_glx_get_error_reply (xcb_connection_t *c, xcb_glx_get_error_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_floatv_sizeof (const void *_buffer)
xcb_glx_get_floatv_cookie_t | xcb_glx_get_floatv (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t pname)
xcb_glx_get_floatv_cookie_t | xcb_glx_get_floatv_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t pname)
xcb_glx_float32_t * | xcb_glx_get_floatv_data (const xcb_glx_get_floatv_reply_t *R)
int | xcb_glx_get_floatv_data_length (const xcb_glx_get_floatv_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_floatv_data_end (const xcb_glx_get_floatv_reply_t *R)
xcb_glx_get_floatv_reply_t * | xcb_glx_get_floatv_reply (xcb_connection_t *c, xcb_glx_get_floatv_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_integerv_sizeof (const void *_buffer)
xcb_glx_get_integerv_cookie_t | xcb_glx_get_integerv (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t pname)
xcb_glx_get_integerv_cookie_t | xcb_glx_get_integerv_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t pname)
int32_t * | xcb_glx_get_integerv_data (const xcb_glx_get_integerv_reply_t *R)
int | xcb_glx_get_integerv_data_length (const xcb_glx_get_integerv_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_integerv_data_end (const xcb_glx_get_integerv_reply_t *R)
xcb_glx_get_integerv_reply_t * | xcb_glx_get_integerv_reply (xcb_connection_t *c, xcb_glx_get_integerv_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_lightfv_sizeof (const void *_buffer)
xcb_glx_get_lightfv_cookie_t | xcb_glx_get_lightfv (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t light, uint32_t pname)
xcb_glx_get_lightfv_cookie_t | xcb_glx_get_lightfv_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t light, uint32_t pname)
xcb_glx_float32_t * | xcb_glx_get_lightfv_data (const xcb_glx_get_lightfv_reply_t *R)
int | xcb_glx_get_lightfv_data_length (const xcb_glx_get_lightfv_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_lightfv_data_end (const xcb_glx_get_lightfv_reply_t *R)
xcb_glx_get_lightfv_reply_t * | xcb_glx_get_lightfv_reply (xcb_connection_t *c, xcb_glx_get_lightfv_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_lightiv_sizeof (const void *_buffer)
xcb_glx_get_lightiv_cookie_t | xcb_glx_get_lightiv (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t light, uint32_t pname)
xcb_glx_get_lightiv_cookie_t | xcb_glx_get_lightiv_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t light, uint32_t pname)
int32_t * | xcb_glx_get_lightiv_data (const xcb_glx_get_lightiv_reply_t *R)
int | xcb_glx_get_lightiv_data_length (const xcb_glx_get_lightiv_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_lightiv_data_end (const xcb_glx_get_lightiv_reply_t *R)
xcb_glx_get_lightiv_reply_t * | xcb_glx_get_lightiv_reply (xcb_connection_t *c, xcb_glx_get_lightiv_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_mapdv_sizeof (const void *_buffer)
xcb_glx_get_mapdv_cookie_t | xcb_glx_get_mapdv (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t query)
xcb_glx_get_mapdv_cookie_t | xcb_glx_get_mapdv_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t query)
xcb_glx_float64_t * | xcb_glx_get_mapdv_data (const xcb_glx_get_mapdv_reply_t *R)
int | xcb_glx_get_mapdv_data_length (const xcb_glx_get_mapdv_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_mapdv_data_end (const xcb_glx_get_mapdv_reply_t *R)
xcb_glx_get_mapdv_reply_t * | xcb_glx_get_mapdv_reply (xcb_connection_t *c, xcb_glx_get_mapdv_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_mapfv_sizeof (const void *_buffer)
xcb_glx_get_mapfv_cookie_t | xcb_glx_get_mapfv (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t query)
xcb_glx_get_mapfv_cookie_t | xcb_glx_get_mapfv_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t query)
xcb_glx_float32_t * | xcb_glx_get_mapfv_data (const xcb_glx_get_mapfv_reply_t *R)
int | xcb_glx_get_mapfv_data_length (const xcb_glx_get_mapfv_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_mapfv_data_end (const xcb_glx_get_mapfv_reply_t *R)
xcb_glx_get_mapfv_reply_t * | xcb_glx_get_mapfv_reply (xcb_connection_t *c, xcb_glx_get_mapfv_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_mapiv_sizeof (const void *_buffer)
xcb_glx_get_mapiv_cookie_t | xcb_glx_get_mapiv (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t query)
xcb_glx_get_mapiv_cookie_t | xcb_glx_get_mapiv_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t query)
int32_t * | xcb_glx_get_mapiv_data (const xcb_glx_get_mapiv_reply_t *R)
int | xcb_glx_get_mapiv_data_length (const xcb_glx_get_mapiv_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_mapiv_data_end (const xcb_glx_get_mapiv_reply_t *R)
xcb_glx_get_mapiv_reply_t * | xcb_glx_get_mapiv_reply (xcb_connection_t *c, xcb_glx_get_mapiv_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_materialfv_sizeof (const void *_buffer)
xcb_glx_get_materialfv_cookie_t | xcb_glx_get_materialfv (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t face, uint32_t pname)
xcb_glx_get_materialfv_cookie_t | xcb_glx_get_materialfv_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t face, uint32_t pname)
xcb_glx_float32_t * | xcb_glx_get_materialfv_data (const xcb_glx_get_materialfv_reply_t *R)
int | xcb_glx_get_materialfv_data_length (const xcb_glx_get_materialfv_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_materialfv_data_end (const xcb_glx_get_materialfv_reply_t *R)
xcb_glx_get_materialfv_reply_t * | xcb_glx_get_materialfv_reply (xcb_connection_t *c, xcb_glx_get_materialfv_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_materialiv_sizeof (const void *_buffer)
xcb_glx_get_materialiv_cookie_t | xcb_glx_get_materialiv (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t face, uint32_t pname)
xcb_glx_get_materialiv_cookie_t | xcb_glx_get_materialiv_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t face, uint32_t pname)
int32_t * | xcb_glx_get_materialiv_data (const xcb_glx_get_materialiv_reply_t *R)
int | xcb_glx_get_materialiv_data_length (const xcb_glx_get_materialiv_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_materialiv_data_end (const xcb_glx_get_materialiv_reply_t *R)
xcb_glx_get_materialiv_reply_t * | xcb_glx_get_materialiv_reply (xcb_connection_t *c, xcb_glx_get_materialiv_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_pixel_mapfv_sizeof (const void *_buffer)
xcb_glx_get_pixel_mapfv_cookie_t | xcb_glx_get_pixel_mapfv (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t map)
xcb_glx_get_pixel_mapfv_cookie_t | xcb_glx_get_pixel_mapfv_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t map)
xcb_glx_float32_t * | xcb_glx_get_pixel_mapfv_data (const xcb_glx_get_pixel_mapfv_reply_t *R)
int | xcb_glx_get_pixel_mapfv_data_length (const xcb_glx_get_pixel_mapfv_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_pixel_mapfv_data_end (const xcb_glx_get_pixel_mapfv_reply_t *R)
xcb_glx_get_pixel_mapfv_reply_t * | xcb_glx_get_pixel_mapfv_reply (xcb_connection_t *c, xcb_glx_get_pixel_mapfv_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_pixel_mapuiv_sizeof (const void *_buffer)
xcb_glx_get_pixel_mapuiv_cookie_t | xcb_glx_get_pixel_mapuiv (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t map)
xcb_glx_get_pixel_mapuiv_cookie_t | xcb_glx_get_pixel_mapuiv_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t map)
uint32_t * | xcb_glx_get_pixel_mapuiv_data (const xcb_glx_get_pixel_mapuiv_reply_t *R)
int | xcb_glx_get_pixel_mapuiv_data_length (const xcb_glx_get_pixel_mapuiv_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_pixel_mapuiv_data_end (const xcb_glx_get_pixel_mapuiv_reply_t *R)
xcb_glx_get_pixel_mapuiv_reply_t * | xcb_glx_get_pixel_mapuiv_reply (xcb_connection_t *c, xcb_glx_get_pixel_mapuiv_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_pixel_mapusv_sizeof (const void *_buffer)
xcb_glx_get_pixel_mapusv_cookie_t | xcb_glx_get_pixel_mapusv (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t map)
xcb_glx_get_pixel_mapusv_cookie_t | xcb_glx_get_pixel_mapusv_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t map)
uint16_t * | xcb_glx_get_pixel_mapusv_data (const xcb_glx_get_pixel_mapusv_reply_t *R)
int | xcb_glx_get_pixel_mapusv_data_length (const xcb_glx_get_pixel_mapusv_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_pixel_mapusv_data_end (const xcb_glx_get_pixel_mapusv_reply_t *R)
xcb_glx_get_pixel_mapusv_reply_t * | xcb_glx_get_pixel_mapusv_reply (xcb_connection_t *c, xcb_glx_get_pixel_mapusv_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_polygon_stipple_sizeof (const void *_buffer)
xcb_glx_get_polygon_stipple_cookie_t | xcb_glx_get_polygon_stipple (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint8_t lsb_first)
xcb_glx_get_polygon_stipple_cookie_t | xcb_glx_get_polygon_stipple_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint8_t lsb_first)
uint8_t * | xcb_glx_get_polygon_stipple_data (const xcb_glx_get_polygon_stipple_reply_t *R)
int | xcb_glx_get_polygon_stipple_data_length (const xcb_glx_get_polygon_stipple_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_polygon_stipple_data_end (const xcb_glx_get_polygon_stipple_reply_t *R)
xcb_glx_get_polygon_stipple_reply_t * | xcb_glx_get_polygon_stipple_reply (xcb_connection_t *c, xcb_glx_get_polygon_stipple_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_string_sizeof (const void *_buffer)
xcb_glx_get_string_cookie_t | xcb_glx_get_string (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t name)
xcb_glx_get_string_cookie_t | xcb_glx_get_string_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t name)
char * | xcb_glx_get_string_string (const xcb_glx_get_string_reply_t *R)
int | xcb_glx_get_string_string_length (const xcb_glx_get_string_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_string_string_end (const xcb_glx_get_string_reply_t *R)
xcb_glx_get_string_reply_t * | xcb_glx_get_string_reply (xcb_connection_t *c, xcb_glx_get_string_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_tex_envfv_sizeof (const void *_buffer)
xcb_glx_get_tex_envfv_cookie_t | xcb_glx_get_tex_envfv (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t pname)
xcb_glx_get_tex_envfv_cookie_t | xcb_glx_get_tex_envfv_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t pname)
xcb_glx_float32_t * | xcb_glx_get_tex_envfv_data (const xcb_glx_get_tex_envfv_reply_t *R)
int | xcb_glx_get_tex_envfv_data_length (const xcb_glx_get_tex_envfv_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_tex_envfv_data_end (const xcb_glx_get_tex_envfv_reply_t *R)
xcb_glx_get_tex_envfv_reply_t * | xcb_glx_get_tex_envfv_reply (xcb_connection_t *c, xcb_glx_get_tex_envfv_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_tex_enviv_sizeof (const void *_buffer)
xcb_glx_get_tex_enviv_cookie_t | xcb_glx_get_tex_enviv (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t pname)
xcb_glx_get_tex_enviv_cookie_t | xcb_glx_get_tex_enviv_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t pname)
int32_t * | xcb_glx_get_tex_enviv_data (const xcb_glx_get_tex_enviv_reply_t *R)
int | xcb_glx_get_tex_enviv_data_length (const xcb_glx_get_tex_enviv_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_tex_enviv_data_end (const xcb_glx_get_tex_enviv_reply_t *R)
xcb_glx_get_tex_enviv_reply_t * | xcb_glx_get_tex_enviv_reply (xcb_connection_t *c, xcb_glx_get_tex_enviv_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_tex_gendv_sizeof (const void *_buffer)
xcb_glx_get_tex_gendv_cookie_t | xcb_glx_get_tex_gendv (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t coord, uint32_t pname)
xcb_glx_get_tex_gendv_cookie_t | xcb_glx_get_tex_gendv_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t coord, uint32_t pname)
xcb_glx_float64_t * | xcb_glx_get_tex_gendv_data (const xcb_glx_get_tex_gendv_reply_t *R)
int | xcb_glx_get_tex_gendv_data_length (const xcb_glx_get_tex_gendv_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_tex_gendv_data_end (const xcb_glx_get_tex_gendv_reply_t *R)
xcb_glx_get_tex_gendv_reply_t * | xcb_glx_get_tex_gendv_reply (xcb_connection_t *c, xcb_glx_get_tex_gendv_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_tex_genfv_sizeof (const void *_buffer)
xcb_glx_get_tex_genfv_cookie_t | xcb_glx_get_tex_genfv (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t coord, uint32_t pname)
xcb_glx_get_tex_genfv_cookie_t | xcb_glx_get_tex_genfv_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t coord, uint32_t pname)
xcb_glx_float32_t * | xcb_glx_get_tex_genfv_data (const xcb_glx_get_tex_genfv_reply_t *R)
int | xcb_glx_get_tex_genfv_data_length (const xcb_glx_get_tex_genfv_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_tex_genfv_data_end (const xcb_glx_get_tex_genfv_reply_t *R)
xcb_glx_get_tex_genfv_reply_t * | xcb_glx_get_tex_genfv_reply (xcb_connection_t *c, xcb_glx_get_tex_genfv_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_tex_geniv_sizeof (const void *_buffer)
xcb_glx_get_tex_geniv_cookie_t | xcb_glx_get_tex_geniv (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t coord, uint32_t pname)
xcb_glx_get_tex_geniv_cookie_t | xcb_glx_get_tex_geniv_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t coord, uint32_t pname)
int32_t * | xcb_glx_get_tex_geniv_data (const xcb_glx_get_tex_geniv_reply_t *R)
int | xcb_glx_get_tex_geniv_data_length (const xcb_glx_get_tex_geniv_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_tex_geniv_data_end (const xcb_glx_get_tex_geniv_reply_t *R)
xcb_glx_get_tex_geniv_reply_t * | xcb_glx_get_tex_geniv_reply (xcb_connection_t *c, xcb_glx_get_tex_geniv_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_tex_image_sizeof (const void *_buffer)
xcb_glx_get_tex_image_cookie_t | xcb_glx_get_tex_image (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, int32_t level, uint32_t format, uint32_t type, uint8_t swap_bytes)
xcb_glx_get_tex_image_cookie_t | xcb_glx_get_tex_image_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, int32_t level, uint32_t format, uint32_t type, uint8_t swap_bytes)
uint8_t * | xcb_glx_get_tex_image_data (const xcb_glx_get_tex_image_reply_t *R)
int | xcb_glx_get_tex_image_data_length (const xcb_glx_get_tex_image_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_tex_image_data_end (const xcb_glx_get_tex_image_reply_t *R)
xcb_glx_get_tex_image_reply_t * | xcb_glx_get_tex_image_reply (xcb_connection_t *c, xcb_glx_get_tex_image_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_tex_parameterfv_sizeof (const void *_buffer)
xcb_glx_get_tex_parameterfv_cookie_t | xcb_glx_get_tex_parameterfv (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t pname)
xcb_glx_get_tex_parameterfv_cookie_t | xcb_glx_get_tex_parameterfv_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t pname)
xcb_glx_float32_t * | xcb_glx_get_tex_parameterfv_data (const xcb_glx_get_tex_parameterfv_reply_t *R)
int | xcb_glx_get_tex_parameterfv_data_length (const xcb_glx_get_tex_parameterfv_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_tex_parameterfv_data_end (const xcb_glx_get_tex_parameterfv_reply_t *R)
xcb_glx_get_tex_parameterfv_reply_t * | xcb_glx_get_tex_parameterfv_reply (xcb_connection_t *c, xcb_glx_get_tex_parameterfv_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_tex_parameteriv_sizeof (const void *_buffer)
xcb_glx_get_tex_parameteriv_cookie_t | xcb_glx_get_tex_parameteriv (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t pname)
xcb_glx_get_tex_parameteriv_cookie_t | xcb_glx_get_tex_parameteriv_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t pname)
int32_t * | xcb_glx_get_tex_parameteriv_data (const xcb_glx_get_tex_parameteriv_reply_t *R)
int | xcb_glx_get_tex_parameteriv_data_length (const xcb_glx_get_tex_parameteriv_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_tex_parameteriv_data_end (const xcb_glx_get_tex_parameteriv_reply_t *R)
xcb_glx_get_tex_parameteriv_reply_t * | xcb_glx_get_tex_parameteriv_reply (xcb_connection_t *c, xcb_glx_get_tex_parameteriv_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_tex_level_parameterfv_sizeof (const void *_buffer)
xcb_glx_get_tex_level_parameterfv_cookie_t | xcb_glx_get_tex_level_parameterfv (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, int32_t level, uint32_t pname)
xcb_glx_get_tex_level_parameterfv_cookie_t | xcb_glx_get_tex_level_parameterfv_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, int32_t level, uint32_t pname)
xcb_glx_float32_t * | xcb_glx_get_tex_level_parameterfv_data (const xcb_glx_get_tex_level_parameterfv_reply_t *R)
int | xcb_glx_get_tex_level_parameterfv_data_length (const xcb_glx_get_tex_level_parameterfv_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_tex_level_parameterfv_data_end (const xcb_glx_get_tex_level_parameterfv_reply_t *R)
xcb_glx_get_tex_level_parameterfv_reply_t * | xcb_glx_get_tex_level_parameterfv_reply (xcb_connection_t *c, xcb_glx_get_tex_level_parameterfv_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_tex_level_parameteriv_sizeof (const void *_buffer)
xcb_glx_get_tex_level_parameteriv_cookie_t | xcb_glx_get_tex_level_parameteriv (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, int32_t level, uint32_t pname)
xcb_glx_get_tex_level_parameteriv_cookie_t | xcb_glx_get_tex_level_parameteriv_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, int32_t level, uint32_t pname)
int32_t * | xcb_glx_get_tex_level_parameteriv_data (const xcb_glx_get_tex_level_parameteriv_reply_t *R)
int | xcb_glx_get_tex_level_parameteriv_data_length (const xcb_glx_get_tex_level_parameteriv_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_tex_level_parameteriv_data_end (const xcb_glx_get_tex_level_parameteriv_reply_t *R)
xcb_glx_get_tex_level_parameteriv_reply_t * | xcb_glx_get_tex_level_parameteriv_reply (xcb_connection_t *c, xcb_glx_get_tex_level_parameteriv_cookie_t cookie, xcb_generic_error_t **e)
xcb_glx_is_enabled_cookie_t | xcb_glx_is_enabled (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t capability)
xcb_glx_is_enabled_cookie_t | xcb_glx_is_enabled_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t capability)
xcb_glx_is_enabled_reply_t * | xcb_glx_is_enabled_reply (xcb_connection_t *c, xcb_glx_is_enabled_cookie_t cookie, xcb_generic_error_t **e)
xcb_glx_is_list_cookie_t | xcb_glx_is_list (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t list)
xcb_glx_is_list_cookie_t | xcb_glx_is_list_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t list)
xcb_glx_is_list_reply_t * | xcb_glx_is_list_reply (xcb_connection_t *c, xcb_glx_is_list_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_glx_flush_checked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag)
xcb_void_cookie_t | xcb_glx_flush (xcb_connection_t *c, xcb_glx_context_tag_t context_tag)
int | xcb_glx_are_textures_resident_sizeof (const void *_buffer)
xcb_glx_are_textures_resident_cookie_t | xcb_glx_are_textures_resident (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, int32_t n, const uint32_t *textures)
xcb_glx_are_textures_resident_cookie_t | xcb_glx_are_textures_resident_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, int32_t n, const uint32_t *textures)
uint8_t * | xcb_glx_are_textures_resident_data (const xcb_glx_are_textures_resident_reply_t *R)
int | xcb_glx_are_textures_resident_data_length (const xcb_glx_are_textures_resident_reply_t *R)
xcb_generic_iterator_t | xcb_glx_are_textures_resident_data_end (const xcb_glx_are_textures_resident_reply_t *R)
xcb_glx_are_textures_resident_reply_t * | xcb_glx_are_textures_resident_reply (xcb_connection_t *c, xcb_glx_are_textures_resident_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_delete_textures_sizeof (const void *_buffer)
xcb_void_cookie_t | xcb_glx_delete_textures_checked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, int32_t n, const uint32_t *textures)
xcb_void_cookie_t | xcb_glx_delete_textures (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, int32_t n, const uint32_t *textures)
uint32_t * | xcb_glx_delete_textures_textures (const xcb_glx_delete_textures_request_t *R)
int | xcb_glx_delete_textures_textures_length (const xcb_glx_delete_textures_request_t *R)
xcb_generic_iterator_t | xcb_glx_delete_textures_textures_end (const xcb_glx_delete_textures_request_t *R)
int | xcb_glx_gen_textures_sizeof (const void *_buffer)
xcb_glx_gen_textures_cookie_t | xcb_glx_gen_textures (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, int32_t n)
xcb_glx_gen_textures_cookie_t | xcb_glx_gen_textures_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, int32_t n)
uint32_t * | xcb_glx_gen_textures_data (const xcb_glx_gen_textures_reply_t *R)
int | xcb_glx_gen_textures_data_length (const xcb_glx_gen_textures_reply_t *R)
xcb_generic_iterator_t | xcb_glx_gen_textures_data_end (const xcb_glx_gen_textures_reply_t *R)
xcb_glx_gen_textures_reply_t * | xcb_glx_gen_textures_reply (xcb_connection_t *c, xcb_glx_gen_textures_cookie_t cookie, xcb_generic_error_t **e)
xcb_glx_is_texture_cookie_t | xcb_glx_is_texture (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t texture)
xcb_glx_is_texture_cookie_t | xcb_glx_is_texture_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t texture)
xcb_glx_is_texture_reply_t * | xcb_glx_is_texture_reply (xcb_connection_t *c, xcb_glx_is_texture_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_color_table_sizeof (const void *_buffer)
xcb_glx_get_color_table_cookie_t | xcb_glx_get_color_table (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t format, uint32_t type, uint8_t swap_bytes)
xcb_glx_get_color_table_cookie_t | xcb_glx_get_color_table_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t format, uint32_t type, uint8_t swap_bytes)
uint8_t * | xcb_glx_get_color_table_data (const xcb_glx_get_color_table_reply_t *R)
int | xcb_glx_get_color_table_data_length (const xcb_glx_get_color_table_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_color_table_data_end (const xcb_glx_get_color_table_reply_t *R)
xcb_glx_get_color_table_reply_t * | xcb_glx_get_color_table_reply (xcb_connection_t *c, xcb_glx_get_color_table_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_color_table_parameterfv_sizeof (const void *_buffer)
xcb_glx_get_color_table_parameterfv_cookie_t | xcb_glx_get_color_table_parameterfv (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t pname)
xcb_glx_get_color_table_parameterfv_cookie_t | xcb_glx_get_color_table_parameterfv_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t pname)
xcb_glx_float32_t * | xcb_glx_get_color_table_parameterfv_data (const xcb_glx_get_color_table_parameterfv_reply_t *R)
int | xcb_glx_get_color_table_parameterfv_data_length (const xcb_glx_get_color_table_parameterfv_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_color_table_parameterfv_data_end (const xcb_glx_get_color_table_parameterfv_reply_t *R)
xcb_glx_get_color_table_parameterfv_reply_t * | xcb_glx_get_color_table_parameterfv_reply (xcb_connection_t *c, xcb_glx_get_color_table_parameterfv_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_color_table_parameteriv_sizeof (const void *_buffer)
xcb_glx_get_color_table_parameteriv_cookie_t | xcb_glx_get_color_table_parameteriv (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t pname)
xcb_glx_get_color_table_parameteriv_cookie_t | xcb_glx_get_color_table_parameteriv_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t pname)
int32_t * | xcb_glx_get_color_table_parameteriv_data (const xcb_glx_get_color_table_parameteriv_reply_t *R)
int | xcb_glx_get_color_table_parameteriv_data_length (const xcb_glx_get_color_table_parameteriv_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_color_table_parameteriv_data_end (const xcb_glx_get_color_table_parameteriv_reply_t *R)
xcb_glx_get_color_table_parameteriv_reply_t * | xcb_glx_get_color_table_parameteriv_reply (xcb_connection_t *c, xcb_glx_get_color_table_parameteriv_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_convolution_filter_sizeof (const void *_buffer)
xcb_glx_get_convolution_filter_cookie_t | xcb_glx_get_convolution_filter (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t format, uint32_t type, uint8_t swap_bytes)
xcb_glx_get_convolution_filter_cookie_t | xcb_glx_get_convolution_filter_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t format, uint32_t type, uint8_t swap_bytes)
uint8_t * | xcb_glx_get_convolution_filter_data (const xcb_glx_get_convolution_filter_reply_t *R)
int | xcb_glx_get_convolution_filter_data_length (const xcb_glx_get_convolution_filter_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_convolution_filter_data_end (const xcb_glx_get_convolution_filter_reply_t *R)
xcb_glx_get_convolution_filter_reply_t * | xcb_glx_get_convolution_filter_reply (xcb_connection_t *c, xcb_glx_get_convolution_filter_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_convolution_parameterfv_sizeof (const void *_buffer)
xcb_glx_get_convolution_parameterfv_cookie_t | xcb_glx_get_convolution_parameterfv (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t pname)
xcb_glx_get_convolution_parameterfv_cookie_t | xcb_glx_get_convolution_parameterfv_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t pname)
xcb_glx_float32_t * | xcb_glx_get_convolution_parameterfv_data (const xcb_glx_get_convolution_parameterfv_reply_t *R)
int | xcb_glx_get_convolution_parameterfv_data_length (const xcb_glx_get_convolution_parameterfv_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_convolution_parameterfv_data_end (const xcb_glx_get_convolution_parameterfv_reply_t *R)
xcb_glx_get_convolution_parameterfv_reply_t * | xcb_glx_get_convolution_parameterfv_reply (xcb_connection_t *c, xcb_glx_get_convolution_parameterfv_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_convolution_parameteriv_sizeof (const void *_buffer)
xcb_glx_get_convolution_parameteriv_cookie_t | xcb_glx_get_convolution_parameteriv (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t pname)
xcb_glx_get_convolution_parameteriv_cookie_t | xcb_glx_get_convolution_parameteriv_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t pname)
int32_t * | xcb_glx_get_convolution_parameteriv_data (const xcb_glx_get_convolution_parameteriv_reply_t *R)
int | xcb_glx_get_convolution_parameteriv_data_length (const xcb_glx_get_convolution_parameteriv_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_convolution_parameteriv_data_end (const xcb_glx_get_convolution_parameteriv_reply_t *R)
xcb_glx_get_convolution_parameteriv_reply_t * | xcb_glx_get_convolution_parameteriv_reply (xcb_connection_t *c, xcb_glx_get_convolution_parameteriv_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_separable_filter_sizeof (const void *_buffer)
xcb_glx_get_separable_filter_cookie_t | xcb_glx_get_separable_filter (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t format, uint32_t type, uint8_t swap_bytes)
xcb_glx_get_separable_filter_cookie_t | xcb_glx_get_separable_filter_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t format, uint32_t type, uint8_t swap_bytes)
uint8_t * | xcb_glx_get_separable_filter_rows_and_cols (const xcb_glx_get_separable_filter_reply_t *R)
int | xcb_glx_get_separable_filter_rows_and_cols_length (const xcb_glx_get_separable_filter_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_separable_filter_rows_and_cols_end (const xcb_glx_get_separable_filter_reply_t *R)
xcb_glx_get_separable_filter_reply_t * | xcb_glx_get_separable_filter_reply (xcb_connection_t *c, xcb_glx_get_separable_filter_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_histogram_sizeof (const void *_buffer)
xcb_glx_get_histogram_cookie_t | xcb_glx_get_histogram (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t format, uint32_t type, uint8_t swap_bytes, uint8_t reset)
xcb_glx_get_histogram_cookie_t | xcb_glx_get_histogram_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t format, uint32_t type, uint8_t swap_bytes, uint8_t reset)
uint8_t * | xcb_glx_get_histogram_data (const xcb_glx_get_histogram_reply_t *R)
int | xcb_glx_get_histogram_data_length (const xcb_glx_get_histogram_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_histogram_data_end (const xcb_glx_get_histogram_reply_t *R)
xcb_glx_get_histogram_reply_t * | xcb_glx_get_histogram_reply (xcb_connection_t *c, xcb_glx_get_histogram_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_histogram_parameterfv_sizeof (const void *_buffer)
xcb_glx_get_histogram_parameterfv_cookie_t | xcb_glx_get_histogram_parameterfv (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t pname)
xcb_glx_get_histogram_parameterfv_cookie_t | xcb_glx_get_histogram_parameterfv_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t pname)
xcb_glx_float32_t * | xcb_glx_get_histogram_parameterfv_data (const xcb_glx_get_histogram_parameterfv_reply_t *R)
int | xcb_glx_get_histogram_parameterfv_data_length (const xcb_glx_get_histogram_parameterfv_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_histogram_parameterfv_data_end (const xcb_glx_get_histogram_parameterfv_reply_t *R)
xcb_glx_get_histogram_parameterfv_reply_t * | xcb_glx_get_histogram_parameterfv_reply (xcb_connection_t *c, xcb_glx_get_histogram_parameterfv_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_histogram_parameteriv_sizeof (const void *_buffer)
xcb_glx_get_histogram_parameteriv_cookie_t | xcb_glx_get_histogram_parameteriv (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t pname)
xcb_glx_get_histogram_parameteriv_cookie_t | xcb_glx_get_histogram_parameteriv_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t pname)
int32_t * | xcb_glx_get_histogram_parameteriv_data (const xcb_glx_get_histogram_parameteriv_reply_t *R)
int | xcb_glx_get_histogram_parameteriv_data_length (const xcb_glx_get_histogram_parameteriv_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_histogram_parameteriv_data_end (const xcb_glx_get_histogram_parameteriv_reply_t *R)
xcb_glx_get_histogram_parameteriv_reply_t * | xcb_glx_get_histogram_parameteriv_reply (xcb_connection_t *c, xcb_glx_get_histogram_parameteriv_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_minmax_sizeof (const void *_buffer)
xcb_glx_get_minmax_cookie_t | xcb_glx_get_minmax (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t format, uint32_t type, uint8_t swap_bytes, uint8_t reset)
xcb_glx_get_minmax_cookie_t | xcb_glx_get_minmax_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t format, uint32_t type, uint8_t swap_bytes, uint8_t reset)
uint8_t * | xcb_glx_get_minmax_data (const xcb_glx_get_minmax_reply_t *R)
int | xcb_glx_get_minmax_data_length (const xcb_glx_get_minmax_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_minmax_data_end (const xcb_glx_get_minmax_reply_t *R)
xcb_glx_get_minmax_reply_t * | xcb_glx_get_minmax_reply (xcb_connection_t *c, xcb_glx_get_minmax_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_minmax_parameterfv_sizeof (const void *_buffer)
xcb_glx_get_minmax_parameterfv_cookie_t | xcb_glx_get_minmax_parameterfv (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t pname)
xcb_glx_get_minmax_parameterfv_cookie_t | xcb_glx_get_minmax_parameterfv_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t pname)
xcb_glx_float32_t * | xcb_glx_get_minmax_parameterfv_data (const xcb_glx_get_minmax_parameterfv_reply_t *R)
int | xcb_glx_get_minmax_parameterfv_data_length (const xcb_glx_get_minmax_parameterfv_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_minmax_parameterfv_data_end (const xcb_glx_get_minmax_parameterfv_reply_t *R)
xcb_glx_get_minmax_parameterfv_reply_t * | xcb_glx_get_minmax_parameterfv_reply (xcb_connection_t *c, xcb_glx_get_minmax_parameterfv_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_minmax_parameteriv_sizeof (const void *_buffer)
xcb_glx_get_minmax_parameteriv_cookie_t | xcb_glx_get_minmax_parameteriv (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t pname)
xcb_glx_get_minmax_parameteriv_cookie_t | xcb_glx_get_minmax_parameteriv_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t pname)
int32_t * | xcb_glx_get_minmax_parameteriv_data (const xcb_glx_get_minmax_parameteriv_reply_t *R)
int | xcb_glx_get_minmax_parameteriv_data_length (const xcb_glx_get_minmax_parameteriv_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_minmax_parameteriv_data_end (const xcb_glx_get_minmax_parameteriv_reply_t *R)
xcb_glx_get_minmax_parameteriv_reply_t * | xcb_glx_get_minmax_parameteriv_reply (xcb_connection_t *c, xcb_glx_get_minmax_parameteriv_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_compressed_tex_image_arb_sizeof (const void *_buffer)
xcb_glx_get_compressed_tex_image_arb_cookie_t | xcb_glx_get_compressed_tex_image_arb (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, int32_t level)
xcb_glx_get_compressed_tex_image_arb_cookie_t | xcb_glx_get_compressed_tex_image_arb_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, int32_t level)
uint8_t * | xcb_glx_get_compressed_tex_image_arb_data (const xcb_glx_get_compressed_tex_image_arb_reply_t *R)
int | xcb_glx_get_compressed_tex_image_arb_data_length (const xcb_glx_get_compressed_tex_image_arb_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_compressed_tex_image_arb_data_end (const xcb_glx_get_compressed_tex_image_arb_reply_t *R)
xcb_glx_get_compressed_tex_image_arb_reply_t * | xcb_glx_get_compressed_tex_image_arb_reply (xcb_connection_t *c, xcb_glx_get_compressed_tex_image_arb_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_delete_queries_arb_sizeof (const void *_buffer)
xcb_void_cookie_t | xcb_glx_delete_queries_arb_checked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, int32_t n, const uint32_t *ids)
xcb_void_cookie_t | xcb_glx_delete_queries_arb (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, int32_t n, const uint32_t *ids)
uint32_t * | xcb_glx_delete_queries_arb_ids (const xcb_glx_delete_queries_arb_request_t *R)
int | xcb_glx_delete_queries_arb_ids_length (const xcb_glx_delete_queries_arb_request_t *R)
xcb_generic_iterator_t | xcb_glx_delete_queries_arb_ids_end (const xcb_glx_delete_queries_arb_request_t *R)
int | xcb_glx_gen_queries_arb_sizeof (const void *_buffer)
xcb_glx_gen_queries_arb_cookie_t | xcb_glx_gen_queries_arb (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, int32_t n)
xcb_glx_gen_queries_arb_cookie_t | xcb_glx_gen_queries_arb_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, int32_t n)
uint32_t * | xcb_glx_gen_queries_arb_data (const xcb_glx_gen_queries_arb_reply_t *R)
int | xcb_glx_gen_queries_arb_data_length (const xcb_glx_gen_queries_arb_reply_t *R)
xcb_generic_iterator_t | xcb_glx_gen_queries_arb_data_end (const xcb_glx_gen_queries_arb_reply_t *R)
xcb_glx_gen_queries_arb_reply_t * | xcb_glx_gen_queries_arb_reply (xcb_connection_t *c, xcb_glx_gen_queries_arb_cookie_t cookie, xcb_generic_error_t **e)
xcb_glx_is_query_arb_cookie_t | xcb_glx_is_query_arb (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t id)
xcb_glx_is_query_arb_cookie_t | xcb_glx_is_query_arb_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t id)
xcb_glx_is_query_arb_reply_t * | xcb_glx_is_query_arb_reply (xcb_connection_t *c, xcb_glx_is_query_arb_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_queryiv_arb_sizeof (const void *_buffer)
xcb_glx_get_queryiv_arb_cookie_t | xcb_glx_get_queryiv_arb (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t pname)
xcb_glx_get_queryiv_arb_cookie_t | xcb_glx_get_queryiv_arb_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t target, uint32_t pname)
int32_t * | xcb_glx_get_queryiv_arb_data (const xcb_glx_get_queryiv_arb_reply_t *R)
int | xcb_glx_get_queryiv_arb_data_length (const xcb_glx_get_queryiv_arb_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_queryiv_arb_data_end (const xcb_glx_get_queryiv_arb_reply_t *R)
xcb_glx_get_queryiv_arb_reply_t * | xcb_glx_get_queryiv_arb_reply (xcb_connection_t *c, xcb_glx_get_queryiv_arb_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_query_objectiv_arb_sizeof (const void *_buffer)
xcb_glx_get_query_objectiv_arb_cookie_t | xcb_glx_get_query_objectiv_arb (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t id, uint32_t pname)
xcb_glx_get_query_objectiv_arb_cookie_t | xcb_glx_get_query_objectiv_arb_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t id, uint32_t pname)
int32_t * | xcb_glx_get_query_objectiv_arb_data (const xcb_glx_get_query_objectiv_arb_reply_t *R)
int | xcb_glx_get_query_objectiv_arb_data_length (const xcb_glx_get_query_objectiv_arb_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_query_objectiv_arb_data_end (const xcb_glx_get_query_objectiv_arb_reply_t *R)
xcb_glx_get_query_objectiv_arb_reply_t * | xcb_glx_get_query_objectiv_arb_reply (xcb_connection_t *c, xcb_glx_get_query_objectiv_arb_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_glx_get_query_objectuiv_arb_sizeof (const void *_buffer)
xcb_glx_get_query_objectuiv_arb_cookie_t | xcb_glx_get_query_objectuiv_arb (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t id, uint32_t pname)
xcb_glx_get_query_objectuiv_arb_cookie_t | xcb_glx_get_query_objectuiv_arb_unchecked (xcb_connection_t *c, xcb_glx_context_tag_t context_tag, uint32_t id, uint32_t pname)
uint32_t * | xcb_glx_get_query_objectuiv_arb_data (const xcb_glx_get_query_objectuiv_arb_reply_t *R)
int | xcb_glx_get_query_objectuiv_arb_data_length (const xcb_glx_get_query_objectuiv_arb_reply_t *R)
xcb_generic_iterator_t | xcb_glx_get_query_objectuiv_arb_data_end (const xcb_glx_get_query_objectuiv_arb_reply_t *R)
xcb_glx_get_query_objectuiv_arb_reply_t * | xcb_glx_get_query_objectuiv_arb_reply (xcb_connection_t *c, xcb_glx_get_query_objectuiv_arb_cookie_t cookie, xcb_generic_error_t **e)

## Variables

xcb_extension_t | xcb_glx_id

## Detailed Description

Glx XCB Protocol Implementation.

## Macro Definition Documentation

## XCB_GLX_ARE_TEXTURES_RESIDENT

#define XCB_GLX_ARE_TEXTURES_RESIDENT 143

Opcode for xcb_glx_are_textures_resident.

Referenced by xcb_glx_are_textures_resident(), and xcb_glx_are_textures_resident_unchecked().

## XCB_GLX_BAD_CONTEXT

#define XCB_GLX_BAD_CONTEXT 0

Opcode for xcb_glx_bad_context.

## XCB_GLX_BAD_CONTEXT_STATE

#define XCB_GLX_BAD_CONTEXT_STATE 1

Opcode for xcb_glx_bad_context_state.

## XCB_GLX_BAD_CONTEXT_TAG

#define XCB_GLX_BAD_CONTEXT_TAG 4

Opcode for xcb_glx_bad_context_tag.

## XCB_GLX_BAD_CURRENT_DRAWABLE

#define XCB_GLX_BAD_CURRENT_DRAWABLE 11

Opcode for xcb_glx_bad_current_drawable.

## XCB_GLX_BAD_CURRENT_WINDOW

#define XCB_GLX_BAD_CURRENT_WINDOW 5

Opcode for xcb_glx_bad_current_window.

## XCB_GLX_BAD_DRAWABLE

#define XCB_GLX_BAD_DRAWABLE 2

Opcode for xcb_glx_bad_drawable.

## XCB_GLX_BAD_FB_CONFIG

#define XCB_GLX_BAD_FB_CONFIG 9

Opcode for xcb_glx_bad_fb_config.

## XCB_GLX_BAD_LARGE_REQUEST

#define XCB_GLX_BAD_LARGE_REQUEST 7

Opcode for xcb_glx_bad_large_request.

## XCB_GLX_BAD_PBUFFER

#define XCB_GLX_BAD_PBUFFER 10

Opcode for xcb_glx_bad_pbuffer.

## XCB_GLX_BAD_PIXMAP

#define XCB_GLX_BAD_PIXMAP 3

Opcode for xcb_glx_bad_pixmap.

## XCB_GLX_BAD_RENDER_REQUEST

#define XCB_GLX_BAD_RENDER_REQUEST 6

Opcode for xcb_glx_bad_render_request.

## XCB_GLX_BAD_WINDOW

#define XCB_GLX_BAD_WINDOW 12

Opcode for xcb_glx_bad_window.

## XCB_GLX_BUFFER_SWAP_COMPLETE

#define XCB_GLX_BUFFER_SWAP_COMPLETE 1

Opcode for xcb_glx_buffer_swap_complete.

## XCB_GLX_CHANGE_DRAWABLE_ATTRIBUTES

#define XCB_GLX_CHANGE_DRAWABLE_ATTRIBUTES 30

Opcode for xcb_glx_change_drawable_attributes.

Referenced by xcb_glx_change_drawable_attributes(), and xcb_glx_change_drawable_attributes_checked().

## XCB_GLX_CLIENT_INFO

#define XCB_GLX_CLIENT_INFO 20

Opcode for xcb_glx_client_info.

Referenced by xcb_glx_client_info(), and xcb_glx_client_info_checked().

## XCB_GLX_COPY_CONTEXT

#define XCB_GLX_COPY_CONTEXT 10

Opcode for xcb_glx_copy_context.

Referenced by xcb_glx_copy_context(), and xcb_glx_copy_context_checked().

## XCB_GLX_CREATE_CONTEXT

#define XCB_GLX_CREATE_CONTEXT 3

Opcode for xcb_glx_create_context.

Referenced by xcb_glx_create_context(), and xcb_glx_create_context_checked().

## XCB_GLX_CREATE_CONTEXT_ATTRIBS_ARB

#define XCB_GLX_CREATE_CONTEXT_ATTRIBS_ARB 34

Opcode for xcb_glx_create_context_attribs_arb.

Referenced by xcb_glx_create_context_attribs_arb(), and xcb_glx_create_context_attribs_arb_checked().

## XCB_GLX_CREATE_GLX_PIXMAP

#define XCB_GLX_CREATE_GLX_PIXMAP 13

Opcode for xcb_glx_create_glx_pixmap.

Referenced by xcb_glx_create_glx_pixmap(), and xcb_glx_create_glx_pixmap_checked().

## XCB_GLX_CREATE_NEW_CONTEXT

#define XCB_GLX_CREATE_NEW_CONTEXT 24

Opcode for xcb_glx_create_new_context.

Referenced by xcb_glx_create_new_context(), and xcb_glx_create_new_context_checked().

## XCB_GLX_CREATE_PBUFFER

#define XCB_GLX_CREATE_PBUFFER 27

Opcode for xcb_glx_create_pbuffer.

Referenced by xcb_glx_create_pbuffer(), and xcb_glx_create_pbuffer_checked().

## XCB_GLX_CREATE_PIXMAP

#define XCB_GLX_CREATE_PIXMAP 22

Opcode for xcb_glx_create_pixmap.

Referenced by xcb_glx_create_pixmap(), and xcb_glx_create_pixmap_checked().

## XCB_GLX_CREATE_WINDOW

#define XCB_GLX_CREATE_WINDOW 31

Opcode for xcb_glx_create_window.

Referenced by xcb_glx_create_window(), and xcb_glx_create_window_checked().

## XCB_GLX_DELETE_LISTS

#define XCB_GLX_DELETE_LISTS 103

Opcode for xcb_glx_delete_lists.

Referenced by xcb_glx_delete_lists(), and xcb_glx_delete_lists_checked().

## XCB_GLX_DELETE_QUERIES_ARB

#define XCB_GLX_DELETE_QUERIES_ARB 161

Opcode for xcb_glx_delete_queries_arb.

Referenced by xcb_glx_delete_queries_arb(), and xcb_glx_delete_queries_arb_checked().

## XCB_GLX_DELETE_TEXTURES

#define XCB_GLX_DELETE_TEXTURES 144

Opcode for xcb_glx_delete_textures.

Referenced by xcb_glx_delete_textures(), and xcb_glx_delete_textures_checked().

## XCB_GLX_DELETE_WINDOW

#define XCB_GLX_DELETE_WINDOW 32

Opcode for xcb_glx_delete_window.

Referenced by xcb_glx_delete_window(), and xcb_glx_delete_window_checked().

## XCB_GLX_DESTROY_CONTEXT

#define XCB_GLX_DESTROY_CONTEXT 4

Opcode for xcb_glx_destroy_context.

Referenced by xcb_glx_destroy_context(), and xcb_glx_destroy_context_checked().

## XCB_GLX_DESTROY_GLX_PIXMAP

#define XCB_GLX_DESTROY_GLX_PIXMAP 15

Opcode for xcb_glx_destroy_glx_pixmap.

Referenced by xcb_glx_destroy_glx_pixmap(), and xcb_glx_destroy_glx_pixmap_checked().

## XCB_GLX_DESTROY_PBUFFER

#define XCB_GLX_DESTROY_PBUFFER 28

Opcode for xcb_glx_destroy_pbuffer.

Referenced by xcb_glx_destroy_pbuffer(), and xcb_glx_destroy_pbuffer_checked().

## XCB_GLX_DESTROY_PIXMAP

#define XCB_GLX_DESTROY_PIXMAP 23

Opcode for xcb_glx_destroy_pixmap.

Referenced by xcb_glx_destroy_pixmap(), and xcb_glx_destroy_pixmap_checked().

## XCB_GLX_END_LIST

#define XCB_GLX_END_LIST 102

Opcode for xcb_glx_end_list.

Referenced by xcb_glx_end_list(), and xcb_glx_end_list_checked().

## XCB_GLX_FEEDBACK_BUFFER

#define XCB_GLX_FEEDBACK_BUFFER 105

Opcode for xcb_glx_feedback_buffer.

Referenced by xcb_glx_feedback_buffer(), and xcb_glx_feedback_buffer_checked().

## XCB_GLX_FINISH

#define XCB_GLX_FINISH 108

Opcode for xcb_glx_finish.

Referenced by xcb_glx_finish(), and xcb_glx_finish_unchecked().

## XCB_GLX_FLUSH

#define XCB_GLX_FLUSH 142

Opcode for xcb_glx_flush.

Referenced by xcb_glx_flush(), and xcb_glx_flush_checked().

## XCB_GLX_GEN_LISTS

#define XCB_GLX_GEN_LISTS 104

Opcode for xcb_glx_gen_lists.

Referenced by xcb_glx_gen_lists(), and xcb_glx_gen_lists_unchecked().

## XCB_GLX_GEN_QUERIES_ARB

#define XCB_GLX_GEN_QUERIES_ARB 162

Opcode for xcb_glx_gen_queries_arb.

Referenced by xcb_glx_gen_queries_arb(), and xcb_glx_gen_queries_arb_unchecked().

## XCB_GLX_GEN_TEXTURES

#define XCB_GLX_GEN_TEXTURES 145

Opcode for xcb_glx_gen_textures.

Referenced by xcb_glx_gen_textures(), and xcb_glx_gen_textures_unchecked().

## XCB_GLX_GENERIC

#define XCB_GLX_GENERIC -1

Opcode for xcb_glx_generic.

## XCB_GLX_GET_BOOLEANV

#define XCB_GLX_GET_BOOLEANV 112

Opcode for xcb_glx_get_booleanv.

Referenced by xcb_glx_get_booleanv(), and xcb_glx_get_booleanv_unchecked().

## XCB_GLX_GET_CLIP_PLANE

#define XCB_GLX_GET_CLIP_PLANE 113

Opcode for xcb_glx_get_clip_plane.

Referenced by xcb_glx_get_clip_plane(), and xcb_glx_get_clip_plane_unchecked().

## XCB_GLX_GET_COLOR_TABLE

#define XCB_GLX_GET_COLOR_TABLE 147

Opcode for xcb_glx_get_color_table.

Referenced by xcb_glx_get_color_table(), and xcb_glx_get_color_table_unchecked().

## XCB_GLX_GET_COLOR_TABLE_PARAMETERFV

#define XCB_GLX_GET_COLOR_TABLE_PARAMETERFV 148

Opcode for xcb_glx_get_color_table_parameterfv.

Referenced by xcb_glx_get_color_table_parameterfv(), and xcb_glx_get_color_table_parameterfv_unchecked().

## XCB_GLX_GET_COLOR_TABLE_PARAMETERIV

#define XCB_GLX_GET_COLOR_TABLE_PARAMETERIV 149

Opcode for xcb_glx_get_color_table_parameteriv.

Referenced by xcb_glx_get_color_table_parameteriv(), and xcb_glx_get_color_table_parameteriv_unchecked().

## XCB_GLX_GET_COMPRESSED_TEX_IMAGE_ARB

#define XCB_GLX_GET_COMPRESSED_TEX_IMAGE_ARB 160

Opcode for xcb_glx_get_compressed_tex_image_arb.

Referenced by xcb_glx_get_compressed_tex_image_arb(), and xcb_glx_get_compressed_tex_image_arb_unchecked().

## XCB_GLX_GET_CONVOLUTION_FILTER

#define XCB_GLX_GET_CONVOLUTION_FILTER 150

Opcode for xcb_glx_get_convolution_filter.

Referenced by xcb_glx_get_convolution_filter(), and xcb_glx_get_convolution_filter_unchecked().

## XCB_GLX_GET_CONVOLUTION_PARAMETERFV

#define XCB_GLX_GET_CONVOLUTION_PARAMETERFV 151

Opcode for xcb_glx_get_convolution_parameterfv.

Referenced by xcb_glx_get_convolution_parameterfv(), and xcb_glx_get_convolution_parameterfv_unchecked().

## XCB_GLX_GET_CONVOLUTION_PARAMETERIV

#define XCB_GLX_GET_CONVOLUTION_PARAMETERIV 152

Opcode for xcb_glx_get_convolution_parameteriv.

Referenced by xcb_glx_get_convolution_parameteriv(), and xcb_glx_get_convolution_parameteriv_unchecked().

## XCB_GLX_GET_DOUBLEV

#define XCB_GLX_GET_DOUBLEV 114

Opcode for xcb_glx_get_doublev.

Referenced by xcb_glx_get_doublev(), and xcb_glx_get_doublev_unchecked().

## XCB_GLX_GET_DRAWABLE_ATTRIBUTES

#define XCB_GLX_GET_DRAWABLE_ATTRIBUTES 29

Opcode for xcb_glx_get_drawable_attributes.

Referenced by xcb_glx_get_drawable_attributes(), and xcb_glx_get_drawable_attributes_unchecked().

## XCB_GLX_GET_ERROR

#define XCB_GLX_GET_ERROR 115

Opcode for xcb_glx_get_error.

Referenced by xcb_glx_get_error(), and xcb_glx_get_error_unchecked().

## XCB_GLX_GET_FB_CONFIGS

#define XCB_GLX_GET_FB_CONFIGS 21

Opcode for xcb_glx_get_fb_configs.

Referenced by xcb_glx_get_fb_configs(), and xcb_glx_get_fb_configs_unchecked().

## XCB_GLX_GET_FLOATV

#define XCB_GLX_GET_FLOATV 116

Opcode for xcb_glx_get_floatv.

Referenced by xcb_glx_get_floatv(), and xcb_glx_get_floatv_unchecked().

## XCB_GLX_GET_HISTOGRAM

#define XCB_GLX_GET_HISTOGRAM 154

Opcode for xcb_glx_get_histogram.

Referenced by xcb_glx_get_histogram(), and xcb_glx_get_histogram_unchecked().

## XCB_GLX_GET_HISTOGRAM_PARAMETERFV

#define XCB_GLX_GET_HISTOGRAM_PARAMETERFV 155

Opcode for xcb_glx_get_histogram_parameterfv.

Referenced by xcb_glx_get_histogram_parameterfv(), and xcb_glx_get_histogram_parameterfv_unchecked().

## XCB_GLX_GET_HISTOGRAM_PARAMETERIV

#define XCB_GLX_GET_HISTOGRAM_PARAMETERIV 156

Opcode for xcb_glx_get_histogram_parameteriv.

Referenced by xcb_glx_get_histogram_parameteriv(), and xcb_glx_get_histogram_parameteriv_unchecked().

## XCB_GLX_GET_INTEGERV

#define XCB_GLX_GET_INTEGERV 117

Opcode for xcb_glx_get_integerv.

Referenced by xcb_glx_get_integerv(), and xcb_glx_get_integerv_unchecked().

## XCB_GLX_GET_LIGHTFV

#define XCB_GLX_GET_LIGHTFV 118

Opcode for xcb_glx_get_lightfv.

Referenced by xcb_glx_get_lightfv(), and xcb_glx_get_lightfv_unchecked().

## XCB_GLX_GET_LIGHTIV

#define XCB_GLX_GET_LIGHTIV 119

Opcode for xcb_glx_get_lightiv.

Referenced by xcb_glx_get_lightiv(), and xcb_glx_get_lightiv_unchecked().

## XCB_GLX_GET_MAPDV

#define XCB_GLX_GET_MAPDV 120

Opcode for xcb_glx_get_mapdv.

Referenced by xcb_glx_get_mapdv(), and xcb_glx_get_mapdv_unchecked().

## XCB_GLX_GET_MAPFV

#define XCB_GLX_GET_MAPFV 121

Opcode for xcb_glx_get_mapfv.

Referenced by xcb_glx_get_mapfv(), and xcb_glx_get_mapfv_unchecked().

## XCB_GLX_GET_MAPIV

#define XCB_GLX_GET_MAPIV 122

Opcode for xcb_glx_get_mapiv.

Referenced by xcb_glx_get_mapiv(), and xcb_glx_get_mapiv_unchecked().

## XCB_GLX_GET_MATERIALFV

#define XCB_GLX_GET_MATERIALFV 123

Opcode for xcb_glx_get_materialfv.

Referenced by xcb_glx_get_materialfv(), and xcb_glx_get_materialfv_unchecked().

## XCB_GLX_GET_MATERIALIV

#define XCB_GLX_GET_MATERIALIV 124

Opcode for xcb_glx_get_materialiv.

Referenced by xcb_glx_get_materialiv(), and xcb_glx_get_materialiv_unchecked().

## XCB_GLX_GET_MINMAX

#define XCB_GLX_GET_MINMAX 157

Opcode for xcb_glx_get_minmax.

Referenced by xcb_glx_get_minmax(), and xcb_glx_get_minmax_unchecked().

## XCB_GLX_GET_MINMAX_PARAMETERFV

#define XCB_GLX_GET_MINMAX_PARAMETERFV 158

Opcode for xcb_glx_get_minmax_parameterfv.

Referenced by xcb_glx_get_minmax_parameterfv(), and xcb_glx_get_minmax_parameterfv_unchecked().

## XCB_GLX_GET_MINMAX_PARAMETERIV

#define XCB_GLX_GET_MINMAX_PARAMETERIV 159

Opcode for xcb_glx_get_minmax_parameteriv.

Referenced by xcb_glx_get_minmax_parameteriv(), and xcb_glx_get_minmax_parameteriv_unchecked().

## XCB_GLX_GET_PIXEL_MAPFV

#define XCB_GLX_GET_PIXEL_MAPFV 125

Opcode for xcb_glx_get_pixel_mapfv.

Referenced by xcb_glx_get_pixel_mapfv(), and xcb_glx_get_pixel_mapfv_unchecked().

## XCB_GLX_GET_PIXEL_MAPUIV

#define XCB_GLX_GET_PIXEL_MAPUIV 126

Opcode for xcb_glx_get_pixel_mapuiv.

Referenced by xcb_glx_get_pixel_mapuiv(), and xcb_glx_get_pixel_mapuiv_unchecked().

## XCB_GLX_GET_PIXEL_MAPUSV

#define XCB_GLX_GET_PIXEL_MAPUSV 127

Opcode for xcb_glx_get_pixel_mapusv.

Referenced by xcb_glx_get_pixel_mapusv(), and xcb_glx_get_pixel_mapusv_unchecked().

## XCB_GLX_GET_POLYGON_STIPPLE

#define XCB_GLX_GET_POLYGON_STIPPLE 128

Opcode for xcb_glx_get_polygon_stipple.

Referenced by xcb_glx_get_polygon_stipple(), and xcb_glx_get_polygon_stipple_unchecked().

## XCB_GLX_GET_QUERY_OBJECTIV_ARB

#define XCB_GLX_GET_QUERY_OBJECTIV_ARB 165

Opcode for xcb_glx_get_query_objectiv_arb.

Referenced by xcb_glx_get_query_objectiv_arb(), and xcb_glx_get_query_objectiv_arb_unchecked().

## XCB_GLX_GET_QUERY_OBJECTUIV_ARB

#define XCB_GLX_GET_QUERY_OBJECTUIV_ARB 166

Opcode for xcb_glx_get_query_objectuiv_arb.

Referenced by xcb_glx_get_query_objectuiv_arb(), and xcb_glx_get_query_objectuiv_arb_unchecked().

## XCB_GLX_GET_QUERYIV_ARB

#define XCB_GLX_GET_QUERYIV_ARB 164

Opcode for xcb_glx_get_queryiv_arb.

Referenced by xcb_glx_get_queryiv_arb(), and xcb_glx_get_queryiv_arb_unchecked().

## XCB_GLX_GET_SEPARABLE_FILTER

#define XCB_GLX_GET_SEPARABLE_FILTER 153

Opcode for xcb_glx_get_separable_filter.

Referenced by xcb_glx_get_separable_filter(), and xcb_glx_get_separable_filter_unchecked().

## XCB_GLX_GET_STRING

#define XCB_GLX_GET_STRING 129

Opcode for xcb_glx_get_string.

Referenced by xcb_glx_get_string(), and xcb_glx_get_string_unchecked().

## XCB_GLX_GET_TEX_ENVFV

#define XCB_GLX_GET_TEX_ENVFV 130

Opcode for xcb_glx_get_tex_envfv.

Referenced by xcb_glx_get_tex_envfv(), and xcb_glx_get_tex_envfv_unchecked().

## XCB_GLX_GET_TEX_ENVIV

#define XCB_GLX_GET_TEX_ENVIV 131

Opcode for xcb_glx_get_tex_enviv.

Referenced by xcb_glx_get_tex_enviv(), and xcb_glx_get_tex_enviv_unchecked().

## XCB_GLX_GET_TEX_GENDV

#define XCB_GLX_GET_TEX_GENDV 132

Opcode for xcb_glx_get_tex_gendv.

Referenced by xcb_glx_get_tex_gendv(), and xcb_glx_get_tex_gendv_unchecked().

## XCB_GLX_GET_TEX_GENFV

#define XCB_GLX_GET_TEX_GENFV 133

Opcode for xcb_glx_get_tex_genfv.

Referenced by xcb_glx_get_tex_genfv(), and xcb_glx_get_tex_genfv_unchecked().

## XCB_GLX_GET_TEX_GENIV

#define XCB_GLX_GET_TEX_GENIV 134

Opcode for xcb_glx_get_tex_geniv.

Referenced by xcb_glx_get_tex_geniv(), and xcb_glx_get_tex_geniv_unchecked().

## XCB_GLX_GET_TEX_IMAGE

#define XCB_GLX_GET_TEX_IMAGE 135

Opcode for xcb_glx_get_tex_image.

Referenced by xcb_glx_get_tex_image(), and xcb_glx_get_tex_image_unchecked().

## XCB_GLX_GET_TEX_LEVEL_PARAMETERFV

#define XCB_GLX_GET_TEX_LEVEL_PARAMETERFV 138

Opcode for xcb_glx_get_tex_level_parameterfv.

Referenced by xcb_glx_get_tex_level_parameterfv(), and xcb_glx_get_tex_level_parameterfv_unchecked().

## XCB_GLX_GET_TEX_LEVEL_PARAMETERIV

#define XCB_GLX_GET_TEX_LEVEL_PARAMETERIV 139

Opcode for xcb_glx_get_tex_level_parameteriv.

Referenced by xcb_glx_get_tex_level_parameteriv(), and xcb_glx_get_tex_level_parameteriv_unchecked().

## XCB_GLX_GET_TEX_PARAMETERFV

#define XCB_GLX_GET_TEX_PARAMETERFV 136

Opcode for xcb_glx_get_tex_parameterfv.

Referenced by xcb_glx_get_tex_parameterfv(), and xcb_glx_get_tex_parameterfv_unchecked().

## XCB_GLX_GET_TEX_PARAMETERIV

#define XCB_GLX_GET_TEX_PARAMETERIV 137

Opcode for xcb_glx_get_tex_parameteriv.

Referenced by xcb_glx_get_tex_parameteriv(), and xcb_glx_get_tex_parameteriv_unchecked().

## XCB_GLX_GET_VISUAL_CONFIGS

#define XCB_GLX_GET_VISUAL_CONFIGS 14

Opcode for xcb_glx_get_visual_configs.

Referenced by xcb_glx_get_visual_configs(), and xcb_glx_get_visual_configs_unchecked().

## XCB_GLX_GLX_BAD_PROFILE_ARB

#define XCB_GLX_GLX_BAD_PROFILE_ARB 13

Opcode for xcb_glx_glx_bad_profile_arb.

## XCB_GLX_IS_DIRECT

#define XCB_GLX_IS_DIRECT 6

Opcode for xcb_glx_is_direct.

Referenced by xcb_glx_is_direct(), and xcb_glx_is_direct_unchecked().

## XCB_GLX_IS_ENABLED

#define XCB_GLX_IS_ENABLED 140

Opcode for xcb_glx_is_enabled.

Referenced by xcb_glx_is_enabled(), and xcb_glx_is_enabled_unchecked().

## XCB_GLX_IS_LIST

#define XCB_GLX_IS_LIST 141

Opcode for xcb_glx_is_list.

Referenced by xcb_glx_is_list(), and xcb_glx_is_list_unchecked().

## XCB_GLX_IS_QUERY_ARB

#define XCB_GLX_IS_QUERY_ARB 163

Opcode for xcb_glx_is_query_arb.

Referenced by xcb_glx_is_query_arb(), and xcb_glx_is_query_arb_unchecked().

## XCB_GLX_IS_TEXTURE

#define XCB_GLX_IS_TEXTURE 146

Opcode for xcb_glx_is_texture.

Referenced by xcb_glx_is_texture(), and xcb_glx_is_texture_unchecked().

## XCB_GLX_MAKE_CONTEXT_CURRENT

#define XCB_GLX_MAKE_CONTEXT_CURRENT 26

Opcode for xcb_glx_make_context_current.

Referenced by xcb_glx_make_context_current(), and xcb_glx_make_context_current_unchecked().

## XCB_GLX_MAKE_CURRENT

#define XCB_GLX_MAKE_CURRENT 5

Opcode for xcb_glx_make_current.

Referenced by xcb_glx_make_current(), and xcb_glx_make_current_unchecked().

## XCB_GLX_NEW_LIST

#define XCB_GLX_NEW_LIST 101

Opcode for xcb_glx_new_list.

Referenced by xcb_glx_new_list(), and xcb_glx_new_list_checked().

## XCB_GLX_PBUFFER_CLOBBER

#define XCB_GLX_PBUFFER_CLOBBER 0

Opcode for xcb_glx_pbuffer_clobber.

## XCB_GLX_PIXEL_STOREF

#define XCB_GLX_PIXEL_STOREF 109

Opcode for xcb_glx_pixel_storef.

Referenced by xcb_glx_pixel_storef(), and xcb_glx_pixel_storef_checked().

## XCB_GLX_PIXEL_STOREI

#define XCB_GLX_PIXEL_STOREI 110

Opcode for xcb_glx_pixel_storei.

Referenced by xcb_glx_pixel_storei(), and xcb_glx_pixel_storei_checked().

## XCB_GLX_QUERY_CONTEXT

#define XCB_GLX_QUERY_CONTEXT 25

Opcode for xcb_glx_query_context.

Referenced by xcb_glx_query_context(), and xcb_glx_query_context_unchecked().

## XCB_GLX_QUERY_EXTENSIONS_STRING

#define XCB_GLX_QUERY_EXTENSIONS_STRING 18

Opcode for xcb_glx_query_extensions_string.

Referenced by xcb_glx_query_extensions_string(), and xcb_glx_query_extensions_string_unchecked().

## XCB_GLX_QUERY_SERVER_STRING

#define XCB_GLX_QUERY_SERVER_STRING 19

Opcode for xcb_glx_query_server_string.

Referenced by xcb_glx_query_server_string(), and xcb_glx_query_server_string_unchecked().

## XCB_GLX_QUERY_VERSION

#define XCB_GLX_QUERY_VERSION 7

Opcode for xcb_glx_query_version.

Referenced by xcb_glx_query_version(), and xcb_glx_query_version_unchecked().

## XCB_GLX_READ_PIXELS

#define XCB_GLX_READ_PIXELS 111

Opcode for xcb_glx_read_pixels.

Referenced by xcb_glx_read_pixels(), and xcb_glx_read_pixels_unchecked().

## XCB_GLX_RENDER

#define XCB_GLX_RENDER 1

Opcode for xcb_glx_render.

Referenced by xcb_glx_render(), and xcb_glx_render_checked().

## XCB_GLX_RENDER_LARGE

#define XCB_GLX_RENDER_LARGE 2

Opcode for xcb_glx_render_large.

Referenced by xcb_glx_render_large(), and xcb_glx_render_large_checked().

## XCB_GLX_RENDER_MODE

#define XCB_GLX_RENDER_MODE 107

Opcode for xcb_glx_render_mode.

Referenced by xcb_glx_render_mode(), and xcb_glx_render_mode_unchecked().

## XCB_GLX_SELECT_BUFFER

#define XCB_GLX_SELECT_BUFFER 106

Opcode for xcb_glx_select_buffer.

Referenced by xcb_glx_select_buffer(), and xcb_glx_select_buffer_checked().

## XCB_GLX_SET_CLIENT_INFO_2ARB

#define XCB_GLX_SET_CLIENT_INFO_2ARB 35

Opcode for xcb_glx_set_client_info_2arb.

Referenced by xcb_glx_set_client_info_2arb(), and xcb_glx_set_client_info_2arb_checked().

## XCB_GLX_SET_CLIENT_INFO_ARB

#define XCB_GLX_SET_CLIENT_INFO_ARB 33

Opcode for xcb_glx_set_client_info_arb.

Referenced by xcb_glx_set_client_info_arb(), and xcb_glx_set_client_info_arb_checked().

## XCB_GLX_SWAP_BUFFERS

#define XCB_GLX_SWAP_BUFFERS 11

Opcode for xcb_glx_swap_buffers.

Referenced by xcb_glx_swap_buffers(), and xcb_glx_swap_buffers_checked().

## XCB_GLX_UNSUPPORTED_PRIVATE_REQUEST

#define XCB_GLX_UNSUPPORTED_PRIVATE_REQUEST 8

Opcode for xcb_glx_unsupported_private_request.

## XCB_GLX_USE_X_FONT

#define XCB_GLX_USE_X_FONT 12

Opcode for xcb_glx_use_x_font.

Referenced by xcb_glx_use_x_font(), and xcb_glx_use_x_font_checked().

## XCB_GLX_VENDOR_PRIVATE

#define XCB_GLX_VENDOR_PRIVATE 16

Opcode for xcb_glx_vendor_private.

Referenced by xcb_glx_vendor_private(), and xcb_glx_vendor_private_checked().

## XCB_GLX_VENDOR_PRIVATE_WITH_REPLY

#define XCB_GLX_VENDOR_PRIVATE_WITH_REPLY 17

Opcode for xcb_glx_vendor_private_with_reply.

Referenced by xcb_glx_vendor_private_with_reply(), and xcb_glx_vendor_private_with_reply_unchecked().

## XCB_GLX_WAIT_GL

#define XCB_GLX_WAIT_GL 8

Opcode for xcb_glx_wait_gl.

Referenced by xcb_glx_wait_gl(), and xcb_glx_wait_gl_checked().

## XCB_GLX_WAIT_X

#define XCB_GLX_WAIT_X 9

Opcode for xcb_glx_wait_x.

Referenced by xcb_glx_wait_x(), and xcb_glx_wait_x_checked().

## Function Documentation

## xcb_glx_are_textures_resident()

xcb_glx_are_textures_resident_cookie_t xcb_glx_are_textures_resident | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | int32_t | n,
|  | const uint32_t * | textures )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_ARE_TEXTURES_RESIDENT.

## xcb_glx_are_textures_resident_reply()

xcb_glx_are_textures_resident_reply_t * xcb_glx_are_textures_resident_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_are_textures_resident_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_are_textures_resident_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_are_textures_resident_unchecked()

xcb_glx_are_textures_resident_cookie_t xcb_glx_are_textures_resident_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | int32_t | n,
|  | const uint32_t * | textures )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_ARE_TEXTURES_RESIDENT.

## xcb_glx_bool32_end()

xcb_generic_iterator_t xcb_glx_bool32_end | ( | xcb_glx_bool32_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_glx_bool32_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_glx_bool32_next()

void xcb_glx_bool32_next | ( | xcb_glx_bool32_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_glx_bool32_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_glx_bool32_t)

## xcb_glx_change_drawable_attributes()

xcb_void_cookie_t xcb_glx_change_drawable_attributes | ( | xcb_connection_t * | c,
|  | xcb_glx_drawable_t | drawable,
|  | uint32_t | num_attribs,
|  | const uint32_t * | attribs )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_CHANGE_DRAWABLE_ATTRIBUTES.

## xcb_glx_change_drawable_attributes_checked()

xcb_void_cookie_t xcb_glx_change_drawable_attributes_checked | ( | xcb_connection_t * | c,
|  | xcb_glx_drawable_t | drawable,
|  | uint32_t | num_attribs,
|  | const uint32_t * | attribs )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_GLX_CHANGE_DRAWABLE_ATTRIBUTES.

## xcb_glx_client_info()

xcb_void_cookie_t xcb_glx_client_info | ( | xcb_connection_t * | c,
|  | uint32_t | major_version,
|  | uint32_t | minor_version,
|  | uint32_t | str_len,
|  | const char * | string )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_CLIENT_INFO.

## xcb_glx_client_info_checked()

xcb_void_cookie_t xcb_glx_client_info_checked | ( | xcb_connection_t * | c,
|  | uint32_t | major_version,
|  | uint32_t | minor_version,
|  | uint32_t | str_len,
|  | const char * | string )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_GLX_CLIENT_INFO.

## xcb_glx_context_end()

xcb_generic_iterator_t xcb_glx_context_end | ( | xcb_glx_context_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_glx_context_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_glx_context_next()

void xcb_glx_context_next | ( | xcb_glx_context_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_glx_context_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_glx_context_t)

## xcb_glx_context_tag_end()

xcb_generic_iterator_t xcb_glx_context_tag_end | ( | xcb_glx_context_tag_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_glx_context_tag_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_glx_context_tag_next()

void xcb_glx_context_tag_next | ( | xcb_glx_context_tag_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_glx_context_tag_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_glx_context_tag_t)

## xcb_glx_copy_context()

xcb_void_cookie_t xcb_glx_copy_context | ( | xcb_connection_t * | c,
|  | xcb_glx_context_t | src,
|  | xcb_glx_context_t | dest,
|  | uint32_t | mask,
|  | xcb_glx_context_tag_t | src_context_tag )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_COPY_CONTEXT.

## xcb_glx_copy_context_checked()

xcb_void_cookie_t xcb_glx_copy_context_checked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_t | src,
|  | xcb_glx_context_t | dest,
|  | uint32_t | mask,
|  | xcb_glx_context_tag_t | src_context_tag )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_GLX_COPY_CONTEXT.

## xcb_glx_create_context()

xcb_void_cookie_t xcb_glx_create_context | ( | xcb_connection_t * | c,
|  | xcb_glx_context_t | context,
|  | xcb_visualid_t | visual,
|  | uint32_t | screen,
|  | xcb_glx_context_t | share_list,
|  | uint8_t | is_direct )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_CREATE_CONTEXT.

## xcb_glx_create_context_attribs_arb()

xcb_void_cookie_t xcb_glx_create_context_attribs_arb | ( | xcb_connection_t * | c,
|  | xcb_glx_context_t | context,
|  | xcb_glx_fbconfig_t | fbconfig,
|  | uint32_t | screen,
|  | xcb_glx_context_t | share_list,
|  | uint8_t | is_direct,
|  | uint32_t | num_attribs,
|  | const uint32_t * | attribs )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_CREATE_CONTEXT_ATTRIBS_ARB.

## xcb_glx_create_context_attribs_arb_checked()

xcb_void_cookie_t xcb_glx_create_context_attribs_arb_checked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_t | context,
|  | xcb_glx_fbconfig_t | fbconfig,
|  | uint32_t | screen,
|  | xcb_glx_context_t | share_list,
|  | uint8_t | is_direct,
|  | uint32_t | num_attribs,
|  | const uint32_t * | attribs )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_GLX_CREATE_CONTEXT_ATTRIBS_ARB.

## xcb_glx_create_context_checked()

xcb_void_cookie_t xcb_glx_create_context_checked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_t | context,
|  | xcb_visualid_t | visual,
|  | uint32_t | screen,
|  | xcb_glx_context_t | share_list,
|  | uint8_t | is_direct )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_GLX_CREATE_CONTEXT.

## xcb_glx_create_glx_pixmap()

xcb_void_cookie_t xcb_glx_create_glx_pixmap | ( | xcb_connection_t * | c,
|  | uint32_t | screen,
|  | xcb_visualid_t | visual,
|  | xcb_pixmap_t | pixmap,
|  | xcb_glx_pixmap_t | glx_pixmap )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_CREATE_GLX_PIXMAP.

## xcb_glx_create_glx_pixmap_checked()

xcb_void_cookie_t xcb_glx_create_glx_pixmap_checked | ( | xcb_connection_t * | c,
|  | uint32_t | screen,
|  | xcb_visualid_t | visual,
|  | xcb_pixmap_t | pixmap,
|  | xcb_glx_pixmap_t | glx_pixmap )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_GLX_CREATE_GLX_PIXMAP.

## xcb_glx_create_new_context()

xcb_void_cookie_t xcb_glx_create_new_context | ( | xcb_connection_t * | c,
|  | xcb_glx_context_t | context,
|  | xcb_glx_fbconfig_t | fbconfig,
|  | uint32_t | screen,
|  | uint32_t | render_type,
|  | xcb_glx_context_t | share_list,
|  | uint8_t | is_direct )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_CREATE_NEW_CONTEXT.

## xcb_glx_create_new_context_checked()

xcb_void_cookie_t xcb_glx_create_new_context_checked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_t | context,
|  | xcb_glx_fbconfig_t | fbconfig,
|  | uint32_t | screen,
|  | uint32_t | render_type,
|  | xcb_glx_context_t | share_list,
|  | uint8_t | is_direct )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_GLX_CREATE_NEW_CONTEXT.

## xcb_glx_create_pbuffer()

xcb_void_cookie_t xcb_glx_create_pbuffer | ( | xcb_connection_t * | c,
|  | uint32_t | screen,
|  | xcb_glx_fbconfig_t | fbconfig,
|  | xcb_glx_pbuffer_t | pbuffer,
|  | uint32_t | num_attribs,
|  | const uint32_t * | attribs )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_CREATE_PBUFFER.

## xcb_glx_create_pbuffer_checked()

xcb_void_cookie_t xcb_glx_create_pbuffer_checked | ( | xcb_connection_t * | c,
|  | uint32_t | screen,
|  | xcb_glx_fbconfig_t | fbconfig,
|  | xcb_glx_pbuffer_t | pbuffer,
|  | uint32_t | num_attribs,
|  | const uint32_t * | attribs )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_GLX_CREATE_PBUFFER.

## xcb_glx_create_pixmap()

xcb_void_cookie_t xcb_glx_create_pixmap | ( | xcb_connection_t * | c,
|  | uint32_t | screen,
|  | xcb_glx_fbconfig_t | fbconfig,
|  | xcb_pixmap_t | pixmap,
|  | xcb_glx_pixmap_t | glx_pixmap,
|  | uint32_t | num_attribs,
|  | const uint32_t * | attribs )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_CREATE_PIXMAP.

## xcb_glx_create_pixmap_checked()

xcb_void_cookie_t xcb_glx_create_pixmap_checked | ( | xcb_connection_t * | c,
|  | uint32_t | screen,
|  | xcb_glx_fbconfig_t | fbconfig,
|  | xcb_pixmap_t | pixmap,
|  | xcb_glx_pixmap_t | glx_pixmap,
|  | uint32_t | num_attribs,
|  | const uint32_t * | attribs )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_GLX_CREATE_PIXMAP.

## xcb_glx_create_window()

xcb_void_cookie_t xcb_glx_create_window | ( | xcb_connection_t * | c,
|  | uint32_t | screen,
|  | xcb_glx_fbconfig_t | fbconfig,
|  | xcb_window_t | window,
|  | xcb_glx_window_t | glx_window,
|  | uint32_t | num_attribs,
|  | const uint32_t * | attribs )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_CREATE_WINDOW.

## xcb_glx_create_window_checked()

xcb_void_cookie_t xcb_glx_create_window_checked | ( | xcb_connection_t * | c,
|  | uint32_t | screen,
|  | xcb_glx_fbconfig_t | fbconfig,
|  | xcb_window_t | window,
|  | xcb_glx_window_t | glx_window,
|  | uint32_t | num_attribs,
|  | const uint32_t * | attribs )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_GLX_CREATE_WINDOW.

## xcb_glx_delete_lists()

xcb_void_cookie_t xcb_glx_delete_lists | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | list,
|  | int32_t | range )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_DELETE_LISTS.

## xcb_glx_delete_lists_checked()

xcb_void_cookie_t xcb_glx_delete_lists_checked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | list,
|  | int32_t | range )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_GLX_DELETE_LISTS.

## xcb_glx_delete_queries_arb()

xcb_void_cookie_t xcb_glx_delete_queries_arb | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | int32_t | n,
|  | const uint32_t * | ids )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_DELETE_QUERIES_ARB.

## xcb_glx_delete_queries_arb_checked()

xcb_void_cookie_t xcb_glx_delete_queries_arb_checked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | int32_t | n,
|  | const uint32_t * | ids )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_GLX_DELETE_QUERIES_ARB.

## xcb_glx_delete_textures()

xcb_void_cookie_t xcb_glx_delete_textures | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | int32_t | n,
|  | const uint32_t * | textures )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_DELETE_TEXTURES.

## xcb_glx_delete_textures_checked()

xcb_void_cookie_t xcb_glx_delete_textures_checked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | int32_t | n,
|  | const uint32_t * | textures )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_GLX_DELETE_TEXTURES.

## xcb_glx_delete_window()

xcb_void_cookie_t xcb_glx_delete_window | ( | xcb_connection_t * | c,
|  | xcb_glx_window_t | glxwindow )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_DELETE_WINDOW.

## xcb_glx_delete_window_checked()

xcb_void_cookie_t xcb_glx_delete_window_checked | ( | xcb_connection_t * | c,
|  | xcb_glx_window_t | glxwindow )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_GLX_DELETE_WINDOW.

## xcb_glx_destroy_context()

xcb_void_cookie_t xcb_glx_destroy_context | ( | xcb_connection_t * | c,
|  | xcb_glx_context_t | context )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_DESTROY_CONTEXT.

## xcb_glx_destroy_context_checked()

xcb_void_cookie_t xcb_glx_destroy_context_checked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_t | context )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_GLX_DESTROY_CONTEXT.

## xcb_glx_destroy_glx_pixmap()

xcb_void_cookie_t xcb_glx_destroy_glx_pixmap | ( | xcb_connection_t * | c,
|  | xcb_glx_pixmap_t | glx_pixmap )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_DESTROY_GLX_PIXMAP.

## xcb_glx_destroy_glx_pixmap_checked()

xcb_void_cookie_t xcb_glx_destroy_glx_pixmap_checked | ( | xcb_connection_t * | c,
|  | xcb_glx_pixmap_t | glx_pixmap )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_GLX_DESTROY_GLX_PIXMAP.

## xcb_glx_destroy_pbuffer()

xcb_void_cookie_t xcb_glx_destroy_pbuffer | ( | xcb_connection_t * | c,
|  | xcb_glx_pbuffer_t | pbuffer )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_DESTROY_PBUFFER.

## xcb_glx_destroy_pbuffer_checked()

xcb_void_cookie_t xcb_glx_destroy_pbuffer_checked | ( | xcb_connection_t * | c,
|  | xcb_glx_pbuffer_t | pbuffer )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_GLX_DESTROY_PBUFFER.

## xcb_glx_destroy_pixmap()

xcb_void_cookie_t xcb_glx_destroy_pixmap | ( | xcb_connection_t * | c,
|  | xcb_glx_pixmap_t | glx_pixmap )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_DESTROY_PIXMAP.

## xcb_glx_destroy_pixmap_checked()

xcb_void_cookie_t xcb_glx_destroy_pixmap_checked | ( | xcb_connection_t * | c,
|  | xcb_glx_pixmap_t | glx_pixmap )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_GLX_DESTROY_PIXMAP.

## xcb_glx_drawable_end()

xcb_generic_iterator_t xcb_glx_drawable_end | ( | xcb_glx_drawable_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_glx_drawable_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_glx_drawable_next()

void xcb_glx_drawable_next | ( | xcb_glx_drawable_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_glx_drawable_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_glx_drawable_t)

## xcb_glx_end_list()

xcb_void_cookie_t xcb_glx_end_list | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_END_LIST.

## xcb_glx_end_list_checked()

xcb_void_cookie_t xcb_glx_end_list_checked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_GLX_END_LIST.

## xcb_glx_fbconfig_end()

xcb_generic_iterator_t xcb_glx_fbconfig_end | ( | xcb_glx_fbconfig_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_glx_fbconfig_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_glx_fbconfig_next()

void xcb_glx_fbconfig_next | ( | xcb_glx_fbconfig_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_glx_fbconfig_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_glx_fbconfig_t)

## xcb_glx_feedback_buffer()

xcb_void_cookie_t xcb_glx_feedback_buffer | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | int32_t | size,
|  | int32_t | type )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_FEEDBACK_BUFFER.

## xcb_glx_feedback_buffer_checked()

xcb_void_cookie_t xcb_glx_feedback_buffer_checked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | int32_t | size,
|  | int32_t | type )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_GLX_FEEDBACK_BUFFER.

## xcb_glx_finish()

xcb_glx_finish_cookie_t xcb_glx_finish | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_FINISH.

## xcb_glx_finish_reply()

xcb_glx_finish_reply_t * xcb_glx_finish_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_finish_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_finish_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_finish_unchecked()

xcb_glx_finish_cookie_t xcb_glx_finish_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_FINISH.

## xcb_glx_float32_end()

xcb_generic_iterator_t xcb_glx_float32_end | ( | xcb_glx_float32_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_glx_float32_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_glx_float32_next()

void xcb_glx_float32_next | ( | xcb_glx_float32_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_glx_float32_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_glx_float32_t)

## xcb_glx_float64_end()

xcb_generic_iterator_t xcb_glx_float64_end | ( | xcb_glx_float64_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_glx_float64_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_glx_float64_next()

void xcb_glx_float64_next | ( | xcb_glx_float64_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_glx_float64_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_glx_float64_t)

## xcb_glx_flush()

xcb_void_cookie_t xcb_glx_flush | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_FLUSH.

## xcb_glx_flush_checked()

xcb_void_cookie_t xcb_glx_flush_checked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_GLX_FLUSH.

## xcb_glx_gen_lists()

xcb_glx_gen_lists_cookie_t xcb_glx_gen_lists | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | int32_t | range )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GEN_LISTS.

## xcb_glx_gen_lists_reply()

xcb_glx_gen_lists_reply_t * xcb_glx_gen_lists_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_gen_lists_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_gen_lists_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_gen_lists_unchecked()

xcb_glx_gen_lists_cookie_t xcb_glx_gen_lists_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | int32_t | range )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GEN_LISTS.

## xcb_glx_gen_queries_arb()

xcb_glx_gen_queries_arb_cookie_t xcb_glx_gen_queries_arb | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | int32_t | n )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GEN_QUERIES_ARB.

## xcb_glx_gen_queries_arb_reply()

xcb_glx_gen_queries_arb_reply_t * xcb_glx_gen_queries_arb_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_gen_queries_arb_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_gen_queries_arb_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_gen_queries_arb_unchecked()

xcb_glx_gen_queries_arb_cookie_t xcb_glx_gen_queries_arb_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | int32_t | n )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GEN_QUERIES_ARB.

## xcb_glx_gen_textures()

xcb_glx_gen_textures_cookie_t xcb_glx_gen_textures | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | int32_t | n )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GEN_TEXTURES.

## xcb_glx_gen_textures_reply()

xcb_glx_gen_textures_reply_t * xcb_glx_gen_textures_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_gen_textures_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_gen_textures_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_gen_textures_unchecked()

xcb_glx_gen_textures_cookie_t xcb_glx_gen_textures_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | int32_t | n )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GEN_TEXTURES.

## xcb_glx_get_booleanv()

xcb_glx_get_booleanv_cookie_t xcb_glx_get_booleanv | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | int32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_BOOLEANV.

## xcb_glx_get_booleanv_reply()

xcb_glx_get_booleanv_reply_t * xcb_glx_get_booleanv_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_booleanv_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_booleanv_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_booleanv_unchecked()

xcb_glx_get_booleanv_cookie_t xcb_glx_get_booleanv_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | int32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_BOOLEANV.

## xcb_glx_get_clip_plane()

xcb_glx_get_clip_plane_cookie_t xcb_glx_get_clip_plane | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | int32_t | plane )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_CLIP_PLANE.

## xcb_glx_get_clip_plane_reply()

xcb_glx_get_clip_plane_reply_t * xcb_glx_get_clip_plane_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_clip_plane_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_clip_plane_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_clip_plane_unchecked()

xcb_glx_get_clip_plane_cookie_t xcb_glx_get_clip_plane_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | int32_t | plane )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_CLIP_PLANE.

## xcb_glx_get_color_table()

xcb_glx_get_color_table_cookie_t xcb_glx_get_color_table | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | format,
|  | uint32_t | type,
|  | uint8_t | swap_bytes )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_COLOR_TABLE.

## xcb_glx_get_color_table_parameterfv()

xcb_glx_get_color_table_parameterfv_cookie_t xcb_glx_get_color_table_parameterfv | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_COLOR_TABLE_PARAMETERFV.

## xcb_glx_get_color_table_parameterfv_reply()

xcb_glx_get_color_table_parameterfv_reply_t * xcb_glx_get_color_table_parameterfv_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_color_table_parameterfv_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_color_table_parameterfv_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_color_table_parameterfv_unchecked()

xcb_glx_get_color_table_parameterfv_cookie_t xcb_glx_get_color_table_parameterfv_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_COLOR_TABLE_PARAMETERFV.

## xcb_glx_get_color_table_parameteriv()

xcb_glx_get_color_table_parameteriv_cookie_t xcb_glx_get_color_table_parameteriv | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_COLOR_TABLE_PARAMETERIV.

## xcb_glx_get_color_table_parameteriv_reply()

xcb_glx_get_color_table_parameteriv_reply_t * xcb_glx_get_color_table_parameteriv_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_color_table_parameteriv_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_color_table_parameteriv_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_color_table_parameteriv_unchecked()

xcb_glx_get_color_table_parameteriv_cookie_t xcb_glx_get_color_table_parameteriv_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_COLOR_TABLE_PARAMETERIV.

## xcb_glx_get_color_table_reply()

xcb_glx_get_color_table_reply_t * xcb_glx_get_color_table_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_color_table_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_color_table_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_color_table_unchecked()

xcb_glx_get_color_table_cookie_t xcb_glx_get_color_table_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | format,
|  | uint32_t | type,
|  | uint8_t | swap_bytes )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_COLOR_TABLE.

## xcb_glx_get_compressed_tex_image_arb()

xcb_glx_get_compressed_tex_image_arb_cookie_t xcb_glx_get_compressed_tex_image_arb | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | int32_t | level )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_COMPRESSED_TEX_IMAGE_ARB.

## xcb_glx_get_compressed_tex_image_arb_reply()

xcb_glx_get_compressed_tex_image_arb_reply_t * xcb_glx_get_compressed_tex_image_arb_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_compressed_tex_image_arb_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_compressed_tex_image_arb_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_compressed_tex_image_arb_unchecked()

xcb_glx_get_compressed_tex_image_arb_cookie_t xcb_glx_get_compressed_tex_image_arb_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | int32_t | level )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_COMPRESSED_TEX_IMAGE_ARB.

## xcb_glx_get_convolution_filter()

xcb_glx_get_convolution_filter_cookie_t xcb_glx_get_convolution_filter | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | format,
|  | uint32_t | type,
|  | uint8_t | swap_bytes )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_CONVOLUTION_FILTER.

## xcb_glx_get_convolution_filter_reply()

xcb_glx_get_convolution_filter_reply_t * xcb_glx_get_convolution_filter_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_convolution_filter_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_convolution_filter_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_convolution_filter_unchecked()

xcb_glx_get_convolution_filter_cookie_t xcb_glx_get_convolution_filter_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | format,
|  | uint32_t | type,
|  | uint8_t | swap_bytes )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_CONVOLUTION_FILTER.

## xcb_glx_get_convolution_parameterfv()

xcb_glx_get_convolution_parameterfv_cookie_t xcb_glx_get_convolution_parameterfv | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_CONVOLUTION_PARAMETERFV.

## xcb_glx_get_convolution_parameterfv_reply()

xcb_glx_get_convolution_parameterfv_reply_t * xcb_glx_get_convolution_parameterfv_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_convolution_parameterfv_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_convolution_parameterfv_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_convolution_parameterfv_unchecked()

xcb_glx_get_convolution_parameterfv_cookie_t xcb_glx_get_convolution_parameterfv_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_CONVOLUTION_PARAMETERFV.

## xcb_glx_get_convolution_parameteriv()

xcb_glx_get_convolution_parameteriv_cookie_t xcb_glx_get_convolution_parameteriv | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_CONVOLUTION_PARAMETERIV.

## xcb_glx_get_convolution_parameteriv_reply()

xcb_glx_get_convolution_parameteriv_reply_t * xcb_glx_get_convolution_parameteriv_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_convolution_parameteriv_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_convolution_parameteriv_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_convolution_parameteriv_unchecked()

xcb_glx_get_convolution_parameteriv_cookie_t xcb_glx_get_convolution_parameteriv_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_CONVOLUTION_PARAMETERIV.

## xcb_glx_get_doublev()

xcb_glx_get_doublev_cookie_t xcb_glx_get_doublev | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_DOUBLEV.

## xcb_glx_get_doublev_reply()

xcb_glx_get_doublev_reply_t * xcb_glx_get_doublev_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_doublev_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_doublev_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_doublev_unchecked()

xcb_glx_get_doublev_cookie_t xcb_glx_get_doublev_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_DOUBLEV.

## xcb_glx_get_drawable_attributes()

xcb_glx_get_drawable_attributes_cookie_t xcb_glx_get_drawable_attributes | ( | xcb_connection_t * | c,
|  | xcb_glx_drawable_t | drawable )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_DRAWABLE_ATTRIBUTES.

## xcb_glx_get_drawable_attributes_reply()

xcb_glx_get_drawable_attributes_reply_t * xcb_glx_get_drawable_attributes_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_drawable_attributes_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_drawable_attributes_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_drawable_attributes_unchecked()

xcb_glx_get_drawable_attributes_cookie_t xcb_glx_get_drawable_attributes_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_drawable_t | drawable )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_DRAWABLE_ATTRIBUTES.

## xcb_glx_get_error()

xcb_glx_get_error_cookie_t xcb_glx_get_error | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_ERROR.

## xcb_glx_get_error_reply()

xcb_glx_get_error_reply_t * xcb_glx_get_error_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_error_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_error_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_error_unchecked()

xcb_glx_get_error_cookie_t xcb_glx_get_error_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_ERROR.

## xcb_glx_get_fb_configs()

xcb_glx_get_fb_configs_cookie_t xcb_glx_get_fb_configs | ( | xcb_connection_t * | c,
|  | uint32_t | screen )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_FB_CONFIGS.

## xcb_glx_get_fb_configs_reply()

xcb_glx_get_fb_configs_reply_t * xcb_glx_get_fb_configs_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_fb_configs_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_fb_configs_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_fb_configs_unchecked()

xcb_glx_get_fb_configs_cookie_t xcb_glx_get_fb_configs_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | screen )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_FB_CONFIGS.

## xcb_glx_get_floatv()

xcb_glx_get_floatv_cookie_t xcb_glx_get_floatv | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_FLOATV.

## xcb_glx_get_floatv_reply()

xcb_glx_get_floatv_reply_t * xcb_glx_get_floatv_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_floatv_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_floatv_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_floatv_unchecked()

xcb_glx_get_floatv_cookie_t xcb_glx_get_floatv_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_FLOATV.

## xcb_glx_get_histogram()

xcb_glx_get_histogram_cookie_t xcb_glx_get_histogram | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | format,
|  | uint32_t | type,
|  | uint8_t | swap_bytes,
|  | uint8_t | reset )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_HISTOGRAM.

## xcb_glx_get_histogram_parameterfv()

xcb_glx_get_histogram_parameterfv_cookie_t xcb_glx_get_histogram_parameterfv | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_HISTOGRAM_PARAMETERFV.

## xcb_glx_get_histogram_parameterfv_reply()

xcb_glx_get_histogram_parameterfv_reply_t * xcb_glx_get_histogram_parameterfv_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_histogram_parameterfv_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_histogram_parameterfv_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_histogram_parameterfv_unchecked()

xcb_glx_get_histogram_parameterfv_cookie_t xcb_glx_get_histogram_parameterfv_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_HISTOGRAM_PARAMETERFV.

## xcb_glx_get_histogram_parameteriv()

xcb_glx_get_histogram_parameteriv_cookie_t xcb_glx_get_histogram_parameteriv | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_HISTOGRAM_PARAMETERIV.

## xcb_glx_get_histogram_parameteriv_reply()

xcb_glx_get_histogram_parameteriv_reply_t * xcb_glx_get_histogram_parameteriv_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_histogram_parameteriv_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_histogram_parameteriv_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_histogram_parameteriv_unchecked()

xcb_glx_get_histogram_parameteriv_cookie_t xcb_glx_get_histogram_parameteriv_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_HISTOGRAM_PARAMETERIV.

## xcb_glx_get_histogram_reply()

xcb_glx_get_histogram_reply_t * xcb_glx_get_histogram_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_histogram_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_histogram_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_histogram_unchecked()

xcb_glx_get_histogram_cookie_t xcb_glx_get_histogram_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | format,
|  | uint32_t | type,
|  | uint8_t | swap_bytes,
|  | uint8_t | reset )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_HISTOGRAM.

## xcb_glx_get_integerv()

xcb_glx_get_integerv_cookie_t xcb_glx_get_integerv | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_INTEGERV.

## xcb_glx_get_integerv_reply()

xcb_glx_get_integerv_reply_t * xcb_glx_get_integerv_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_integerv_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_integerv_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_integerv_unchecked()

xcb_glx_get_integerv_cookie_t xcb_glx_get_integerv_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_INTEGERV.

## xcb_glx_get_lightfv()

xcb_glx_get_lightfv_cookie_t xcb_glx_get_lightfv | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | light,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_LIGHTFV.

## xcb_glx_get_lightfv_reply()

xcb_glx_get_lightfv_reply_t * xcb_glx_get_lightfv_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_lightfv_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_lightfv_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_lightfv_unchecked()

xcb_glx_get_lightfv_cookie_t xcb_glx_get_lightfv_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | light,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_LIGHTFV.

## xcb_glx_get_lightiv()

xcb_glx_get_lightiv_cookie_t xcb_glx_get_lightiv | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | light,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_LIGHTIV.

## xcb_glx_get_lightiv_reply()

xcb_glx_get_lightiv_reply_t * xcb_glx_get_lightiv_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_lightiv_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_lightiv_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_lightiv_unchecked()

xcb_glx_get_lightiv_cookie_t xcb_glx_get_lightiv_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | light,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_LIGHTIV.

## xcb_glx_get_mapdv()

xcb_glx_get_mapdv_cookie_t xcb_glx_get_mapdv | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | query )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_MAPDV.

## xcb_glx_get_mapdv_reply()

xcb_glx_get_mapdv_reply_t * xcb_glx_get_mapdv_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_mapdv_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_mapdv_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_mapdv_unchecked()

xcb_glx_get_mapdv_cookie_t xcb_glx_get_mapdv_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | query )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_MAPDV.

## xcb_glx_get_mapfv()

xcb_glx_get_mapfv_cookie_t xcb_glx_get_mapfv | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | query )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_MAPFV.

## xcb_glx_get_mapfv_reply()

xcb_glx_get_mapfv_reply_t * xcb_glx_get_mapfv_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_mapfv_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_mapfv_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_mapfv_unchecked()

xcb_glx_get_mapfv_cookie_t xcb_glx_get_mapfv_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | query )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_MAPFV.

## xcb_glx_get_mapiv()

xcb_glx_get_mapiv_cookie_t xcb_glx_get_mapiv | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | query )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_MAPIV.

## xcb_glx_get_mapiv_reply()

xcb_glx_get_mapiv_reply_t * xcb_glx_get_mapiv_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_mapiv_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_mapiv_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_mapiv_unchecked()

xcb_glx_get_mapiv_cookie_t xcb_glx_get_mapiv_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | query )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_MAPIV.

## xcb_glx_get_materialfv()

xcb_glx_get_materialfv_cookie_t xcb_glx_get_materialfv | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | face,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_MATERIALFV.

## xcb_glx_get_materialfv_reply()

xcb_glx_get_materialfv_reply_t * xcb_glx_get_materialfv_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_materialfv_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_materialfv_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_materialfv_unchecked()

xcb_glx_get_materialfv_cookie_t xcb_glx_get_materialfv_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | face,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_MATERIALFV.

## xcb_glx_get_materialiv()

xcb_glx_get_materialiv_cookie_t xcb_glx_get_materialiv | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | face,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_MATERIALIV.

## xcb_glx_get_materialiv_reply()

xcb_glx_get_materialiv_reply_t * xcb_glx_get_materialiv_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_materialiv_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_materialiv_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_materialiv_unchecked()

xcb_glx_get_materialiv_cookie_t xcb_glx_get_materialiv_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | face,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_MATERIALIV.

## xcb_glx_get_minmax()

xcb_glx_get_minmax_cookie_t xcb_glx_get_minmax | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | format,
|  | uint32_t | type,
|  | uint8_t | swap_bytes,
|  | uint8_t | reset )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_MINMAX.

## xcb_glx_get_minmax_parameterfv()

xcb_glx_get_minmax_parameterfv_cookie_t xcb_glx_get_minmax_parameterfv | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_MINMAX_PARAMETERFV.

## xcb_glx_get_minmax_parameterfv_reply()

xcb_glx_get_minmax_parameterfv_reply_t * xcb_glx_get_minmax_parameterfv_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_minmax_parameterfv_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_minmax_parameterfv_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_minmax_parameterfv_unchecked()

xcb_glx_get_minmax_parameterfv_cookie_t xcb_glx_get_minmax_parameterfv_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_MINMAX_PARAMETERFV.

## xcb_glx_get_minmax_parameteriv()

xcb_glx_get_minmax_parameteriv_cookie_t xcb_glx_get_minmax_parameteriv | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_MINMAX_PARAMETERIV.

## xcb_glx_get_minmax_parameteriv_reply()

xcb_glx_get_minmax_parameteriv_reply_t * xcb_glx_get_minmax_parameteriv_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_minmax_parameteriv_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_minmax_parameteriv_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_minmax_parameteriv_unchecked()

xcb_glx_get_minmax_parameteriv_cookie_t xcb_glx_get_minmax_parameteriv_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_MINMAX_PARAMETERIV.

## xcb_glx_get_minmax_reply()

xcb_glx_get_minmax_reply_t * xcb_glx_get_minmax_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_minmax_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_minmax_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_minmax_unchecked()

xcb_glx_get_minmax_cookie_t xcb_glx_get_minmax_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | format,
|  | uint32_t | type,
|  | uint8_t | swap_bytes,
|  | uint8_t | reset )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_MINMAX.

## xcb_glx_get_pixel_mapfv()

xcb_glx_get_pixel_mapfv_cookie_t xcb_glx_get_pixel_mapfv | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | map )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_PIXEL_MAPFV.

## xcb_glx_get_pixel_mapfv_reply()

xcb_glx_get_pixel_mapfv_reply_t * xcb_glx_get_pixel_mapfv_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_pixel_mapfv_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_pixel_mapfv_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_pixel_mapfv_unchecked()

xcb_glx_get_pixel_mapfv_cookie_t xcb_glx_get_pixel_mapfv_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | map )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_PIXEL_MAPFV.

## xcb_glx_get_pixel_mapuiv()

xcb_glx_get_pixel_mapuiv_cookie_t xcb_glx_get_pixel_mapuiv | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | map )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_PIXEL_MAPUIV.

## xcb_glx_get_pixel_mapuiv_reply()

xcb_glx_get_pixel_mapuiv_reply_t * xcb_glx_get_pixel_mapuiv_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_pixel_mapuiv_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_pixel_mapuiv_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_pixel_mapuiv_unchecked()

xcb_glx_get_pixel_mapuiv_cookie_t xcb_glx_get_pixel_mapuiv_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | map )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_PIXEL_MAPUIV.

## xcb_glx_get_pixel_mapusv()

xcb_glx_get_pixel_mapusv_cookie_t xcb_glx_get_pixel_mapusv | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | map )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_PIXEL_MAPUSV.

## xcb_glx_get_pixel_mapusv_reply()

xcb_glx_get_pixel_mapusv_reply_t * xcb_glx_get_pixel_mapusv_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_pixel_mapusv_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_pixel_mapusv_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_pixel_mapusv_unchecked()

xcb_glx_get_pixel_mapusv_cookie_t xcb_glx_get_pixel_mapusv_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | map )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_PIXEL_MAPUSV.

## xcb_glx_get_polygon_stipple()

xcb_glx_get_polygon_stipple_cookie_t xcb_glx_get_polygon_stipple | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint8_t | lsb_first )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_POLYGON_STIPPLE.

## xcb_glx_get_polygon_stipple_reply()

xcb_glx_get_polygon_stipple_reply_t * xcb_glx_get_polygon_stipple_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_polygon_stipple_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_polygon_stipple_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_polygon_stipple_unchecked()

xcb_glx_get_polygon_stipple_cookie_t xcb_glx_get_polygon_stipple_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint8_t | lsb_first )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_POLYGON_STIPPLE.

## xcb_glx_get_query_objectiv_arb()

xcb_glx_get_query_objectiv_arb_cookie_t xcb_glx_get_query_objectiv_arb | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | id,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_QUERY_OBJECTIV_ARB.

## xcb_glx_get_query_objectiv_arb_reply()

xcb_glx_get_query_objectiv_arb_reply_t * xcb_glx_get_query_objectiv_arb_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_query_objectiv_arb_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_query_objectiv_arb_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_query_objectiv_arb_unchecked()

xcb_glx_get_query_objectiv_arb_cookie_t xcb_glx_get_query_objectiv_arb_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | id,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_QUERY_OBJECTIV_ARB.

## xcb_glx_get_query_objectuiv_arb()

xcb_glx_get_query_objectuiv_arb_cookie_t xcb_glx_get_query_objectuiv_arb | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | id,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_QUERY_OBJECTUIV_ARB.

## xcb_glx_get_query_objectuiv_arb_reply()

xcb_glx_get_query_objectuiv_arb_reply_t * xcb_glx_get_query_objectuiv_arb_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_query_objectuiv_arb_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_query_objectuiv_arb_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_query_objectuiv_arb_unchecked()

xcb_glx_get_query_objectuiv_arb_cookie_t xcb_glx_get_query_objectuiv_arb_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | id,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_QUERY_OBJECTUIV_ARB.

## xcb_glx_get_queryiv_arb()

xcb_glx_get_queryiv_arb_cookie_t xcb_glx_get_queryiv_arb | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_QUERYIV_ARB.

## xcb_glx_get_queryiv_arb_reply()

xcb_glx_get_queryiv_arb_reply_t * xcb_glx_get_queryiv_arb_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_queryiv_arb_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_queryiv_arb_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_queryiv_arb_unchecked()

xcb_glx_get_queryiv_arb_cookie_t xcb_glx_get_queryiv_arb_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_QUERYIV_ARB.

## xcb_glx_get_separable_filter()

xcb_glx_get_separable_filter_cookie_t xcb_glx_get_separable_filter | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | format,
|  | uint32_t | type,
|  | uint8_t | swap_bytes )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_SEPARABLE_FILTER.

## xcb_glx_get_separable_filter_reply()

xcb_glx_get_separable_filter_reply_t * xcb_glx_get_separable_filter_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_separable_filter_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_separable_filter_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_separable_filter_unchecked()

xcb_glx_get_separable_filter_cookie_t xcb_glx_get_separable_filter_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | format,
|  | uint32_t | type,
|  | uint8_t | swap_bytes )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_SEPARABLE_FILTER.

## xcb_glx_get_string()

xcb_glx_get_string_cookie_t xcb_glx_get_string | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | name )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_STRING.

## xcb_glx_get_string_reply()

xcb_glx_get_string_reply_t * xcb_glx_get_string_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_string_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_string_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_string_unchecked()

xcb_glx_get_string_cookie_t xcb_glx_get_string_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | name )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_STRING.

## xcb_glx_get_tex_envfv()

xcb_glx_get_tex_envfv_cookie_t xcb_glx_get_tex_envfv | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_TEX_ENVFV.

## xcb_glx_get_tex_envfv_reply()

xcb_glx_get_tex_envfv_reply_t * xcb_glx_get_tex_envfv_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_tex_envfv_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_tex_envfv_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_tex_envfv_unchecked()

xcb_glx_get_tex_envfv_cookie_t xcb_glx_get_tex_envfv_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_TEX_ENVFV.

## xcb_glx_get_tex_enviv()

xcb_glx_get_tex_enviv_cookie_t xcb_glx_get_tex_enviv | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_TEX_ENVIV.

## xcb_glx_get_tex_enviv_reply()

xcb_glx_get_tex_enviv_reply_t * xcb_glx_get_tex_enviv_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_tex_enviv_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_tex_enviv_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_tex_enviv_unchecked()

xcb_glx_get_tex_enviv_cookie_t xcb_glx_get_tex_enviv_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_TEX_ENVIV.

## xcb_glx_get_tex_gendv()

xcb_glx_get_tex_gendv_cookie_t xcb_glx_get_tex_gendv | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | coord,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_TEX_GENDV.

## xcb_glx_get_tex_gendv_reply()

xcb_glx_get_tex_gendv_reply_t * xcb_glx_get_tex_gendv_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_tex_gendv_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_tex_gendv_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_tex_gendv_unchecked()

xcb_glx_get_tex_gendv_cookie_t xcb_glx_get_tex_gendv_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | coord,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_TEX_GENDV.

## xcb_glx_get_tex_genfv()

xcb_glx_get_tex_genfv_cookie_t xcb_glx_get_tex_genfv | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | coord,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_TEX_GENFV.

## xcb_glx_get_tex_genfv_reply()

xcb_glx_get_tex_genfv_reply_t * xcb_glx_get_tex_genfv_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_tex_genfv_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_tex_genfv_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_tex_genfv_unchecked()

xcb_glx_get_tex_genfv_cookie_t xcb_glx_get_tex_genfv_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | coord,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_TEX_GENFV.

## xcb_glx_get_tex_geniv()

xcb_glx_get_tex_geniv_cookie_t xcb_glx_get_tex_geniv | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | coord,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_TEX_GENIV.

## xcb_glx_get_tex_geniv_reply()

xcb_glx_get_tex_geniv_reply_t * xcb_glx_get_tex_geniv_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_tex_geniv_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_tex_geniv_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_tex_geniv_unchecked()

xcb_glx_get_tex_geniv_cookie_t xcb_glx_get_tex_geniv_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | coord,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_TEX_GENIV.

## xcb_glx_get_tex_image()

xcb_glx_get_tex_image_cookie_t xcb_glx_get_tex_image | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | int32_t | level,
|  | uint32_t | format,
|  | uint32_t | type,
|  | uint8_t | swap_bytes )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_TEX_IMAGE.

## xcb_glx_get_tex_image_reply()

xcb_glx_get_tex_image_reply_t * xcb_glx_get_tex_image_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_tex_image_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_tex_image_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_tex_image_unchecked()

xcb_glx_get_tex_image_cookie_t xcb_glx_get_tex_image_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | int32_t | level,
|  | uint32_t | format,
|  | uint32_t | type,
|  | uint8_t | swap_bytes )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_TEX_IMAGE.

## xcb_glx_get_tex_level_parameterfv()

xcb_glx_get_tex_level_parameterfv_cookie_t xcb_glx_get_tex_level_parameterfv | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | int32_t | level,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_TEX_LEVEL_PARAMETERFV.

## xcb_glx_get_tex_level_parameterfv_reply()

xcb_glx_get_tex_level_parameterfv_reply_t * xcb_glx_get_tex_level_parameterfv_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_tex_level_parameterfv_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_tex_level_parameterfv_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_tex_level_parameterfv_unchecked()

xcb_glx_get_tex_level_parameterfv_cookie_t xcb_glx_get_tex_level_parameterfv_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | int32_t | level,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_TEX_LEVEL_PARAMETERFV.

## xcb_glx_get_tex_level_parameteriv()

xcb_glx_get_tex_level_parameteriv_cookie_t xcb_glx_get_tex_level_parameteriv | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | int32_t | level,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_TEX_LEVEL_PARAMETERIV.

## xcb_glx_get_tex_level_parameteriv_reply()

xcb_glx_get_tex_level_parameteriv_reply_t * xcb_glx_get_tex_level_parameteriv_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_tex_level_parameteriv_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_tex_level_parameteriv_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_tex_level_parameteriv_unchecked()

xcb_glx_get_tex_level_parameteriv_cookie_t xcb_glx_get_tex_level_parameteriv_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | int32_t | level,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_TEX_LEVEL_PARAMETERIV.

## xcb_glx_get_tex_parameterfv()

xcb_glx_get_tex_parameterfv_cookie_t xcb_glx_get_tex_parameterfv | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_TEX_PARAMETERFV.

## xcb_glx_get_tex_parameterfv_reply()

xcb_glx_get_tex_parameterfv_reply_t * xcb_glx_get_tex_parameterfv_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_tex_parameterfv_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_tex_parameterfv_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_tex_parameterfv_unchecked()

xcb_glx_get_tex_parameterfv_cookie_t xcb_glx_get_tex_parameterfv_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_TEX_PARAMETERFV.

## xcb_glx_get_tex_parameteriv()

xcb_glx_get_tex_parameteriv_cookie_t xcb_glx_get_tex_parameteriv | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_TEX_PARAMETERIV.

## xcb_glx_get_tex_parameteriv_reply()

xcb_glx_get_tex_parameteriv_reply_t * xcb_glx_get_tex_parameteriv_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_tex_parameteriv_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_tex_parameteriv_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_tex_parameteriv_unchecked()

xcb_glx_get_tex_parameteriv_cookie_t xcb_glx_get_tex_parameteriv_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | target,
|  | uint32_t | pname )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_TEX_PARAMETERIV.

## xcb_glx_get_visual_configs()

xcb_glx_get_visual_configs_cookie_t xcb_glx_get_visual_configs | ( | xcb_connection_t * | c,
|  | uint32_t | screen )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_GET_VISUAL_CONFIGS.

## xcb_glx_get_visual_configs_reply()

xcb_glx_get_visual_configs_reply_t * xcb_glx_get_visual_configs_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_get_visual_configs_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_get_visual_configs_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_get_visual_configs_unchecked()

xcb_glx_get_visual_configs_cookie_t xcb_glx_get_visual_configs_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | screen )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_GET_VISUAL_CONFIGS.

## xcb_glx_is_direct()

xcb_glx_is_direct_cookie_t xcb_glx_is_direct | ( | xcb_connection_t * | c,
|  | xcb_glx_context_t | context )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_IS_DIRECT.

## xcb_glx_is_direct_reply()

xcb_glx_is_direct_reply_t * xcb_glx_is_direct_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_is_direct_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_is_direct_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_is_direct_unchecked()

xcb_glx_is_direct_cookie_t xcb_glx_is_direct_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_t | context )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_IS_DIRECT.

## xcb_glx_is_enabled()

xcb_glx_is_enabled_cookie_t xcb_glx_is_enabled | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | capability )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_IS_ENABLED.

## xcb_glx_is_enabled_reply()

xcb_glx_is_enabled_reply_t * xcb_glx_is_enabled_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_is_enabled_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_is_enabled_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_is_enabled_unchecked()

xcb_glx_is_enabled_cookie_t xcb_glx_is_enabled_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | capability )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_IS_ENABLED.

## xcb_glx_is_list()

xcb_glx_is_list_cookie_t xcb_glx_is_list | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | list )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_IS_LIST.

## xcb_glx_is_list_reply()

xcb_glx_is_list_reply_t * xcb_glx_is_list_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_is_list_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_is_list_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_is_list_unchecked()

xcb_glx_is_list_cookie_t xcb_glx_is_list_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | list )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_IS_LIST.

## xcb_glx_is_query_arb()

xcb_glx_is_query_arb_cookie_t xcb_glx_is_query_arb | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | id )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_IS_QUERY_ARB.

## xcb_glx_is_query_arb_reply()

xcb_glx_is_query_arb_reply_t * xcb_glx_is_query_arb_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_is_query_arb_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_is_query_arb_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_is_query_arb_unchecked()

xcb_glx_is_query_arb_cookie_t xcb_glx_is_query_arb_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | id )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_IS_QUERY_ARB.

## xcb_glx_is_texture()

xcb_glx_is_texture_cookie_t xcb_glx_is_texture | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | texture )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_IS_TEXTURE.

## xcb_glx_is_texture_reply()

xcb_glx_is_texture_reply_t * xcb_glx_is_texture_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_is_texture_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_is_texture_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_is_texture_unchecked()

xcb_glx_is_texture_cookie_t xcb_glx_is_texture_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | texture )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_IS_TEXTURE.

## xcb_glx_make_context_current()

xcb_glx_make_context_current_cookie_t xcb_glx_make_context_current | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | old_context_tag,
|  | xcb_glx_drawable_t | drawable,
|  | xcb_glx_drawable_t | read_drawable,
|  | xcb_glx_context_t | context )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_MAKE_CONTEXT_CURRENT.

## xcb_glx_make_context_current_reply()

xcb_glx_make_context_current_reply_t * xcb_glx_make_context_current_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_make_context_current_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_make_context_current_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_make_context_current_unchecked()

xcb_glx_make_context_current_cookie_t xcb_glx_make_context_current_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | old_context_tag,
|  | xcb_glx_drawable_t | drawable,
|  | xcb_glx_drawable_t | read_drawable,
|  | xcb_glx_context_t | context )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_MAKE_CONTEXT_CURRENT.

## xcb_glx_make_current()

xcb_glx_make_current_cookie_t xcb_glx_make_current | ( | xcb_connection_t * | c,
|  | xcb_glx_drawable_t | drawable,
|  | xcb_glx_context_t | context,
|  | xcb_glx_context_tag_t | old_context_tag )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_MAKE_CURRENT.

## xcb_glx_make_current_reply()

xcb_glx_make_current_reply_t * xcb_glx_make_current_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_make_current_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_make_current_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_make_current_unchecked()

xcb_glx_make_current_cookie_t xcb_glx_make_current_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_drawable_t | drawable,
|  | xcb_glx_context_t | context,
|  | xcb_glx_context_tag_t | old_context_tag )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_MAKE_CURRENT.

## xcb_glx_new_list()

xcb_void_cookie_t xcb_glx_new_list | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | list,
|  | uint32_t | mode )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_NEW_LIST.

## xcb_glx_new_list_checked()

xcb_void_cookie_t xcb_glx_new_list_checked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | list,
|  | uint32_t | mode )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_GLX_NEW_LIST.

## xcb_glx_pbuffer_end()

xcb_generic_iterator_t xcb_glx_pbuffer_end | ( | xcb_glx_pbuffer_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_glx_pbuffer_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_glx_pbuffer_next()

void xcb_glx_pbuffer_next | ( | xcb_glx_pbuffer_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_glx_pbuffer_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_glx_pbuffer_t)

## xcb_glx_pixel_storef()

xcb_void_cookie_t xcb_glx_pixel_storef | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | pname,
|  | xcb_glx_float32_t | datum )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_PIXEL_STOREF.

## xcb_glx_pixel_storef_checked()

xcb_void_cookie_t xcb_glx_pixel_storef_checked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | pname,
|  | xcb_glx_float32_t | datum )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_GLX_PIXEL_STOREF.

## xcb_glx_pixel_storei()

xcb_void_cookie_t xcb_glx_pixel_storei | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | pname,
|  | int32_t | datum )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_PIXEL_STOREI.

## xcb_glx_pixel_storei_checked()

xcb_void_cookie_t xcb_glx_pixel_storei_checked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | pname,
|  | int32_t | datum )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_GLX_PIXEL_STOREI.

## xcb_glx_pixmap_end()

xcb_generic_iterator_t xcb_glx_pixmap_end | ( | xcb_glx_pixmap_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_glx_pixmap_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_glx_pixmap_next()

void xcb_glx_pixmap_next | ( | xcb_glx_pixmap_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_glx_pixmap_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_glx_pixmap_t)

## xcb_glx_query_context()

xcb_glx_query_context_cookie_t xcb_glx_query_context | ( | xcb_connection_t * | c,
|  | xcb_glx_context_t | context )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_QUERY_CONTEXT.

## xcb_glx_query_context_reply()

xcb_glx_query_context_reply_t * xcb_glx_query_context_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_query_context_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_query_context_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_query_context_unchecked()

xcb_glx_query_context_cookie_t xcb_glx_query_context_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_t | context )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_QUERY_CONTEXT.

## xcb_glx_query_extensions_string()

xcb_glx_query_extensions_string_cookie_t xcb_glx_query_extensions_string | ( | xcb_connection_t * | c,
|  | uint32_t | screen )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_QUERY_EXTENSIONS_STRING.

## xcb_glx_query_extensions_string_reply()

xcb_glx_query_extensions_string_reply_t * xcb_glx_query_extensions_string_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_query_extensions_string_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_query_extensions_string_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_query_extensions_string_unchecked()

xcb_glx_query_extensions_string_cookie_t xcb_glx_query_extensions_string_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | screen )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_QUERY_EXTENSIONS_STRING.

## xcb_glx_query_server_string()

xcb_glx_query_server_string_cookie_t xcb_glx_query_server_string | ( | xcb_connection_t * | c,
|  | uint32_t | screen,
|  | uint32_t | name )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_QUERY_SERVER_STRING.

## xcb_glx_query_server_string_reply()

xcb_glx_query_server_string_reply_t * xcb_glx_query_server_string_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_query_server_string_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_query_server_string_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_query_server_string_unchecked()

xcb_glx_query_server_string_cookie_t xcb_glx_query_server_string_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | screen,
|  | uint32_t | name )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_QUERY_SERVER_STRING.

## xcb_glx_query_version()

xcb_glx_query_version_cookie_t xcb_glx_query_version | ( | xcb_connection_t * | c,
|  | uint32_t | major_version,
|  | uint32_t | minor_version )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_QUERY_VERSION.

## xcb_glx_query_version_reply()

xcb_glx_query_version_reply_t * xcb_glx_query_version_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_query_version_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_query_version_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_query_version_unchecked()

xcb_glx_query_version_cookie_t xcb_glx_query_version_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | major_version,
|  | uint32_t | minor_version )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_QUERY_VERSION.

## xcb_glx_read_pixels()

xcb_glx_read_pixels_cookie_t xcb_glx_read_pixels | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | int32_t | x,
|  | int32_t | y,
|  | int32_t | width,
|  | int32_t | height,
|  | uint32_t | format,
|  | uint32_t | type,
|  | uint8_t | swap_bytes,
|  | uint8_t | lsb_first )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_READ_PIXELS.

## xcb_glx_read_pixels_reply()

xcb_glx_read_pixels_reply_t * xcb_glx_read_pixels_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_read_pixels_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_read_pixels_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_read_pixels_unchecked()

xcb_glx_read_pixels_cookie_t xcb_glx_read_pixels_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | int32_t | x,
|  | int32_t | y,
|  | int32_t | width,
|  | int32_t | height,
|  | uint32_t | format,
|  | uint32_t | type,
|  | uint8_t | swap_bytes,
|  | uint8_t | lsb_first )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_READ_PIXELS.

## xcb_glx_render()

xcb_void_cookie_t xcb_glx_render | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | data_len,
|  | const uint8_t * | data )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_RENDER.

## xcb_glx_render_checked()

xcb_void_cookie_t xcb_glx_render_checked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | data_len,
|  | const uint8_t * | data )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_GLX_RENDER.

## xcb_glx_render_large()

xcb_void_cookie_t xcb_glx_render_large | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint16_t | request_num,
|  | uint16_t | request_total,
|  | uint32_t | data_len,
|  | const uint8_t * | data )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_RENDER_LARGE.

## xcb_glx_render_large_checked()

xcb_void_cookie_t xcb_glx_render_large_checked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint16_t | request_num,
|  | uint16_t | request_total,
|  | uint32_t | data_len,
|  | const uint8_t * | data )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_GLX_RENDER_LARGE.

## xcb_glx_render_mode()

xcb_glx_render_mode_cookie_t xcb_glx_render_mode | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | mode )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_RENDER_MODE.

## xcb_glx_render_mode_reply()

xcb_glx_render_mode_reply_t * xcb_glx_render_mode_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_render_mode_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_render_mode_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_render_mode_unchecked()

xcb_glx_render_mode_cookie_t xcb_glx_render_mode_unchecked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | mode )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_RENDER_MODE.

## xcb_glx_select_buffer()

xcb_void_cookie_t xcb_glx_select_buffer | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | int32_t | size )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_SELECT_BUFFER.

## xcb_glx_select_buffer_checked()

xcb_void_cookie_t xcb_glx_select_buffer_checked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | int32_t | size )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_GLX_SELECT_BUFFER.

## xcb_glx_set_client_info_2arb()

xcb_void_cookie_t xcb_glx_set_client_info_2arb | ( | xcb_connection_t * | c,
|  | uint32_t | major_version,
|  | uint32_t | minor_version,
|  | uint32_t | num_versions,
|  | uint32_t | gl_str_len,
|  | uint32_t | glx_str_len,
|  | const uint32_t * | gl_versions,
|  | const char * | gl_extension_string,
|  | const char * | glx_extension_string )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_SET_CLIENT_INFO_2ARB.

## xcb_glx_set_client_info_2arb_checked()

xcb_void_cookie_t xcb_glx_set_client_info_2arb_checked | ( | xcb_connection_t * | c,
|  | uint32_t | major_version,
|  | uint32_t | minor_version,
|  | uint32_t | num_versions,
|  | uint32_t | gl_str_len,
|  | uint32_t | glx_str_len,
|  | const uint32_t * | gl_versions,
|  | const char * | gl_extension_string,
|  | const char * | glx_extension_string )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_GLX_SET_CLIENT_INFO_2ARB.

## xcb_glx_set_client_info_arb()

xcb_void_cookie_t xcb_glx_set_client_info_arb | ( | xcb_connection_t * | c,
|  | uint32_t | major_version,
|  | uint32_t | minor_version,
|  | uint32_t | num_versions,
|  | uint32_t | gl_str_len,
|  | uint32_t | glx_str_len,
|  | const uint32_t * | gl_versions,
|  | const char * | gl_extension_string,
|  | const char * | glx_extension_string )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_SET_CLIENT_INFO_ARB.

## xcb_glx_set_client_info_arb_checked()

xcb_void_cookie_t xcb_glx_set_client_info_arb_checked | ( | xcb_connection_t * | c,
|  | uint32_t | major_version,
|  | uint32_t | minor_version,
|  | uint32_t | num_versions,
|  | uint32_t | gl_str_len,
|  | uint32_t | glx_str_len,
|  | const uint32_t * | gl_versions,
|  | const char * | gl_extension_string,
|  | const char * | glx_extension_string )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_GLX_SET_CLIENT_INFO_ARB.

## xcb_glx_swap_buffers()

xcb_void_cookie_t xcb_glx_swap_buffers | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | xcb_glx_drawable_t | drawable )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_SWAP_BUFFERS.

## xcb_glx_swap_buffers_checked()

xcb_void_cookie_t xcb_glx_swap_buffers_checked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | xcb_glx_drawable_t | drawable )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_GLX_SWAP_BUFFERS.

## xcb_glx_use_x_font()

xcb_void_cookie_t xcb_glx_use_x_font | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | xcb_font_t | font,
|  | uint32_t | first,
|  | uint32_t | count,
|  | uint32_t | list_base )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_USE_X_FONT.

## xcb_glx_use_x_font_checked()

xcb_void_cookie_t xcb_glx_use_x_font_checked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag,
|  | xcb_font_t | font,
|  | uint32_t | first,
|  | uint32_t | count,
|  | uint32_t | list_base )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_GLX_USE_X_FONT.

## xcb_glx_vendor_private()

xcb_void_cookie_t xcb_glx_vendor_private | ( | xcb_connection_t * | c,
|  | uint32_t | vendor_code,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | data_len,
|  | const uint8_t * | data )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_VENDOR_PRIVATE.

## xcb_glx_vendor_private_checked()

xcb_void_cookie_t xcb_glx_vendor_private_checked | ( | xcb_connection_t * | c,
|  | uint32_t | vendor_code,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | data_len,
|  | const uint8_t * | data )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_GLX_VENDOR_PRIVATE.

## xcb_glx_vendor_private_with_reply()

xcb_glx_vendor_private_with_reply_cookie_t xcb_glx_vendor_private_with_reply | ( | xcb_connection_t * | c,
|  | uint32_t | vendor_code,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | data_len,
|  | const uint8_t * | data )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_VENDOR_PRIVATE_WITH_REPLY.

## xcb_glx_vendor_private_with_reply_reply()

xcb_glx_vendor_private_with_reply_reply_t * xcb_glx_vendor_private_with_reply_reply | ( | xcb_connection_t * | c,
|  | xcb_glx_vendor_private_with_reply_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_glx_vendor_private_with_reply_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_glx_vendor_private_with_reply_unchecked()

xcb_glx_vendor_private_with_reply_cookie_t xcb_glx_vendor_private_with_reply_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | vendor_code,
|  | xcb_glx_context_tag_t | context_tag,
|  | uint32_t | data_len,
|  | const uint8_t * | data )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_GLX_VENDOR_PRIVATE_WITH_REPLY.

## xcb_glx_wait_gl()

xcb_void_cookie_t xcb_glx_wait_gl | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_WAIT_GL.

## xcb_glx_wait_gl_checked()

xcb_void_cookie_t xcb_glx_wait_gl_checked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_GLX_WAIT_GL.

## xcb_glx_wait_x()

xcb_void_cookie_t xcb_glx_wait_x | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_GLX_WAIT_X.

## xcb_glx_wait_x_checked()

xcb_void_cookie_t xcb_glx_wait_x_checked | ( | xcb_connection_t * | c,
|  | xcb_glx_context_tag_t | context_tag )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_GLX_WAIT_X.

## xcb_glx_window_end()

xcb_generic_iterator_t xcb_glx_window_end | ( | xcb_glx_window_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_glx_window_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_glx_window_next()

void xcb_glx_window_next | ( | xcb_glx_window_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_glx_window_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_glx_window_t)